commit f2ef7d0aa5a47f3807d2a8b8e9d37c484dcb50e9
Author: Richard Hughes <richard@hughsie.com>
Date:   2014-05-12

    Release version 3.12.2

M	NEWS

commit bc0640037aafc8b8b3b9754141202aec169bce26
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2014-05-09

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 149c6128da0136cba3b426be741bb2cf631cc56a
Author: Dirgita <dirgitadevina@gmail.com>
Date:	2014-04-23

    Updated Indonesian translation

M	po/id.po

commit fd927355143764ce6975247dae0cc74212458bb8
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:	2014-04-20

    Updated Dutch translation by Erwin Poeze

M	po/nl.po

commit 23dc5fb5a897477558d3c4cbbf62bb12a4e82831
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-04-11

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 23325652288b8a03a61057a40f331b14a1a3146f
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-04-11

    Release version 3.12.1

M	NEWS

commit 12ec0d5eed2a456e6011c123cbcd9d2855d8ef19
Author: Ikuya Awashiro <ikuya@fruitsbasket.info>
Date:	2014-04-07

    l10n: Update Japanese translation

M	po/ja.po

commit 4b4a3f3c2d84750466326b7e97d1e783413c9a27
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-04-04

    Actually show the gcm-viewer preview when changing profiles

    GTK now caches the surface data when show/hiding, and so our old
    trick didn't
    work anymore.

M	src/gcm-image.c

commit 74679dd39f18708f6e5ca5af914668c037457135
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-04-03

    trivial: Fix up two compile warnings in the self tests

M	src/gcm-self-test.c

commit f794b57bb9a1c6344934c703bdc916995950904f
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-04-02

    Speed up deleting profiles by an order of magnitude

    Clearing a store involves refreshing each renderer. We don't need
    this.

M	src/gcm-viewer.c

commit 8c4284ca2da27a63d5e6e3be34c04069126255df
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-04-02

    Fix several critical warnings when using gcm-viewer

M	src/gcm-cell-renderer-color.c
M	src/gcm-cell-renderer-profile-text.c
M	src/gcm-trc-widget.c
M	src/gcm-viewer.c

commit 7c51b7c9c4b902689469786b7caf09cb6811e314
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2014-03-25

    l10n: Update Japanese translation

M	po/ja.po

commit 1c234b731e7e9564cb5444d34fb08161a9ea82fa
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-03-24

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 5b47c9b907e4e68692271d0001b49d6211f6ca7f
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-03-24

    Release version 3.12.0

M	NEWS
M	RELEASE
M	configure.ac

commit 26ae4919cce61151380f320297527e996a70bfcc
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	2014-03-23

    Updated Russian translation

M	po/ru.po

commit bdbd10e82a5a3cb2f5eea744f3685c2a88c0a81b
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2014-03-23

    Updated slovak translation

M	po/sk.po

commit b712c4ece06e5ee27d1d4c8a15372db091d5a8cf
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-03-22

    Updated Slovenian translation

M	po/sl.po

commit 315883d5c5866cdae369a909ba1ba200f69c901e
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2014-03-21

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 44ab22c51d7d47e306b85d4626b2c8c6c0a59c48
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2014-03-21

    Updated Basque language

M	po/eu.po

commit 5096b2cd8b4803ed9acb438bc79519a16516607c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-03-21

    Updated Norwegian bokmål translation

M	po/nb.po

commit 7b24bf2cc7ffd710649b029480dcff237e004f8e
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2014-03-20

    Updated Danish translation

M	po/da.po

commit 3cf98118d990de98d00a608eade2ac6327ac855a
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2014-03-19

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 5dc313aa27721a40d6b576b0017ae3e56fa7c104
Author: Gábor Kelemen <kelemeng@gnome.hu>
Date:	2014-03-19

    Updated Hungarian translation

M	po/hu.po

commit 75398c8a3dacfb2d3ebed5cb591c7e98da17ea75
Author: A S Alam <apreet.alam@gmail.com>
Date:	2014-03-17

    update Punjabi Translation 17March2014: Alam

M	po/pa.po

commit 5002799158b4accb3a9056655b7473ef131af11c
Author: Claude Paroz <claude@2xlibre.net>
Date:	2014-03-16

    Updated French translation

M	po/fr.po

commit 252d3dfef9eeb9aa0877cc8429b5b0b2c25fdeb9
Author: Milan Knížek <knizek@volny.cz>
Date:	2014-03-14

    Czech translation

M	po/cs.po

commit e713040f6db6fcebd4e3ec06ca65c4bd8add0159
Author: Tiagosdot <almosthumane@portugalmail.pt>
Date:	2014-03-14

    Updated Portuguese translation

M	po/pt.po

commit a132fd41724a44cceffdb450a287cf16db188d72
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-03-12

    Updated Polish translation

M	po/pl.po

commit 88d2767e846b9adcf14088af1796f6129816ca59
Author: Andika Triwidada <andika@gmail.com>
Date:	2014-03-12

    Updated Indonesian translation

M	po/id.po

commit 4c5203a47018c00beba64af75623766db1af3aca
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2014-03-10

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	help/Makefile.am
A	help/zh_HK/zh_HK.po
A	help/zh_TW/zh_TW.po

commit 2275c676aa16e3f065ce2781137fb423fc9c4aab
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2014-03-07

    Updated Latvian translation

M	po/lv.po

commit 561af808b7412813e0712096f7bc5a00fdea50b5
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2014-03-06

    Updated Korean translation

M	po/ko.po

commit 7a8c52f5fd9a3804ca6b8d3c38100c15a2dbf4ca
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-03-05

    Updated Norwegian bokmål translation

M	po/nb.po

commit 71867d6ecb53027ad44dbf134713831b717e450b
Author: Pau Iranzo <paugnu@gmail.com>
Date:	2014-02-26

    [l10n] Update Catalan translation

M	po/ca.po

commit 67f669b342470a2c6778d41eb4fd5284142cb3e2
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-02-17

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 02480a5ffe4ef6e779fefe2f572ac79194bca194
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-02-17

    Release version 3.11.90

M	NEWS
M	RELEASE
M	configure.ac

commit fd397e21d8d85073cc6e6ea56a39c3e5d08da53f
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2014-02-10

    Updated Ukrainian translation

M	po/uk.po

commit 89612c5ed924ff0f6c9ae55bda2ebcb878d74686
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2014-02-04

    roughly shape test window to instrument

    these test window sizes were determined (as a snug fit) on a
    roughly 120dpi display, so on more common 90-100dpi displays
    the test window should have half an inch clearance allround

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit 9b2eb919953f79d128aa6823609d05ab84e95120
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	2014-02-05

    updated kn.po

M	po/kn.po

commit 3df2d7e9e3a51de3432939fefbe4f36100d7ebc6
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-02-03

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit b1eb7eb6aac7057dd5e2f38e4aaac65b3b0b78fb
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-02-03

    Release version 3.11.5

M	NEWS
M	RELEASE
M	configure.ac

commit bd70b28828fbb7fabb0e1dbc083ccce4f6c37dee
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2014-01-28

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 1c4d793c040b4ff380b1b83c86b0cf3244c70823
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2014-01-25

    Updated Hebrew translation

M	po/he.po

commit c36d4a68cc4ed32360b4780f34e93bc227c2585a
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2014-01-23

    Assamese translation updated

M	po/as.po

commit 9d51c37d4837fb2fd9f5ad8ba18e34ad16df6c3b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2014-01-21

    Updated Norwegian bokmål translation

M	po/nb.po

commit d9fc4c7f07a100d2342437c1cc3bca3b35579bb2
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-01-13

    Fix a potential crash if dispcal started giving unexpected data

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=958082

M	src/gcm-calibrate-argyll.c

commit ead5c9e83a0d947741e306394508a276c27b4ec8
Author: Richard Hughes <richard@hughsie.com>
Date:	2014-01-13

    Prevent a crash in gcm-viewer when the ICC profile cannot be loaded

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1045165

M	src/gcm-viewer.c

commit 3e6abe7850fc26c294279e35cf9ea044b70b5a69
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	2014-01-13

    Updated Hebrew translation

M	po/he.po

commit 77bcd823a621fccb30120435d44e730529d8443e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2014-01-12

    Updated Lithuanian translation

M	po/lt.po

commit 7b4b0cbea6828be6b7a617aa9197459ed0ee61b6
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2014-01-04

    Updated Greek translation

M	po/el.po

commit a0d5c011a31bdaeaeeacb826bbee316f41ef778c
Author: Benjamin Steinwender <b@stbe.at>
Date:	2013-12-31

    Updated German translation

M	po/de.po

commit 3a7fe9cb538e058c9d5889ad3469d19a3e1d33ff
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-12-30

    Updated Spanish translation

M	po/es.po

commit 028681930a3a93d49c268d194b208d51fa5333d6
Author: Tong Hui <tonghuix@gmmail.com>
Date:	2013-12-27

    Update Chinese simplified translation

M	po/zh_CN.po

commit 26b3d1559289874bcc4a5c02bc8a462a3cbac7b7
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-12-27

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e337c2d2191f79a94493638722b22e82a9af569b
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-12-24

    [l10n] Updated Italian translation.

M	po/it.po

commit 3234703790b62b859801d487801389d03676fa68
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-12-19

    Tajik translation updated

M	po/tg.po

commit e04149401f92ad9a765b5866ab42419eb3ff4b38
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-12-18

    Updated Galician translations

M	po/gl.po

commit b260fea4415bf2cb1dd76c206a4cc0d50e9af5fe
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-12-17

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 27b9f3c2846251a03dedec07327307a4fdd191b1
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-12-17

    Release version 3.11.3

M	NEWS
M	RELEASE
M	configure.ac

commit cf073b8cb596d0fc3e7652aebac2a9067115332c
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2013-12-16

    Laptops can have different display types too

M	src/gcm-calibrate-main.c

commit e348b929ef5a74ce3353382b9be63ebe290ca2e9
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2013-12-16

    Support more display types

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.h

commit 0b2194b6951d4d9d138448dbcc20c51bfebfb2f5
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-12-16

    [l10n] Updated Italian translation.

M	po/it.po

commit 9f8fe6dc7d6a136b994cfa513fb54cbd4ea1a309
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-12-12

    Don't depend on software we are not using

M	configure.ac
M	contrib/gnome-color-manager.spec.in
M	src/Makefile.am
M	src/gcm-calibrate.c
M	src/gcm-picker.c
M	src/gcm-utils.c

commit 6b607e8fb11f255e20cca301ab49ab077e9e5dc1
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-12-12

    Remove the 3D hull functionality

    The mash project is dead upstream and the clutter-gtk hack does
    not work
    correctly in wayland. It isn't worth so much code for such a
    little-used
    power-user feature.

M	configure.ac
M	contrib/gnome-color-manager.spec.in
M	data/gcm-viewer.ui
M	src/Makefile.am
D	src/gcm-hull-widget.c
D	src/gcm-hull-widget.h
D	src/gcm-hull.c
D	src/gcm-hull.h
M	src/gcm-self-test.c
M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit f9e8770867ebba57579fdcd397fa9e287ee1c529
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2013-11-29

    Correct the approximate timings in the calibration dialog

    The last correction was still too conservative.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit 8a752e8b372e27894eebc14c305543bdc9ff4e52
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2013-11-29

    Generate display profiles with a perceptual rendering intent

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit 00b1a67eeaf2e12a74b0cb56c548902ab170dc92
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2013-11-29

    Default to quick calibration, should be more than enough

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit 73af18cf61ac060a12450b7dab693783a0cdc6af
Author: Patryk Zawadzki <patrys@room-303.com>
Date:	2013-12-05

    Make it work with dispcal using stderr

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit cef02bb43c8ae9f974f023566b273d33301826d2
Author: Shantha kumar <shkumar@redhat.com>
Date:	2013-11-21

    Tamil Translations Updated

M	po/ta.po

commit 3540d0cbec15f2ebe13fed18d567efc745959ddd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-11-16

    Updated Spanish translation

M	po/es.po

commit 7de180f68ad4d56dd3233c6a02f21a1158e617cf
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-11-14

    Tajik translation updated

M	po/tg.po

commit f5b9c767c9423810415473e2aad2f29866d137f4
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	2013-11-10

    Updated Dutch translation

M	po/nl.po

commit b87cfe72974a1241c9672494ed3845337c5ab5d7
Author: Julia Dronova <juliette.tux@gmail.com>
Date:	2013-11-07

    Updated Russian translation

M	po/ru.po

commit adf0a4ee1abb4d21b94c93949b6ba564b0322e48
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-11-07

    Updated Greek translation

M	po/el.po

commit 43075ef4bf7144a15d1fb048af9ecd728793c602
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	2013-11-06

    ColorChecker is one word

M	src/gcm-calibrate-main.c

commit 926b2fca1c1fb0eb84eaff6ae8affef42ae7a5c2
Author: Efstathios Iosifidis <iosifidis@opensuse.org>
Date:	2013-11-05

    Updated Greek translation

M	po/el.po

commit a68f1caaa941829ad49396f3ead4c51ca23f485c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-11-01

    Updated Galician translations

M	po/gl.po

commit 6707e81306ff872629239fa25a63d2920ceb5631
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-10-31

    Updated Spanish translation

M	po/es.po

commit 94265aebd20292107caea2848d36958148908b48
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-10-31

    Tajik translation updated

M	po/tg.po

commit fbaff6213666336bf39b1ce2ec8789e1f2a26a59
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-10-24

    Updated Slovenian translation

M	po/sl.po

commit b0251923a7cd2c07f521f461a6251d0ae6c9abfb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-10-08

    Use the new 16:9 screenshots in the AppData file

M	data/appdata/gcm-viewer.appdata.xml.in

commit c2ed090f8db3ce8f513006e019f1d1f43b8ac798
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-10-08

    Add some new 16:9 screenshots

A	data/appdata/ss-calibrate.png
A	data/appdata/ss-cie1931.png
A	data/appdata/ss-info.png
A	data/appdata/ss-picker.png

commit 0efe08756716a29119b9bde2480c626ebd09e1bf
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-10-08

    Make gcm-picker look like a GNOME 3 application

M	data/gcm-picker.ui
M	src/gcm-picker.c

commit e6e61b5e6de57a9ff62ca3377c9c3ab7c26b8aae
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-10-08

    Use git.mk to autogenerate the .gitignore files

D	.gitignore
M	Makefile.am
D	data/.gitignore
M	data/Makefile.am
M	data/appdata/Makefile.am
M	data/figures/Makefile.am
M	data/icons/16x16/Makefile.am
M	data/icons/22x22/Makefile.am
M	data/icons/24x24/Makefile.am
M	data/icons/256x256/Makefile.am
M	data/icons/32x32/Makefile.am
M	data/icons/48x48/Makefile.am
M	data/icons/64x64/Makefile.am
M	data/icons/Makefile.am
M	data/icons/scalable/Makefile.am
M	data/targets/Makefile.am
M	data/tests/Makefile.am
M	data/ti1/Makefile.am
A	git.mk
M	help/Makefile.am
D	man/.gitignore
M	man/Makefile.am
D	src/.gitignore
M	src/Makefile.am

commit ae0396b005d6e3b75481222a765e3a811b849bde
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-10-08

    Move the AppData file into it's own directory

    The screenshots will also live here soon.

M	configure.ac
M	data/Makefile.am
A	data/appdata/Makefile.am
R100	data/gcm-viewer.appdata.xml.in
data/appdata/gcm-viewer.appdata.xml.in
D	data/gcm-viewer.appdata.xml
M	po/POTFILES.in

commit cc3f0e56cbcaf052e88ca0a90f8ea602af5cf58a
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2013-10-07

    L10N: Updated Persian translations

M	po/fa.po

commit e69dc708e55e280af173f5383615499f67c797b6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-10-07

    trivial: Do not dist both the appdata.xml and the appdata.xml.in

M	data/Makefile.am
M	data/gcm-viewer.appdata.xml

commit 38e0f8d8b1b485e7dbc997fa11f5adab76014beb
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-10-06

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit d47b0dd55308bea9ef6a01b6b61f977219012393
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-10-01

    trivial: Add copyright information to the AppData file

M	data/gcm-viewer.appdata.xml.in

commit 9a25d6543fc4c4103b86e08dbc301c5e4acb1f18
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2013-09-30

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 12ab0575b191d2a0c856270035e875ab40868c8f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-09-26

    Fix grammar in the AppData description

M	data/gcm-viewer.appdata.xml
M	data/gcm-viewer.appdata.xml.in

commit c45ecc9143c9a2849c0b7d1cb277e45e166df5a6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-09-25

    Actually merge the translations into the AppData file

M	data/Makefile.am

commit ef7e852da777cf3b2893487aef6af362657a93be
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-09-24

    Translate the AppData file

M	data/Makefile.am
M	data/gcm-viewer.appdata.xml
C085	data/gcm-viewer.appdata.xml	data/gcm-viewer.appdata.xml.in
M	po/POTFILES.in

commit 0491addf64d23e0ec4f863f03377feafd85b453e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-09-24

    trivial: Post branch version bump

M	RELEASE
M	configure.ac

commit f167c78e148a7753cf0e1e323f1b89d86f66e015
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-09-24

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 12670d7d033631dfa7572ed9d5c201a15671ff98
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-09-24

    Release version 3.10.0

M	NEWS
M	RELEASE
M	configure.ac

commit 7732b51adff7ba109f64bad07f327c4c321c7259
Author: victory <victory.deb@gmail.com>
Date:	2013-09-22

    l10n: Update Japanese translation

M	po/ja.po

commit 6a1856d9444e97fc0e638cc21b6f6b0f77147029
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2013-09-21

    Add Kazakh translation

M	po/LINGUAS
A	po/kk.po

commit 4a28bcc78f8d87324334d619b8d17f3ec608545c
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2013-09-21

    Updated Ukrainian

M	po/uk.po

commit 6ca1edeeed45ba0bb3e29f0dd1827fcae3bd6d38
Author: António Lima <amrlima@gmail.com>
Date:	2013-09-18

    Updated Portuguese translation

M	po/pt.po

commit d5004b51519c472ac2beba8bf90b4cc729e0cad8
Author: A S Alam <apreet.alam@gmail.com>
Date:	2013-09-18

    Punjabi Translation updated by Aman

M	po/pa.po

commit b36876dff47b830813214b77490e3bd56cd25903
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2013-09-16

    Updated Danish translation

M	po/da.po

commit a9b42f191cf4cd122cfb8fa03e16e8a5797e3f83
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-09-16

    Updated Basque language

M	po/eu.po

commit 320683a99ac56ff0e43dac3a8e09a1357ad819b3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-09-16

    Fix broken tags in Chinese Simplified help translation

M	help/zh_CN/zh_CN.po

commit e8eb51d6352acef5ca9b6d925fd5f2c02d94fb99
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-09-14

    Updated Korean translation

M	po/ko.po

commit 51a3b2ac3204e1291210336d759ef8b5fdd2b9bd
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2013-09-13

    Updated slovak translation

M	po/sk.po

commit e99723758a01cdbf0900efd2dbfbb994274a1b46
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-09-13

    Release version 3.9.92

M	NEWS
M	RELEASE
M	configure.ac

commit 378a90598bbe88907934bbca6593f05b79a61551
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2013-09-12

    [l10n] Updated Estonian translation

M	po/et.po

commit 90840b24f0417122c9c86d050cefa2e4efc87c41
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-09-11

    Updated Latvian translation

M	po/lv.po

commit 823af221e6ce2f9597f5ce11b6e34b84cf0bd3e9
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2013-09-11

    Assamese Translation Updated

M	po/as.po

commit cf01d35df95fae605430ceac18fe5ef7d637bddd
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-09-11

    Actually install the AppData file

M	data/Makefile.am

commit 5ffc37ba9db0417175ccc0b572b9d5078d4786b6
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2013-09-10

    Updated slovak translation

M	po/sk.po

commit 55c6cb9c45afa1c2be39e115f5978b17192af5ae
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-09-08

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 4f168dccabc1739d15f75d75c25ce7f2f5aad3da
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-09-08

    Updated Norwegian bokmål translation

M	po/nb.po

commit 2bae9e7f0ac03bc1c5f3fe93d7dfcd9aa7c51840
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-09-07

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 3edf413065ca082b2d5e61693fd20fa326f3435e
Author: Marek Černocký <marek@manet.cz>
Date:	2013-09-06

    Updated Czech translation

M	po/cs.po

commit 3b280770a50024a8d7a93594d9633bdc2528dcce
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-09-05

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit ae8a611fd586d74eeb73aa20895519d58f3f5115
Author: Stas Solovey <whats_up@tut.by>
Date:	2013-09-05

    Updated Russian translation

M	po/ru.po

commit 4926bffd348c2662f1bfe05efcfc140e8b964dca
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-09-04

    Update French translation

M	po/fr.po

commit e02495ed0c581be21cae9db9914e152f9ec990c6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-09-02

    Added Galician translations for docs

M	help/Makefile.am
A	help/gl/gl.po

commit 6c6fec80bb8789a9fa67f821adea417fe4ad5238
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-08-31

    Updated Indonesian translation

M	po/id.po

commit 31a22d62802c8342cff626740b975eccc417b224
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-08-29

    Add an AppData description for gcm-viewer

    See http://people.freedesktop.org/~hughsient/appdata/ for more
    details.

M	data/Makefile.am
A	data/gcm-viewer.appdata.xml

commit 3776f47d370c2fe14d79e89b2a930300537b427d
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2013-08-25

    Updated Hungarian translation

M	po/hu.po

commit b635b2eed9fbb49b795cd56b928be6487fd23b4f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-08-24

    Updated Polish translation

M	po/pl.po

commit 85116cd008091d6a5aaff71ae324b2bdf88e7598
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2013-08-20

    configure: we need at least clutter 1.12 to properly build with mash

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	configure.ac

commit c014f4acc9f7e3e54d62ecb8fdd71f3a2b7ac24a
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2013-08-16

    Disable GCM_DATA path prefixing for colord provided image paths

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit 4e64b94626dc3c18850a4e97ece9a512e16d2a7c
Author: Gil Forcada <gforcada@gnome.org>
Date:	2013-08-18

    [l10n] Update Catalan translation

M	po/ca.po

commit 85b399565f78d504db82153f5de7f272cb1fc53a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-08-17

    Updated Slovenian translation

M	po/sl.po

commit 0fc6861428011e4673a4e2f7ed8a3fbfcf87b850
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:	2013-08-11

    Add nl to LINGUAS

M	po/LINGUAS

commit 2e066066fed1ebf8b7b974f99635ddec62ad8aa5
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:	2013-08-11

    Added new Dutch translation, started by Cumulus007, finished by
    Reinout
    van Schouwen

A	po/nl.po

commit c24e82b0a5d522bdf7659ba4d04b408b9ebb0d31
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-08-08

    Updated Lithuanian translation

M	po/lt.po

commit 54970c0db385507af94d0eb824eb95d35488ef38
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-08-05

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit d6516f4179178805e079499a0341a0d1ac72dae6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-08-02

    Updated Galician translations

M	po/gl.po

commit a39d78514d0e850a03ce34121f8ac8afe0856ac2
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-07-31

    Updated Hebrew translation.

M	po/he.po

commit 1d07d3fe9b03308b39e747f2fcacd6644ead37f0
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-07-30

    [l10n] Updated Italian translation.

M	po/it.po

commit 92d98014219331317210bc8addd7d5c5c0fea769
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-07-30

    Updated Norwegian bokmål translation

M	po/nb.po

commit a8ee35723d20f966981b07454968109f1dd8455b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-07-30

    Do not use g_spawn_command_line_sync() when spawning executables

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=958093

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c
M	src/gcm-exif.c

commit 42ae05a8914f8f1adc52e5296b281f0bc5080718
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-07-30

    Do not use a predictable name when saving the PLY temp file

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=958088

M	src/gcm-hull-widget.c

commit 2851e15d06a112e968087cabfddf46eb6de46589
Author: Benjamin Steinwender <b@stbe.at>
Date:	2013-07-24

    Updated German translation

M	po/de.po

commit 75e04900d62ba7490d5db482b0665a82449be8c1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-07-24

    Updated Spanish translation

M	po/es.po

commit 0b821ab38143f117be56e69bcf5ab52958527b92
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-07-23

    Tajik translation updated

M	po/tg.po

commit 2e48edfcbdd77f504abc2e5927107a92782b5538
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-07-23

    Tajik translation updated

M	po/tg.po

commit 7c85a9c2e5374842a59caa86a0fb23898ea12e69
Author: Anish A <aneesh.nl@gmail.com>
Date:	2013-07-17

    Updated Malayalam Translation

M	po/ml.po

commit c35954c82b883b1707dd8de53780b414a85f53cc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-07-16

    GtkStock is deprecated

M	src/gcm-calibrate.c
M	src/gcm-viewer.c

commit d56acb0d25f4b59b4dddb7f3ab5f071557c35263
Author: 甘露(Gan  Lu) <rhythm.gan@gmail.com>
Date:	2013-07-13

    Update Chinese simplified translation

M	po/zh_CN.po

commit f917558d18a02a891bd9ff7b2db613112887528b
Author: Benjamin Steinwender <b@stbe.at>
Date:	2013-07-09

    Updated German translation

M	po/de.po

commit aa11252ec0cf6a6e3426e34eeb6add83198d5c79
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-06-29

    Kelvin is not a graded scale

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=979520

M	src/gcm-viewer.c

commit 2945e69c9bde5515ea582363f08555b47cc1429b
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-06-19

    [l10n] Updated Italian translation.

M	po/it.po

commit c03780e82b032922deaa3fabd875f1f55c1c57f6
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2013-06-05

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 7f86c03ca94d9266335201f11d3a44350479a18c
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2013-06-04

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit d1dad6274bf9f417be90ee1859619bd41b121060
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-06-01

    Updated Galician translations

M	po/gl.po

commit 1f97f18ecfb4d2e0baa830357281199d243c8fc9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-05-20

    Updated Norwegian bokmål translation

M	po/nb.po

commit c45e5c5a19714d05e864260c8832f16ae756bf0d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-05-16

    Updated Galician translations

M	po/gl.po

commit 1b717dbc9b947d9dffc9caf804b9de9d2e2ad030
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2013-05-13

    Updated Russian translation

M	po/ru.po

commit bcc6edc63f53d1332fd5b75ec4eedbe1841492ac
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:	2013-05-08

    gcm_calibrate_is_livecd() should be linux-only

    /proc/cmdline only exists on Linux and in this case used to check
    whether we are running out of a LiveCD.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit 7bb264beb87eb3d620f3b3d8d1ec3942501dd78b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-05-01

    Updated Slovenian translation

M	po/sl.po

commit a221c09f6ea5e326a56bd69324d78118c216fd45
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-30

    Remove cd_icc_has_colorspace_description() as we can use the profile
    MD now

M	src/gcm-picker.c
M	src/gcm-utils.c
M	src/gcm-utils.h

commit 6a54cbef89b71f5aed62a60635c139c80b579b37
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-30

    Use the new cd_icc_get_response() provided in colord 0.1.34

M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit cc22cb5fe0e278030887d0ff70f990e32e4dd0d0
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-30

    Remove GcmClut, it's now not required

M	src/Makefile.am
D	src/gcm-clut.c
D	src/gcm-clut.h
M	src/gcm-self-test.c
M	src/gcm-trc-widget.c
M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit 3fa8af918f97f6a34d86803de43165067445a987
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-30

    Use the new cd_icc_get_vcgt() in colord 0.1.34

M	src/gcm-self-test.c
M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit 708a8067583ff2aef056c0de229447eeaf2d842f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-04-28

    Updated Spanish translation

M	po/es.po

commit f22823ad15bcbd794d7b5ebf9bbe920a70d27c49
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-25

    Add another translation for a profile warning

M	configure.ac
M	src/gcm-viewer.c

commit 0d4b17fb6f1153410f3a0a64e81d395f3d05ab91
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-04-25

    Updated Greek translation

M	po/el.po

commit 488861c684afd10f24f8244f8ef1ef61e053a853
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-04-22

    Updated Spanish translation

M	po/es.po

commit 0af7f4ae7a0058863d50be2e7197bdd9cff22c9b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-18

    Use g_ascii_dtostr() to avoid writing locale-specific floats in
    PLY files

M	src/gcm-hull.c
M	src/gcm-viewer.c

commit 52a709bf9ef6275b1dcd9346d61acdf9e7430b67
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	2013-04-10

    Updated Hungarian translation

M	po/hu.po

commit 80393b36ebeeb03332cf2c0b2a400b4a5976e736
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2013-04-06

    Updated British English translation

M	po/en_GB.po

commit fcdf97c0da3095eb819b9a52d92d519c382e6b06
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-04-05

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 39edecc5e3922d0d463843f68c8188693e14e403
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-03-28

    Updated Hebrew translation.

M	po/he.po

commit f852c24bbdf5482591f2357d3ae2aee853ff93ae
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    Use CdIcc to load and save ICC profiles

M	configure.ac
M	po/POTFILES.in
M	src/Makefile.am
M	src/gcm-cell-renderer-color.c
M	src/gcm-cell-renderer-color.h
M	src/gcm-cie-widget.c
M	src/gcm-cie-widget.h
M	src/gcm-hull-widget.c
M	src/gcm-hull-widget.h
M	src/gcm-image.c
M	src/gcm-image.h
M	src/gcm-import.c
M	src/gcm-inspect.c
D	src/gcm-named-color.c
D	src/gcm-named-color.h
M	src/gcm-picker.c
D	src/gcm-profile.c
D	src/gcm-profile.h
M	src/gcm-self-test.c
M	src/gcm-trc-widget.c
M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit d6a3c1cbec66848bd3d9b4a3e814f19a7543560b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    Tweak a few of the descriptions to reflect reality

M	data/gcm-viewer.ui

commit ed0ba376cf35d8bd090feff89cc57bc61a46dc98
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    Make wrapping sensible when showing details about profiles

    No string changes.

M	data/gcm-viewer.ui
M	src/gcm-viewer.c

commit 29ad39b9eb67b1a6f97707718c9a2e09a0db1aa8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    trivial: Post branch version bump

M	RELEASE
M	configure.ac

commit fd27366a5c64cd3608abe049bfd80816be55b94a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    Release version 3.8.0

M	NEWS
M	RELEASE
M	configure.ac

commit d3f709834ea549b10359161b99d4b185e7c67ac3
Author: Andika Triwidada <andika@gmail.com>
Date:	2013-03-26

    Updated Indonesian translation

M	po/id.po

commit c7729175dd560d2551b3fce802af320c13819deb
Author: Ani Peter <apeter@redhat.com>
Date:	2013-03-26

    Completed for Malayalam

M	po/ml.po

commit 5f158e1c01aa0c715739aca278dc21c4d18f8be5
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	2013-03-25

    Updated telugu Translations

M	po/te.po

commit 6a3b87c1dce12fb4987403db1842d13485026593
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2013-03-24

    Updated Odia Language along with FUEL implementation

M	po/or.po

commit cc97d539f409f80636a57d35dda9c3116816799b
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2013-03-22

    L10N: Updated Persian Translation

M	po/fa.po

commit fa62a4e3bb532ff802d2ed73513793327be368e9
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2013-03-22

    Updated Marathi Translations

M	po/mr.po

commit e4063c357405f7c73fa656951a5bedcb4c8daeb9
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-03-21

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 39af6cbb7d2791c1f151be85154709a9b8175d08
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-03-21

    Update French translation

M	po/fr.po

commit 4932607904fc7d89d20ae9ec26a01e526699b7c6
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2013-03-21

    hindi translation

M	po/hi.po

commit 6295745b48be09f7e3f342f7849226635d1b19de
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2013-03-20

    Updated Hungarian translation

M	po/hu.po

commit 7dc9abc32cbcd3fc65e4fd7b44cf2ae868c21199
Author: Dr.T.Vasudevan <drtvasudevan@gmail.com>
Date:	2013-03-20

    Updated Tamil translation

M	po/ta.po

commit fae4992becb04fdadc833b944e8a5f20dec2c2f6
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-03-20

    Updated Basque language

M	po/eu.po

commit 9296855e26deb7b0bc235a29d442be6ce0405d86
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-03-19

    [l10n] Added Tadjik translation

M	po/LINGUAS
A	po/tg.po

commit 9d335ca5779d8743605c34e07de9e113dd43e4d7
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-18

    Release version 3.7.92

M	NEWS
M	RELEASE
M	configure.ac

commit ec87af677252fd2c39a09debb11299ba5007fe3b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-18

    trivial: Fix make check

M	src/gcm-self-test.c

commit 432f5e93cec8666b3ce4581284e5a638f82e7e44
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-03-18

    Updated Korean translation

M	po/ko.po

commit efbde931d38c7bdea4e2ae54ea1e80f84f6a6302
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-03-17

    Updated Latvian translation

M	po/lv.po

commit 54d5e045e34743cb5659fd8e2438acfa1ce25c10
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2013-03-17

    Updated Danish translation

M	po/da.po

commit 2dc219766eeb99892c22c09cc2d80762fd3e743b
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2013-03-15

    Updated gujarati file

M	po/gu.po

commit 4f00f87cf9d2929cf1e5dabc1fe934e80f103c6f
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2013-03-14

    [l10n] Updated Estonian translation

M	po/et.po

commit 2d04a4babad021792d617f6c5696d46e1ba92c46
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-03-12

    [l10n] Updated Italian translation.

M	po/it.po

commit 82887ea2212f0dc5dc291b339cb9e819756ad1b0
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2013-03-12

    Updated kn translations

M	po/kn.po

commit 836b25f795effbd8d364101860c0e640e4c731b4
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2013-03-12

    Updated kn translations

M	po/kn.po

commit ff12570e45cc34ab74d2d415e720b032391a60f7
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-03-12

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit d7f38a38c94aec6e5188590ff8696c3aa5cf7def
Author: Gil Forcada <gforcada@gnome.org>
Date:	2013-03-12

    [l10n] Updated Catalan translation

M	po/ca.po

commit fbc762fc5ffe33d2027ce295a0398d8c863a11fb
Author: António Lima <amrlima@gmail.com>
Date:	2013-03-12

    Updated Portuguese translation and converted to New Spelling (Novo AO)

M	po/pt.po

commit cc742426aca2cf41a91ad45db581aadb155d2619
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-03-09

    Updated Lithuanian translation

M	po/lt.po

commit 88063d99cdf8307559b35dcd82404bc572f804c0
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-03-08

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit ac85702388c4271a4e6e39c56d7713303b74734a
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-08

    [l10n] Updated German translation

M	po/de.po

commit 1052d29650f6b1c58278e4051eea6f8b758ae2ef
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-03-08

    Updated Greek translation

M	po/el.po

commit 4896bdcf59226708d809ba15e0ba5bd1e6d7ca84
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-03-07

    Updated Slovenian translation

M	po/sl.po

commit d32de03712260af2c16c8ba1d2700795a9953ca0
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-03-06

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 08c40604c4b9f2052cdc8772c41cb06b39104418
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2013-03-06

    Assamese translation updated for gnome 3.8

M	po/as.po

commit aad55494a510fa0a55c881755c29abb021935d46
Author: A S Alam <aalam@users.sf.net>
Date:	2013-03-06

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit 4ac7ed1a5c491d51ecefc72dcdacc199187e44dc
Author: Milan Knížek <knizek@volny.cz>
Date:	2013-03-05

    Updated Czech translation

A	help/cs/cs.po

commit 80411913df2365db37ac55da0667cc5be2a55f07
Author: Marek Černocký <marek@manet.cz>
Date:	2013-03-05

    Added Czech translation

M	help/Makefile.am

commit ea39acb7b59eb0630b5de7f969beab04d78623d0
Author: Milan Knížek <knizek@volny.cz>
Date:	2013-03-05

    Updated Czech translation

M	po/cs.po

commit 1cdf7b76df0f4967639f7aa476c3abb5171c7330
Author: Milan Knížek <knizek@volny.cz>
Date:	2013-03-05

    Updated Czech translation

M	po/cs.po

commit 4a5d71bd3504bc82e6fd2e55c6e4a68c023f2fce
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-03-04

    Updated Polish translation

M	po/pl.po

commit 16a25c941aa9e9b3e5aef0883b4cff7e7c456f37
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-03-04

    Updated Spanish translation

M	po/es.po

commit 53eff0a879dd8bf41ed62c694c365a61dc707fcc
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-03-04

    Updated Galician translations

M	po/gl.po

commit c82ef78fbc7a5c3b17013f91a2cbe7e0f3ede174
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-04

    Add some translations for the GAMUT metadata tags

M	src/gcm-viewer.c

commit 124726405c509d039829794c2110d981fdfde318
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-04

    Ignore the OPENICC_automatic_generated metadata key

M	src/gcm-viewer.c

commit f5774a83e7083fa110775d782c7d2f48fc1d61b3
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-03

    [l10n] Updated German translation

M	po/de.po

commit 1f7a2277439a594093009aea30e39d09a617c2db
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-03-02

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 8717e0c2885e4c3cea01d77035519aa86b4fd662
Author: A S Alam <aalam@users.sf.net>
Date:	2013-03-01

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit 0de6684edae2e6a2d38eba66c836a1ae13187d6b
Author: Michael Lin <linmx0130@gmail.com>
Date:	2013-02-28

    Add Simplified Chinese help translation.

M	help/Makefile.am
A	help/zh_CN/zh_CN.po

commit d739e2768fd41ac09a6c5ca78e0ea1b9f6537489
Author: Aron Xu <aronxu@gnome.org>
Date:	2013-02-28

    Revert "Update Simplified Chinese translation."

    This reverts commit fa48fbfc7a49492c0a05115dab7b72095e8872f6.

M	po/zh_CN.po

commit fa48fbfc7a49492c0a05115dab7b72095e8872f6
Author: Michael Lin <linmx0130@gmail.com>
Date:	2013-02-28

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit b5ae23e59cce13477210254bd89a28e79175119a
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2013-02-28

    Updated gujarati file

M	po/gu.po

commit b7ae47bd7afa2e16b81e84c6b69510574fbd193f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-02-25

    Updated Norwegian bokmål translation

M	po/nb.po

commit d9b3d5bc0309ad489d1dc9633c8315fd66736a97
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-02-25

    Updated Slovenian translation

M	po/sl.po

commit 267e5e1faaf2358bc2dede2c889c881dfbeedeaa
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-25

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 5235d2167305242922e46a4f24a8af280b66ead1
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-02-19

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit a939dad6a48ce2b4629a9badb3b80bb9860853dc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-17

    Updated Polish translation

M	po/pl.po

commit 5a4be81529d428abef54406bba88d59e43d1976c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-15

    trivial: Remove two unused files

D	src/egg-console-kit.c
D	src/egg-console-kit.h

commit e8e51e7cbbad88612592d1c364fd87cf4dd5a8ee
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-13

    trivial: Change the name of GcmCalibratePriv to 'priv' to match
    other code

M	src/gcm-calibrate-main.c

commit cdf37b1d308fc8f3d2d0cc690039f5215c8ec394
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-13

    Inhibit the screensaver and user switching when calibrating

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=884551

M	src/gcm-calibrate-main.c

commit 9b05534e3d0073a0c09fdb14f656fc000cf035b3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-12

    Do not use gtk_image_set_from_file() as we want to see the error if
    it fails

M	src/gcm-viewer.c

commit 5d0c2be0b81930afb56c73692a18c44231cd14be
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-12

    Set the transient and modal values before showing the window

    Fixes calling gcm-viewer with --parent-window for a specific profile.

M	src/gcm-viewer.c

commit e6008c6c21203a29df725de59a81a08646ed30cd
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-12

    Switch the profile viewer to be a dialog window

    This allows the user to close the window by pressing escape and also
    lets us
    add a close button.

M	data/gcm-viewer.ui
M	src/gcm-viewer.c

commit 0a23a364773431d0767c25ff3cc952652bbd1896
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-06

    Show the entire filename with path in gcm-viewer

M	src/gcm-viewer.c

commit 1bf453054158d2001e672ea95580b13ca246e9ac
Author: Anish A <aneesh.nl@gmail.com>
Date:	2013-02-08

    Updated Malayalam Localization - help

M	help/Makefile.am
A	help/ml/ml.po

commit e91f190e924949973906287502fb360e27dcfccc
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-02-07

    Updated Brazilian Portuguese translation

M	help/Makefile.am
A	help/pt_BR/pt_BR.po

commit be6b173d1af443740aa49d6acc4bff797261e31f
Author: Volkan Yalçın <vlyalcin@gmail.com>
Date:	2013-02-06

    [l10n] Added Turkish translation

M	po/LINGUAS
A	po/tr.po

commit 7aaf1444fc4ad7d79e70fb3ddaeb77bc800105ed
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-05

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 29e58d1566ea347ea429c17dd764baf1da51e515
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-05

    Release version 3.7.5

M	NEWS
M	RELEASE
M	configure.ac

commit 25fe6acc18f133cb695ef11eea7576d263f9beac
Author: Anish A <aneesh.nl@gmail.com>
Date:	2013-02-04

    Revert "Updated Malayalam Localization"

    This reverts commit fa6b8ba8bbf2617281287b562dfb7c28acc28482.

M	po/ml.po

commit fa6b8ba8bbf2617281287b562dfb7c28acc28482
Author: Anish A <aneesh.nl@gmail.com>
Date:	2013-02-04

    Updated Malayalam Localization

M	po/ml.po

commit 63bb772ad425f45aeb017dd8a74b254363262a86
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-01-29

    Updated Norwegian bokmål translation

M	po/nb.po

commit d8d5a2639da68d95c1f29e5d12a655f8c53f2d78
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2013-01-28

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 06accd3506152a8e55e8cf0c2692c09494ed2e2c
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2013-01-27

    Updated and fixed Russian translation, restored copyrights

M	po/ru.po

commit cedd25ebd07b758359d90ad49e4cf20683712ccb
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-01-25

    [l10n] Updated Italian translation.

M	po/it.po

commit 50941263f2b5953bcaf5722c9489381c27295a6c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-01-21

    Updated Norwegian bokmål translation

M	po/nb.po

commit d451152064cf2c238bbf2c33017af5b04b095859
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-19

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 4a7fe354590ec57410ef1e794d47f6d160af86c2
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-19

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 17deb0e66642d4209aef4a919d3713ee3cbd98e8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-17

    Remove the obsolete docs

D	docs/colormunki/argyll-init.txt.gz
D	docs/colormunki/argyll-position-strace.txt.gz
D	docs/colormunki/color-munki-sensor-dump.txt.gz
D	docs/huey/argyll-spotread-colors-re-gr-bl-wh-bl.txt.gz
D	docs/huey/argyll-spotread-verbose.txt.gz
D	docs/huey/huey-sensor-dump.txt.gz
D	docs/huey/huey-sensor-dump2.txt.gz
D	docs/huey/multiplier-1-to-100.csv.gz
D	docs/huey/usb-ambient.txt.gz
D	docs/huey/usb-init-cancel.txt.gz
D	docs/huey/usb-init.txt.gz
D	docs/huey/usb-profile-complete-crt.csv.gz
D	docs/huey/usb-profile-complete.csv.gz
D	docs/huey/usb-startup.txt.gz
D	docs/huey/usb-unlock.txt.gz

commit 6ed03ce8fe255563dd83f5db448d15c8c3265f21
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:	2013-01-17

    Updated Bulgarian translation

M	po/bg.po

commit c2a0338a03444ccd90ab410a6d3f9392256253fa
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-16

    Remove the device figures now we depend on a version of colord that
    installs them

M	data/figures/Makefile.am
D	data/figures/colorhug-attach.svg
D	data/figures/dtp94-attach.svg
D	data/figures/hcfr-attach.svg
D	data/figures/huey-attach.svg
D	data/figures/i1-display3-attach.svg
D	data/figures/i1-monitor-attach.svg
D	data/figures/i1-pro-attach.svg
D	data/figures/munki-ambient.svg
D	data/figures/munki-attach.svg
D	data/figures/munki-calibrate.svg
D	data/figures/munki-projector.svg
D	data/figures/munki-screen.svg
D	data/figures/spyder2-attach.svg
D	data/figures/spyder3-attach.svg

commit 0ecbead47daaad74b2e03f6f48eb519ad8011d3f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-15

    Remove a lot of CD_CHECK_VERSION as we hard depend on a new version

M	src/gcm-calibrate-main.c
M	src/gcm-cell-renderer-profile-text.c
M	src/gcm-import.c
M	src/gcm-picker.c
M	src/gcm-viewer.c

commit 88e70c1b98401ab54e4db239b2a7f904243dbbcd
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-15

    Remove the native calibration code

    It's never been enabled, and it's been superceeded by the colord
    session helper.

M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit 338c26ad24f1b28931dbce187293119315f1edc8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-15

    Use the new sensor metadata to avoid duplicating data tables

M	configure.ac
M	src/gcm-calibrate.c

commit 3bd4b6c98ff451b4001bad644bf601fce3714d13
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-01-14

    Updated Lithuanian translation

M	po/lt.po

commit 6f2e4a25cce08d3289d28fdba433dd4de58c985d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-14

    Don't use the deprecated INCLUDES in Makefile.am

M	src/Makefile.am

commit d57c31c60b4e8477e0b7889b266a6e56681cf77a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-01-13

    Updated Slovenian translation

M	po/sl.po

commit 59d018107fd076a4c4bf7f3e42cd8c50e59c2ecb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-10

    trivial: Remove an unused file

M	po/POTFILES.in
M	src/Makefile.am
D	src/gcm-list-store-profiles.c
D	src/gcm-list-store-profiles.h

commit fc4f84de49332c82d4b583cb2293b58438d09dcb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-10

    Do not use deprecated symbols from colord

M	configure.ac
M	src/Makefile.am
M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate.c
M	src/gcm-cell-renderer-color.c
M	src/gcm-cie-widget.c
M	src/gcm-hull.c
M	src/gcm-picker.c
M	src/gcm-profile.c
M	src/gcm-self-test.c

commit 90e2d16d1a535d645e8db32647eb10a8d153200a
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-01-03

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit da2f2728d62339abdec640b6ea04781dc4cbebaa
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-01

    Remove gcm-dump-profile, it's no longer used

M	Makefile.am
M	configure.ac
D	tools/.gitignore
D	tools/Makefile.am
D	tools/gcm-dump-profile.c

commit 26c24768e0c40112af0d1c1cfae912868c2bd08a
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2013-01-01

    Detect Ubuntu casper based livecd's as well

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit 897ec4b6812202dcc7906f906d4b740ae6dc43e5
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-12-25

    For dispread skip instrument recalibration for the ColorMunki

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit 9e66ee4210ead0cc3d621b51b68cccca41bf7fd8
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-12-25

    For the ColorMunki use high resolution measurement mode

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit 8c25b391f1ce1cdfbfdf2084141f24d8486c7516
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-12-25

    Move gcm-calibrate to lower right of the screen

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit 0751579152349641d2ea7c0b69cf4b7dc0cd4485
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-12-25

    Large default window size, to prevent mid operation automatic resizing

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit e748be0e61c7b2233806cec55789bcbdabe7ad95
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-12-25

    Better initial orientation for the Lab hull

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-hull-widget.c

commit 61d26ddcba48a53933fcdd435a95c1db320898ad
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-12-27

    Honour precision for dispcal

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit 1d80f0ef55028fc60c243d219c1016a8ce2738dd
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-12-26

    Show temperature page for more devices

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit a28682e6999b5f903b2fa109a0ba081825420e61
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-12-26

    Default to normal calibration

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit 71a8d24f4b785ed6271e095309683096c499421d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-27

    Updated Polish translation

M	po/pl.po

commit 10d54b13005f1cf9ab4800419c2518d123e6230f
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-12-27

    Updated Hebrew translation.

M	po/he.po

commit 7fe8467506aa5782721fa7639aaac1997084bc49
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-12-26

    Updated Spanish translation

M	po/es.po

commit b81a8b776078b55ae4924fe7a08402945a3684b5
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2012-12-24

    Updated Greek translation

M	po/el.po

commit 46ff3674ea7a6579c69f5f788f896e75288078f6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-12-23

    Updated Galician translations

M	po/gl.po

commit 81e76ffff428eabca8f2877888fd63febc6eea2c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-12-21

    Updated Spanish translation

M	po/es.po

commit cec547740e22f761f87dbdef6f83a7faff2bc484
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-12-19

    [l10n] Updated Estonian translation

M	po/et.po

commit 74439b2ab9db00c4e67f4b9b4a6ab7e0ca496739
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2012-12-18

    Assamese translation updated

M	po/as.po

commit 03844715c87ca339140c153783ccc907a8485fa8
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-17

    Use the UTF-8 '…' rather than '...' in UI code

M	src/gcm-calibrate-argyll.c

commit 41c85574fd842e56e501483fdc1208d84cc93db9
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-12-09

    [l10n] Updated Estonian translation

M	po/et.po

commit 385e803865f7186df9ec673399d294a4f2c171f7
Author: Sayak Sarkar <sayak.bugsmith@gmail.com>
Date:	2012-11-30

    Added Bengali India Translation

A	po/bn_IN.po

commit 0640d66f6bf0b6debb946369dd14cb2f6da3ff3f
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2012-11-30

    Added Bengali India to the list of languages

M	po/LINGUAS

commit a0a86ded664d6da70963c65132abc336b633a8b6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-24

    trivial: Whitepace cleanups

M	src/gcm-profile.c

commit 873e8999ea3de3fdc1cac80c7bd7295eea929619
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-23

    Calculate the profile whitepoint using the profile transform

    For version 4 profiles, the whitepoint is set as D50 and a chromatic
    adaption
    matrix 'chad' is used to convert this to the target whitepoint.

    Using only cmsSigMediaWhitePointTag does not take chad into account,
    and so we
    display the wrong profile temperature. Using cmsFLAGS_NOOPTIMIZE
    means that the
    transform is cheap to set up and works for v2 and v4 profiles.

M	src/gcm-profile.c

commit 6289ec56df0b60b128d849de0f3066c4661dfc1e
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2012-11-23

    Assamese translation updated

M	po/as.po

commit af36634cc64c29f75d6c0018cc73b8ceed4bacf4
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-11-21

    Updated kn translation

M	po/kn.po

commit 63b3cdba74ef12d5092dd996115960b20a430c66
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-11-21

    Updated kn translation

M	po/kn.po

commit f063a2048776545e3ea14c5a2eb231463f90f900
Merge: 1d4caf4 4a57f37
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-11-20

    Merging 'master' of ssh://git.gnome.org/git/gnome-color-manager

commit 1d4caf4b62186bd35e73b8aaa63bb78cbafe61e2
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-11-20

    Updated Kannada Translations

M	po/kn.po

commit 4a57f3773218384c5238121f7b07ee47d1f2be46
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-20

    Add a missing metadata title to the profile viewer

M	src/gcm-viewer.c

commit 4a17e42236a51c91fe321e4b919e919f23aa408d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-17

    Show the profile problems in the viewer application

M	data/gcm-viewer.ui
M	src/gcm-viewer.c

commit eab9dcc48779c4338d6b145f4360f7bca62dd64a
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	2012-11-19

    Added entry in LINGUAS

M	po/LINGUAS

commit 19698830c39de41b90e3cb69cc8486bd971bf873
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	2012-11-19

    Updated Telugu Translations

A	po/te.po

commit 27cc3bcb5e27b42ef8c7595a160caa0c5194fa90
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-11-17

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5564990f42da4e15e435f6c9e709ee13da0f2629
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2012-10-31

    Added Odia language into the list.

M	po/LINGUAS

commit 16646dd15c2a808687518d7137ea2de258711960
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2012-10-31

    Updated Odia Translation with FUEL implementation.

A	po/or.po

commit f2eeec66114e0b863205f37c71f14740c4f14c62
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-10-30

    [l10n] Updated Estonian translation

M	po/et.po

commit 47ff253bcd11a5b1cef696e58e3b4450f0447de6
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:	2012-10-14

    Updated Bulgarian translation

M	po/bg.po

commit e7e01aa72e884390af47949cf8ee97e2163d0caa
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-10-14

    Updated Bulgarian translation

M	po/bg.po

commit 01798b4e09d5ecea5d6cb56e4f05369c972a8afd
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2012-10-12

    Updated Slovak translation

M	po/sk.po

commit c11d4e851e8312731e03374fd08e32ba0c742164
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	2012-10-10

    Added Slovak translation to LINGUAS file

M	po/LINGUAS

commit a8ede936f10dd69a672e617b3f32e83d0c81dd2c
Author: Roman Mátyus <romanmatyus@gmail.com>
Date:	2012-10-10

    Added Slovak translation

A	po/sk.po

commit 1e037572885a8307190b56c78e239e1e7b4c7bc4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-08

    Add a 'Show details' button for already-installed profiles

M	src/gcm-import.c

commit 00cbd7869d888620edbde49d340db67e21426e34
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-08

    Use cd_client_find_profile_by_property_sync() where available

    The profile ID is not the best way to find a specific profile.

M	src/gcm-import.c

commit 20f0b5d3b6168af608649efe778a9427b15ec917
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-08

    Get the ICC profile pre-cooked MD5 value if it is available

M	src/gcm-profile.c

commit 1ad13cbdf0bc0606fe18e7d731c4ef7dfc0eefc2
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-10-08

    Correct sheet/minutes counts in the calibration dailog

    Currently the sheet and minute counts in the calibration dialog
    are off.

    Using the attached patch, the sheet count should be accurate again.

    The minutes estimate for display calibration is harder is estimate
    as it
    depends on the dialog and colorimeter used.

    However it's probably better to estimate it to the high side as
    opposed to the
    low side. It's better to be pleasantly surprised instead of
    unpleasantly
    surprised.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit e6b7d89e55189b8017064d364b4716d4624cd541
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-10-08

    Use a 0.8 instead of 1.2 sized test window for Argyll

    Currently GNOME Color Manager start argyll's test window at a
    fairly large
    size. However this obscures a lot of screen real-estate on smaller
    displays
    (think netbooks, etc), making GCM's dialog hard to operate.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit 135c57d1a3f4a8c248ad0be30e7281f02b2766d5
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-10-02

    Updated Latvian translation

M	po/lv.po

commit f2b585647ac815b4140428062e25d787a9db95de
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-09-27

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit c4b2f3d001412c13817c9d61f10058ee028cda42
Author: Gil Forcada <gforcada@gnome.org>
Date:	2012-09-27

    [l10n] Updated Catalan translation

M	po/ca.po

commit 38e3faea247bb6b68f2877a9a47accb42461f500
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-25

    trivial: Post branch version bump

M	RELEASE
M	configure.ac

commit 622e7f5047ce33b949eb29afdc28c26890516a0f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-25

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit d6f4d073fb4bb799c614ae5684398a32debda2e0
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-25

    Release version 3.6.0

M	NEWS
M	RELEASE
M	configure.ac

commit a511a536007f1385b32a505eee1de7bb245cff4d
Author: A S Alam <aalam@users.sf.net>
Date:	2012-09-24

    update Punjabi Translation

M	po/pa.po

commit 7a97439f1f16ad75e8027b92405711e400a25e75
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-09-24

    Updated Latvian translation

M	po/lv.po

commit 21b78d49bbe5392cd8bd8b73b2e75c5ed4dabbb1
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2012-09-23

    Fix French translation

M	help/Makefile.am
C099	po/fr.po	help/fr/fr.po
M	po/fr.po

commit de76845d69b6a65bb5ffb28938a85111a85196c7
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2012-09-23

    Update French translation

M	po/fr.po

commit 4a598ed97eef43b8edad1785ef2e36bb1034ad94
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-09-23

    Updated kn translation

M	po/kn.po

commit 0bb84c5d4ea466ced9b2e58974ba32effc719260
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-09-22

    Updated Hebrew translation.

M	po/he.po

commit 161906a70d016f60a39fea3e68ad55b24d463f06
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-09-22

    Updated kn translation

M	po/LINGUAS

commit 2c46ace159eb0b044f49ee7cacc3c62c1c656931
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-09-22

    Updated kn translation

M	po/LINGUAS

commit ff55ded56b628c9aac96391ff471e138f92b2f06
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-09-22

    Updated kn translation

A	po/kn.po

commit 178656814a8aeeb2b9c6689271a60e05ac4f12be
Author: Ani Peter <apeter@redhat.com>
Date:	2012-09-21

    Updated Malayalam file

M	po/ml.po

commit e65f19fa91bd80e79af72acbf74de17a08349b9d
Author: Ani Peter <apeter@redhat.com>
Date:	2012-09-21

    Updated Malayalam file

M	po/ml.po

commit 7781bd9ccf3d6d19432a9c4c9d0ddd7bf4e5e63e
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-19

    updated Tamil translation

M	po/ta.po

commit 4ab45e3d4b2bf8acd6b34fd0eb5b274acf6507cc
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-19

    updated Tamil translation

M	po/ta.po

commit ca6beb6d43b01cb1c851947f8740db561d2fa600
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-09-18

    Updated gujarati file

M	po/gu.po

commit 6adfd67b57ef25d8c3c6bdb52f784b6cb8dbc7af
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-09-17

    Updated Russian translation

M	po/ru.po

commit e0e456bd7fcd63acb5a4d8439f5477dc35d000b2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-17

    Updated Spanish translation

M	help/es/es.po

commit 6f3bf4bda25fccb32e47a8ea44f1607fb54857cc
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	2012-09-17

    Updated Korean translation

M	po/ko.po

commit 74e2c1b2564557603b8564ea7742f22d49e75a59
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2012-09-16

    Updated Danish translation

M	po/da.po

commit b55aed094c48fcfde373c561522e7c0353335c55
Author: António Lima <amrlima@gmail.com>
Date:	2012-09-14

    Updated Portuguese translation

M	po/pt.po

commit 90ce48b7a631df333121c236b3cb652b58fce578
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2012-09-13

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 2fae7a42daca40f5e1e6b3e6dfba0b9b833f7e49
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-13

    Updated Greek help translation

M	help/el/el.po

commit 906896c88e30c306a828ced9bc1b26bcd7b01387
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2012-09-12

    Add fi to LINGUAS and a new Finnish translation by Jiri Grönroos

M	po/LINGUAS
A	po/fi.po

commit 384cc0de8239a5ad0b7f0d588b4507a4fdc8613f
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-09-11

    uk update

M	po/uk.po

commit f186fd6b4599635024c38c0b1ccd7aa147cfd32f
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-09-11

    uk update

M	po/uk.po

commit f664eb9cce6ea3e26336c6321e3af5d6ca740c25
Author: Milan Knížek <knizek@volny.cz>
Date:	2012-09-08

    Updated Czech translation

M	po/cs.po

commit ab6571ac77d25eb155dc268fca25f2c697403999
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-09-07

    Updated Hebrew translation.

M	po/he.po

commit 4540bd6d264178044fe3d08ab60907cbc7fa20d8
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2012-09-06

    [l10n] Updated Italian translation.

M	po/it.po

commit 1a53355354e933aae317bd510fe06b0dff906db2
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2012-09-06

    l10n: Updated Persian translation

M	po/fa.po

commit 05fb08dd58ad66fb8cc066a2a0d74cdc3296c31a
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-09-05

    uk update

M	po/uk.po

commit 98145c5ef2fbb4aa036735a74d4b050723fa5895
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-05

    Updated Polish translation

M	po/pl.po

commit 66e1270f9fee1c7c29d177a62d96a238a90b82e0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-03

    Updated Polish translation

M	po/pl.po

commit 171c3eafa5eca796099192c56ddbe62f350c977e
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-09-03

    Updated British English translation

M	po/en_GB.po

commit 58b80b61dd35b7f7a616215f8753e8338a9bee65
Author: Daniel Nylander <po@danielnylander.se>
Date:	2012-09-02

    Updated Swedish translation

M	po/sv.po

commit dd08bc433dfceacbcaf667a40f0dfcd6ca949868
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-08-30

    Updated Indonesian translation

M	po/id.po

commit 78b6054d7b21ed4c1f17048b02bb7b7da4dc03f7
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-08-29

    Updated Lithuanian translation

M	po/lt.po

commit 0993845321cf80a67214a068a7a97b3ea9ec46b3
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-08-30

    Updated Indonesian translation

M	po/id.po

commit 70f6e0c6bf924cfc8103046209f651af437c2543
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2012-08-29

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit acafd8002821ff0d3c571dea437d20f5d1544f81
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-08-28

    Updated Norwegian bokmål translation

M	po/nb.po

commit 78f665d25d3f9335a21148ab32462900b3f1a9b4
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-28

    Implemented FUEL entries to Assamese translation

M	po/as.po

commit 89402a610e3f06f76d41d9f5b7a526370384b48c
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-08-26

    Updated Vietnamese translation

M	po/vi.po

commit 8cfef684bd406833cac7f927d67b267ff3a679eb
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-08-26

    po/vi: import from Damned Lies

M	po/vi.po

commit d7336ce9cb58138f168f12e1f7fb5a08098f7048
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-08-24

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 81cedef68e518965b221561f6c3dba224b7ddf6c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-08-24

    Release version 3.5.90

M	NEWS
M	RELEASE
M	configure.ac

commit e4d8e74d08c65f290923b7c7be628f74b430e3e0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-23

    Updated Polish translation

M	po/pl.po

commit 1fe2ee39e643c24e07d8ddc91407cd33245c486f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-08-22

    Updated Norwegian bokmål translation

M	po/nb.po

commit 88d57e48e4f555d0211ead65c98e642e6e53f381
Author: Oliver Propst <oliver.propst@gmail.com>
Date:	2012-08-18

    Use Yelp tools insted of gnome.doc-utils

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	autogen.sh
M	configure.ac
M	src/gcm-utils.c

commit e1d730dfdc4ae2fa4b238c08d2a4380e062c0689
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-17

    Updated Galician translations

M	po/gl.po

commit 58055504ad846e827bff2134379c839bde840faa
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-08-13

    Updated Hebrew translation.

M	po/he.po

commit 3e126c80d99d548c47bc998f622ce1f3c22e7468
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-08-13

    Updated Marathi Translations

M	po/mr.po

commit da80e6d5d8b91977d40806e440e3678214a419e2
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-08-12

    Added Marathi Translations

M	po/LINGUAS
A	po/mr.po

commit a11c64fa2d64e51aed461f05e71bc70f4f63da05
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 975231d0e0fe6612b6844013bf7c734048cff3c8
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-10

    Assamese translation completed

M	po/as.po

commit f3c331e2dfa022b7ae8cd4f54f4d061c621f24db
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-08-08

    Updated Indonesian translation

M	po/id.po

commit ceb0c1d51501b22b18b422e03e7e00bd68ce834b
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-07

    Assamese translation updated

A	po/as.po

commit 080a932f9ac14cfb8bcde8cc4212da35378a37e6
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-07

    Added Assamese to LINGUAS

M	po/LINGUAS

commit b6ec7aa457e606553874008fa77cabd77e47dffa
Author: chandankumar <chandankumar@git.gnome.org>
Date:	2012-08-06

    added hindi translation

M	po/LINGUAS
A	po/hi.po

commit 8161e9dbc07db2c6d42bbfa2d28a6b681fb76b64
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-08-06

    Do not use deprecated clutter API

M	src/gcm-hull-widget.c

commit e8e121f4fb887d61d191e60da9594858a0474570
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-08-06

    Remove -Werror by default for development builds

M	configure.ac

commit 420d0cbd4cd7e41a0be91d57c4733781bdd538bc
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-07-31

    Added Greek help translation

M	help/Makefile.am
A	help/el/el.po

commit fe47ace0447a86caa7731dea351b4167723d8cb9
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-07-28

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 8431566f5850a6f4d329dfcc0700021b96e6eefa
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-07-26

    Added gu in LIGUAS file

M	po/LINGUAS

commit ab4e630e4cbecbbeba823684d13329331d8a8fef
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-07-26

    Updated Gujarati Translations

A	po/gu.po

commit cc7e9303ea0934e3b2c8ce8db2357874b9ff5dbf
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-07-24

    Updated Hebrew translation.

M	po/he.po

commit ba9816fbe2b85287201be4ecebfaed5bb576ec48
Author: Cheng Lu <chenglu1990@gmail.com>
Date:	2012-07-24

    Update Chinese simplified translation for ui

M	po/zh_CN.po

commit 4dbe04583605fd46add264bc1badb78240ed4ea6
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-07-09

    Updated Norwegian bokmål translation

M	po/nb.po

commit 0afdb11b35d8e0d2ebaaf136677798271ea71bcf
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2012-07-09

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 680aab86858fde03892a16f102c6d57a0bb9bf50
Author: Tobias Endrigkeit <tobiasendrigkeit@googlemail.com>
Date:	2012-07-06

    Updated German help translation

M	help/de/de.po

commit 3b5497b92ce2b13b9f77b9e1eba5685a621a57c8
Author: Ryo Fujita <rfujita@redhat.com>
Date:	2012-07-01

    [l10n] Update Japanese translation

M	po/ja.po

commit bd84508122d2b24bdf36a3afb1ef749fe08041ee
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-06-27

    trivial: Post release version bump

M	RELEASE
M	configure.ac
M	contrib/gnome-color-manager.spec.in

commit 8f7eac16dc3841e39f71c3f4ca15b7292be3c762
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-06-27

    Release version 3.5.3

M	NEWS
M	RELEASE
M	configure.ac

commit 49eb3d7b888d9c38ea1cc306e163e7c98fcc1276
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-06-26

    Updated Greek translation

M	po/el.po

commit ff914666a8b365aec36c82599900bd91163b3fc9
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-06-11

    Updated Greek translation

M	po/el.po

commit 8a7009877df85a5884821e9e877724d51d4db915
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-06-02

    Updated Hebrew translation.

M	po/he.po

commit 8cb9ff39fc70b189296ef86ddf00e16fd6e21a59
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-05-30

    Updated Norwegian bokmål translation

M	po/nb.po

commit 81e011fb377d3df298cc9493b6dff9f7584a04ae
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-03-30

    Change display profiles to single gamma

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit 7ccdbc0da05b5ba4722e6ef46084eafafed450e8
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-29

    Ensure the print profile mode is set in the calibration dialog

    Resolves: https://bugzilla.gnome.org/show_bug.cgi?id=671373

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c

commit d0ea36667dc655415de01098897e2b1a7821fa41
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-29

    Don't emit a two critical warnings when calibrating a printer

M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c

commit f8a68f647a4cf326ba540af78aa356c253b72cee
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-28

    Add some checks to prevent gcm-picker crashing

M	src/gcm-picker.c

commit 09cdb66f7505121487fc4e3dff18ddf06738c682
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-28

    Don't hardcode the AdobeRGB profile

M	src/gcm-picker.c

commit d00ba281ff8087ea2a361fee98dfce7366702d4c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-05-26

    Updated Hebrew translation.

M	po/he.po

commit 35a732135d87814cdfa5cdfcc990c3e2992c0a1b
Author: A S Alam <aalam@users.sf.net>
Date:	2012-05-22

    Update Punjabi Translation

M	po/pa.po

commit b56fc88d7882b82060e4b7526e18679fa1e28c86
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2012-05-19

    Updated German translation

M	po/de.po

commit faa57c0a230dcf9a219c2cb0c55f93b213cb85ac
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-05-18

    Fix up tooltip strings

M	data/gcm-viewer.ui

commit 9179b3ef0d1997ab84a3cab0f2d6eac09f141b3a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-14

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 6e6969ef0332b4d69153bab004ef9ddadb47fbea
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-14

    Release version 3.5.1

M	NEWS

commit 027891d0a989f15eaeed77d2dc66044eef2d4434
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-05-11

    Updated POTFILES.in

M	po/POTFILES.in

commit 5fab2ca0fff7eed094622f78bb690db67cabb8b7
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-10

    Hide the target whitepoint selection screen if the sensor is a
    colorimeter

    Only expensive photospectometer devices are able to get the accurate
    readings
    required to do this without getting a color cast.

    Too many users are reporting the screen 'goes pink' using colorimeter
    devices,
    and so force them to have a native whitepoint used during calibration.

M	src/gcm-calibrate-main.c

commit d813ab765be83b23df548a331471b35ca91656ea
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    Remove gcm-calibrate-helper as it's now unused

M	src/Makefile.am
D	src/gcm-calibrate-helper.c

commit ed5c076e97a2b51919445bcd2533f694ac43422a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    Use CdSampleWindow from libcolord-gtk rather than our own copy

M	configure.ac
M	src/Makefile.am
M	src/gcm-calibrate.c
D	src/gcm-sample-window.c
D	src/gcm-sample-window.h
M	src/gcm-self-test.c

commit 1f2da71ea24ea85b751c99b9b3677abe936c0293
Author: narcissus <3006nol@gmail.com>
Date:	2012-05-08

    Added Persian translation

M	po/LINGUAS
A	po/fa.po

commit 4f424aa7986d056e5c761179f6c6035e45000562
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-05-06

    [l10n] Added de to HELP_LINGUAS

M	help/Makefile.am

commit 39727d2343f98a7651b666c8a7d9b9e3797c2476
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-05-06

    [l10n] Added German doc translation

A	help/de/de.po

commit 9f7e4a256d73929848175fb81d9437174ff4f27f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-04

    trivial: remove two critical warnings when profiling a scanner

M	src/gcm-calibrate-main.c

commit 364315ea1dccc9429af1c9b95506f682f48e7331
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-04

    Don't ask the user to choose a CIE reference when one cannot exist

M	src/gcm-calibrate.c

commit c82d26b44d8811fe95ea86a89aa2fba2246b9e1a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-04

    Allow the user to select a CIE file when looking for chart values

M	src/gcm-calibrate.c

commit 536b09c5e92974b86d7403d99bb4e63e7c5922a1
Author: Kostas Papadimas <pkst@gnome.org>
Date:	2012-05-03

    Updated Greek translation

M	po/el.po

commit 6b2e2896983064031d210e8a5d2dfe930275ae39
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2012-05-02

    Update French translation

M	po/fr.po

commit 0f4194948780dfa06a60cc419820155396386a15
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2012-04-30

    Updated French translation

M	po/fr.po

commit 4bb749d0adbf34d028d7491632caaf294194a75c
Author: Radina Matic <radina.matic@gmail.com>
Date:	2012-04-26

    Updated Spanish translation

M	help/Makefile.am
A	help/es/es.po

commit 44c562b0953074f4cb8cd21b1e461695cf23c946
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-04-26

    Fixed typo

M	help/C/color-import-linux.page

commit a66e26ed61e6a0f26f716ad8636221dcd17a8b33
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-04-25

    Updated Hungarian translation

M	po/hu.po

commit 331c3830c57e7df2e89137584bcf80876002d8e2
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-23

    Set the 'remote-profile-hash' sensor option when calibration has
    completed

    This allows us to automatically import the profile in future
    versions of
    gnome-settings-daemon.

M	src/gcm-calibrate-main.c

commit ad4d2817e95261f1893ef6aa45ed78369194c850
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-04-21

    Updated Slovenian translation

M	po/sl.po

commit d0362fb6f815383e3ad00b8d81d8de73652b2e9a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-04-19

    Updated Galician translations

M	po/gl.po

commit 77527397000c649c11503d9c319c42b41ab90c52
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-04-19

    Updated Spanish translation

M	po/es.po

commit 401ed83e3ac5cfd53c41261715443650ba4356fb
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-04-19

    Fixed typo in string

M	src/gcm-calibrate-main.c

commit f114fc92d52a6c1e2cba3e6782691f501da77ce4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-17

    When using a LiveCD, have a button the user can click on to show
    the icc profile

M	src/gcm-calibrate-main.c

commit d5b519b90a03a3782d78a42dcfee7a786826699a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-16

    Explain how to use the ICC profiles on other systems

M	Makefile.am
M	configure.ac
M	contrib/gnome-color-manager.spec.in
A	help/C/color-import-linux.page
A	help/C/color-import-osx.page
A	help/C/color-import-windows.page
A	help/C/gnome-help.its
A	help/C/legal.xml
A	help/Makefile.am

commit 7488ae9bdffac63c154772f7dabbdb326be86577
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-17

    trivial: remove a line from the calibration dialog

M	src/gcm-calibrate-main.c

commit 7c3f7e615595c5517cdf04f4a8a09d16219a1b3b
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-14

    Show the actual ICC profile after calibration if the user is using
    a LiveCD

M	src/gcm-calibrate-main.c

commit 6d204e06da686bf7e750daa4157956f5b09c176e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-26

    trivial: Post branch version bump

M	RELEASE
M	configure.ac
M	contrib/gnome-color-manager.spec.in

commit ca12eccd903dd5569539fb3672200a83fd8bfaee
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-26

    Release version 3.4.0

M	NEWS
M	RELEASE
M	configure.ac

commit accc75161dc147d7e1fd9ef1a3d215a7814de51a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-03-24

    Updated Galician translations

M	po/gl.po

commit a80d782ae21eeb25df0b1c77969486c909ab2f97
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-20

    trivial: fix up a translator comment

M	src/gcm-calibrate-argyll.c

commit 3fe691c4ab08222e4c8d2bd78934c7abfb6764bc
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-19

    Add an environment variable of ENABLE_COLORHUG=1 for ArgyllCMS V1.3.6

M	src/gcm-calibrate-argyll.c

commit b2986e5d9530843e4694c70e088c189af5fdd188
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-03-17

    Optimize printer target patch count for ColorMunki & A4/Letter paper

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	data/ti1/README.txt
M	data/ti1/printer-long.ti1
M	data/ti1/printer-normal.ti1
M	data/ti1/printer-short.ti1

commit 5fee64daafcc964f08697824e2f20dc65bcc3a91
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2012-03-18

    Updated Russian translation

M	po/ru.po

commit 893fdada08dbcdc0051fa529cc434c978ebf2029
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2012-03-17

    Updated Latvian translation.

M	po/lv.po

commit 40e57860a56d40952a7f22ff8b969cf020d297a3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-03-16

    Updated Polish translation

M	po/pl.po

commit 968ef683d401b5fd98011787e6230a8c0d13e18c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-16

    trivial: add some translation comments

M	src/gcm-viewer.c

commit a837fbf2a6558a42370a295cbca53049f38c88b5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-14

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 39532ed2df811b9fbfd1606c6890793a958f44d9
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-14

    Release version 3.3.91

M	NEWS
M	RELEASE
M	configure.ac

commit 0286297628da8b1ddd6f957f66646250c40a1862
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-14

    Provide a way for a program to find out if calibration is enabled

    Also, do this without exposing internal parts of GcmCalibrateArgyll
    to the clients.

    Resolves: https://bugzilla.gnome.org/show_bug.cgi?id=672028

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit cc8b0f4df60c05208ab6778c2a01a8aec6335b41
Author: Alexandre Rostovtsev <tetromino@gentoo.org>
Date:	2012-03-14

    Don't assume dispcal is /usr/bin/dispcal

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit fd09b4a533402941cb2dd2764486bca08b465251
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-13

    trivial: some whitespace fixups

M	src/gcm-calibrate-argyll.c

commit 0fe1db4504e6d8d73b30cc0000b7977428caaaa4
Author: António Lima <amrlima@gmail.com>
Date:	2012-03-11

    Updated Portuguese translation

M	po/pt.po

commit b907d909519dad65d19925c7c49fc7d2585ac847
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2012-03-09

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 2fdec79f3542ff71592eb37bb9038223a520b648
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-03-02

    Updated Spanish translation

M	po/es.po

commit 8986f82491bbc9da6a2ba1e81f742770c383335e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-02-28

    Updated Slovenian translation

M	po/sl.po

commit 38501aeb77b4ef4b98afac7fb17e119fe44b277c
Author: Daniel Nylander <po@danielnylander.se>
Date:	2012-02-28

    Updated Swedish translation

M	po/sv.po

commit 760b11c0e10fc5d2559f4c203cec41214f4c3fc4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-27

    trivial: Only hold a reference to the CdSensor in one place,
    for sanity

M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit f502305d6d0f9205a2897c49937305bd2536c2b9
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-27

    Do not show a critical warning if we re-try a failed calibration

    Ensure we uninhibit the display even after a failed calibration.

M	src/gcm-calibrate.c

commit bac57e61fd3b40ed300cdf56e41763756d8ed37c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-02-26

    Updated Galician translations

M	po/gl.po

commit 0d9b6a3bffd8902a7a81bca3e79fa5d8b8febb2a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-24

    Ensure the VTE is flushed when the spawned program exits

    This means we can catch the error that is set at exit time from
    Argyllcms.

M	src/gcm-calibrate-argyll.c

commit b9d1f9f16b4aa21529fd00294903147592de43a6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-24

    Ensure the user can quit if the calibration fails

    Note, we should catch the error before it comes to this, which I'll
    fix in a
    seporate commit.

    Resolves: https://bugzilla.gnome.org/show_bug.cgi?id=670365

M	src/gcm-calibrate-main.c

commit 469d2f58ba048327ea7d1791ead7b48b627f0934
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-24

    Correctly restore the calibration status panel after asking the user
    a question

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit c9d13b3d653d1f941ee07b691b018bf618bc4f65
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-24

    Detect an sample misread from argyllcms and try to recover

M	src/gcm-calibrate-argyll.c

commit 21c9991a5dd45662e51517d5d67093b62bd1742a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-24

    Show the calibration progress bar level for new versions of Argyllcms

M	src/gcm-calibrate-argyll.c

commit a94b00fb8d0da8ff9613095ed37dfa86dd00ab36
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-24

    Allow the calibration to ask more than one interaction question

M	src/gcm-calibrate-main.c

commit 9a05e00ee14035aa1eebbb5f097712c3e775d80c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-24

    Fix a critial warning when setting the brightness

    Don't try to unref a floating reference...

M	src/gcm-brightness.c

commit abcd5c726718af315d94c5cc8c8d5b0c466f6e46
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-21

    trivial: fix up two typos in the last commit

M	src/gcm-picker.gresource.xml
M	src/gcm-viewer.gresource.xml

commit 72acabd60a25cf5cb10706db63700ab16bbcbbf5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-20

    trivial: add some missing files

A	src/gcm-picker.gresource.xml
A	src/gcm-viewer.gresource.xml

commit 03d52cf830d8476fd82ca1e985b91402ce72ea3c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-09

    Compile the GtkBuilder files as a GResources to speed up startup

M	configure.ac
M	contrib/gnome-color-manager.spec.in
M	data/Makefile.am
M	src/Makefile.am
M	src/gcm-picker.c
M	src/gcm-viewer.c

commit 572dbf66b57d51d50acf118cd2c23ef8075df504
Author: Javier Jardón <jjardon@gnome.org>
Date:	2012-02-16

    gcm-hull-widget.c: Replace use of deprecated clutter api

    Replace clutter_stage_set_color () with
    clutter_actor_set_background_color()
    Also bump required clutter version to 1.9.11

M	configure.ac
M	src/gcm-hull-widget.c

commit 74c11a1886393231b5d0a0ebe8a5e3ff91d2700a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-02-07

    Updated Galician translations

M	po/gl.po

commit ff73e4277094ef2f1c7eb6f805b6d9d2bd2f0bf8
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-06

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 73cb5a990a1e5bdda837c5d8a2645e1fd7665eec
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-06

    Release version 3.3.5

M	NEWS
M	RELEASE
M	configure.ac

commit 32ea11b1d8c4ddc4631251514cee7a142bff0065
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-06

    trivial: fix make check

M	src/gcm-self-test.c

commit 1a9ebcf7bd7cb3b94415fc4e7b9f089168342b21
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	2012-02-04

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 2b8a188d5741508a612a5c6fd94872d267625229
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-01-27

    Limit display profiles to Single shaper matrix, to keep greyscale
    neutral

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-argyll.c

commit b55e2a1f79c7cb28ace29aeef8b4c1ef6b7d351f
Author: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Date:	2012-01-27

    Smaller/faster display calibration target sets

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	data/ti1/README.txt
M	data/ti1/display-long.ti1
M	data/ti1/display-normal.ti1
M	data/ti1/display-short.ti1

commit a0b5278b4f108101a9949d2073f214ae8ba725ba
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-28

    Save the internal panel brightness in the ICC profile

M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h
M	src/gcm-utils.h

commit 61d419765a3d2e215adbe8b76e9950352d9c5d64
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-23

    Show the profile title as the gcm-viewer window title

    Resolves https://bugzilla.gnome.org/show_bug.cgi?id=668383

M	src/gcm-viewer.c

commit 98fd407c35fd6aa8233414c951c11769a0a01cbd
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-23

    Do not use deprecated clutter API

M	configure.ac
M	src/gcm-hull-widget.c

commit fdf5d63b49720d61eb374e68b031493ac9fb1e23
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-01-20

    Updated Slovenian translation

M	po/sl.po

commit 3293cad0fc11c8a993abc52bcf2fac9c2487979c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-20

    trivial: Fix up the Fedora spec file to not provide what we obsolete

M	contrib/gnome-color-manager.spec.in

commit 08aa12d5e9c8f4e0d352e0a9d5340b21375db722
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-20

    trivial: Update the FSF address

M	COPYING

commit ce55677f722ca62d05828c8140da7cca80c354b7
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-17

    trivial: fixup last commit, urgh

M	src/gcm-import.c

commit 43eef9e656950a8bb49ee048fced8565646d6e2c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-17

    Correctly spawn profiles with spaces in the filename when using
    gcm-import

M	src/gcm-import.c

commit 09c5755ae05daf3e73290f2aaf29f7e718fd9885
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-16

    Ensure the sensor is unlocked after failing to get a sample in
    gcm-picker

    The failure may be transitory, and if the sensor is left locked then
    the user
    has to restart the gcm-picker tool.

    This is based on a patch from Klaus Kaempf, many thanks.

    Resolves: https://bugzilla.gnome.org/show_bug.cgi?id=667913

M	src/gcm-picker.c

commit 9b0849637c3e1eaf36fef10f9e54ddf36240d8d6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-15

    Updated Spanish translation

M	po/es.po

commit 70ad654c6e9694a0b0252ec7fc2ecee43cf23b72
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2012-01-14

    Updated Japanese translation

M	po/ja.po

commit 16e2e890e364486ce7cb8b201a0a13413ed9a7b1
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-13

    Add support for MAPPING_device_id

M	src/gcm-calibrate-main.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit 2be95eec607e26e9ed1f43f750a247f03cefe7fa
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-13

    Updated Spanish translation

M	po/es.po

commit 11c960ba30e6842af480735f942fc418041688e5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-12

    Make the profile metadata accept regular expressions and add the
    OSD_x keys

M	src/gcm-viewer.c

commit 5290972de41171ae01988b44d78562f485aa89a3
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-12

    Add ACCURACY_x to the list of translated metadata keys

M	src/gcm-utils.h
M	src/gcm-viewer.c

commit b2ade93c925fefccb36865d9ebfc414073af8c19
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-12

    Add CONNECTION_type to the list of translated metadata keys

M	src/gcm-utils.h
M	src/gcm-viewer.c

commit 566dc3f0ced3958da99236abeac730ab2aa2454d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-12

    Add SCREEN_surface to the list of translated metadata keys

M	src/gcm-utils.h
M	src/gcm-viewer.c

commit fd02c23f7d6b675b926d06fc78591b2558760adf
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-12

    Include the sensor type in the profile metadata

M	src/gcm-calibrate-main.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit 7d25d0f1297cc0f47b73b4d15a73063fc391e3bd
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-09

    Do not show blank metadata in the profile viewer

M	src/gcm-viewer.c

commit 5f8bd0956c79792265aae33f63869f0dd07ffb14
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-04

    Remove the final vestiges of gcm-session

    Resolves https://bugzilla.gnome.org/show_bug.cgi?id=667134

M	contrib/gnome-color-manager.spec.in
M	data/Makefile.am
D	data/org.gnome.ColorManager.service.in
M	src/.gitignore

commit 65b6dcbbaa6abac0399abef154458e89586909b9
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-04

    Set the reference kind when calibrating a camera device

M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c

commit 48ddf83d5a7dbe1b836f83fb7ae570ed794c3ea3
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-04

    trivial: update the reference spec file

M	contrib/gnome-color-manager.spec.in

commit 83502b989b88f73988f19086e960d7262e0109e4
Author: Nicolás Satragno <nicoymatu9@hotmail.com>
Date:	2011-12-27

    Updated Spanish translation

M	po/es.po

commit 9f69c82d2475529d070e39ff82f132002e0ef5d2
Author: Nicolás Satragno <nicoymatu9@hotmail.com>
Date:	2011-12-27

    Updated Spanish translation

M	po/es.po

commit 74f558dbf9ebae41890f072a43e5ff76d77d91cd
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-19

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit e6f8f48f7315c99f03140c5b25edff1dacadd80b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-19

    Release version 3.3.3

M	NEWS
M	RELEASE
M	configure.ac

commit b7d46fea583efdf6167bc338059db7b5fb20af48
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-12-17

    Updated Slovenian translation

M	po/sl.po

commit d98f0dcb52a94a2ef5f7aafc3acf9fb87923e56d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-12

    Add a ColorHug attach image and customised calibration message

M	data/figures/Makefile.am
A	data/figures/colorhug-attach.svg
M	src/gcm-calibrate.c

commit a428c64a68732133bdbf9b246679bc6f0ecc3bc1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-12

    trivial: fix up the Fedora spec file

M	contrib/gnome-color-manager.spec.in

commit 502840a8b1a3dd8a89bdb5c8ff85c903eb586403
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-12

    trivial: Move the calibration dialogs down into the baseclass

M	src/Makefile.am
M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit 6b91c736d20bfe910b3f8f27a441dfb2ce476377
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-12

    trivial: show the correct spyder figure for the hardware

M	data/figures/Makefile.am
R100	data/figures/eye-one-monitor-attach.svg
data/figures/i1-monitor-attach.svg
R100	data/figures/spyder-attach.svg	data/figures/spyder2-attach.svg
M	src/gcm-calibrate.c

commit 8f2158fb03088ba53dec118d42ae787432455fc2
Author: Jakub Steiner <jimmac@gmail.com>
Date:	2011-12-12

    data: update colorimeter artwork

    - created by Lapo Calamandrei (to a large extent).

M	data/figures/dtp94-attach.svg
A	data/figures/eye-one-monitor-attach.svg
M	data/figures/huey-attach.svg
M	data/figures/i1-pro-attach.svg
M	data/figures/munki-ambient.svg
M	data/figures/munki-attach.svg
M	data/figures/munki-calibrate.svg
M	data/figures/munki-projector.svg
M	data/figures/munki-screen.svg
M	data/figures/spyder-attach.svg
A	data/figures/spyder3-attach.svg

commit 764aec9c8ddd7c83efb44acbf8a6544950b1ccf0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-12-06

    Updated Spanish translation

M	po/es.po

commit cf8f508c29a228c3bacb5ec7730b6d42daa09e93
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-01

    Native calibration doesn't actually work yet

M	src/gcm-calibrate.c

commit f234176c4cc3028c487626a387c9ddaa23c79e60
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-11-29

    Updated POTFILES.in

M	po/POTFILES.in

commit 0b9998542592dcedd4f59d5275dfd57d4ae971b9
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    trivial: remove GcmCalibrateNative

    All the useful bits are not in GcmCalibrate, and the other bits are
    all unused.

M	src/Makefile.am
D	src/gcm-calibrate-native.c
D	src/gcm-calibrate-native.h
M	src/gcm-self-test.c

commit 81d4def3dd8f273cb5cd745ba01d6fb20fed0d25
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    trivial: ensure calibration curve results are monotonic

M	src/gcm-calibrate.c

commit 33b4e3315cfa05e53e921a3530e63f5d935db9ab
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    trivial: write a CAL file with a basic VCGT table

M	src/gcm-calibrate.c

commit 31227645219db40f34224db8b6f70ea725c6e3de
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    trivial: linearly interpolate the vcgt table to the correct size

M	src/gcm-calibrate.c

commit 027d8abf3208552e4337623c6e38c5fdada3bf4c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    trivial: scale the computed RGB values to 1.0

M	src/gcm-calibrate.c

commit 61e34539de0573648683e21afba883c93bdfe6a7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    trivial: remove any dark offset from the computed RGB values

M	src/gcm-calibrate.c

commit 60b5bb4e8909b3d43cc250cf76b1737c371f3856
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    trivial: convert the XYZ native readings to device RGB

M	src/gcm-calibrate.c

commit fa5b6b2cd5f3132e4b884cf58279ab70697b594b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Calculate the native gamma from the XYZ readings

M	src/gcm-calibrate.c

commit 95d98e771a65a170b11de13bd51030249f53880d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Show an interaction dialog for native samples

M	src/gcm-calibrate.c

commit 294a1f4f07f9bef64af501d4e38ab68d4a2a720a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    trivial: move the sensor -> image mapping functions out of
    GcmCalibrateArgyll

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit 6e771ef5f2d987101227f512a433631a08745c18
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Get some gamma readings when calibrating the screen

M	src/gcm-calibrate.c

commit c0f56596d131f08e5f63faf232f936daa26d5efe
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Get the primaries when calibrating the screen

M	src/gcm-calibrate.c

commit d311beb19db22088afdf13d3b7dc017f2e8f36b4
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    trivial: add skeleton code to create a .cal file

M	src/gcm-calibrate-helper.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit 64908a6e59b0b8a10807884f24163bf7c8508761
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Before converting a .ti1 file into a .ti3 file load the display
    calibration

M	src/gcm-calibrate.c

commit d2b117479fe5cbd4a9fde23c707e6a1253528871
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Save the .cal data embedded in the .ti3 file

M	src/gcm-calibrate.c

commit afac31e07ed2f1549e5d697d818ba69fd56d23c7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    When converting from a .ti1 to a .ti3 file we need a calibration file

M	src/gcm-calibrate-helper.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit 1664653dcdbab5ffd666cf9bf9613233c2e1a24c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Factor out the functionality of actually getting the patches

M	src/gcm-calibrate.c

commit 40291d7a8a311ec6f4b3d23c5fca586d3ee600ce
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Move the brightness and inhibit functionality to the calibration
    module

M	src/Makefile.am
M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c

commit fd14577ad736a4f59ea71ba19d3f1b4df034cdaa
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Readd the gnome-desktop3 BR so we can set our own calibration values
    during calibration

M	configure.ac
M	src/Makefile.am
M	src/gcm-calibrate.c

commit 8f68cab6794f6d2feb37556fbdb4e010372e33b9
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-11-27

    [l10n] Updated German translation

M	po/de.po

commit 5971f396c3d7982e4c0fb7cc5b4d06883645b3be
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-11-25

    Updated Slovenian translation

M	po/sl.po

commit 8acd939276fff4466c26bfaef5fa9b2528039529
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-24

    Fix compile with newer versions of clutter

M	src/gcm-viewer.c

commit cf6b2e8e847f96be073b751c1acdd3dfd1d053ba
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-24

    trivial: make the calibration helper much faster

M	src/gcm-calibrate.c

commit 094347ed53a97f3d4e16a5636380baf397bc9136
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    Normalize the ti3 calibration values

M	src/gcm-calibrate.c

commit e5d092f2f858fe26c28c41cdb27002801b091893
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    Use a mainloop-based delay to avoid freezing the calibration window

M	src/gcm-calibrate.c

commit 1dbb3b4433bdd071cf3ba40c5175d97da823db1e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    Fix calculating the RGB color for native calibration

M	src/gcm-calibrate.c

commit b26510195b72684be1748f3a979d0c1b14e8521c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-08

    Split out the display characterization and add a helper program to
    test it

    Long term, this will allow us to do less interactive stuff with
    Argyll and just
    use it for profile generation.

M	po/POTFILES.in
M	src/Makefile.am
A	src/gcm-calibrate-helper.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit d13de30964cc9cf8f8b9cf367d262ca68c18ad76
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-08

    Show a progress bar on the calibration action page

    The update jumps are huge at the moment, but WILLFIX.

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit 2be70491547a305e9650df223c39eeaab224d17c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-08

    Connect to GSD to change the brightness, not GPM

M	src/gcm-brightness.c

commit 46d28d60835a3a626128ea5d0d13c92739788e28
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-11-18

    [l10n] Updated German translation

M	po/de.po

commit 0678ac123e4205b894be7913ee9c77eadc4e5886
Author: Milan Knížek <knizek@volny.cz>
Date:	2011-11-13

    Updated Czech translation

M	po/cs.po

commit 9101a744959275131bf127186b7908c519dd52c4
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-07

    Use the pregenerated ti1 files rather than using targen each time

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit a4e015bcbd75ec4e5bde34b047abfa9e2e9e314d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-07

    Ship some pregenerated ti1 files, there's no need to make the user
    do this

M	configure.ac
M	data/Makefile.am
A	data/ti1/Makefile.am
A	data/ti1/README.txt
A	data/ti1/display-long.ti1
A	data/ti1/display-normal.ti1
A	data/ti1/display-short.ti1
A	data/ti1/printer-long.ti1
A	data/ti1/printer-normal.ti1
A	data/ti1/printer-short.ti1

commit be5381c6d33edf62282012a78dcc7ddeae09105c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-07

    Add accessible descriptions to the next/prev buttons in gcm-viewer

    Resolves: https://bugzilla.gnome.org/show_bug.cgi?id=663317

M	data/gcm-viewer.ui

commit 8ced904a26542e689188e5e4a89a35e10baa3993
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-07

    Add the the mnemonic-widget property to labels in the profile viewer

    Resolves: https://bugzilla.gnome.org/show_bug.cgi?id=663315

M	data/gcm-viewer.ui

commit 682d5f731ad2ac8ec89c74916572db8433671229
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2011-11-01

    Updated Lithuanian translation

M	po/lt.po

commit 0a6392b45bfb578a33a54b3e3bf750edc532033d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-10-28

    Updated Spanish translation

M	po/es.po

commit 5fd8a1bf5f087ade3733445f6c5a5453ee998b60
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-10-23

    Add Esperanto translation

M	po/LINGUAS
A	po/eo.po

commit fa4b870cce65ab2c6f36e07d8c13592b9b5ecc13
Author: Seong-ho, Cho <darkcircle.0426@gmail.com>
Date:	2011-10-22

    Updated Korean translation

M	po/ko.po

commit c177fab98a9ce415d54abf12eab28067c3b8b2d1
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-10-18

    [l10n] Updated German translation

M	po/de.po

commit 69acc3af5d68449442caa183666d0431279b5bf4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-10-17

    Updated Slovenian translation

M	po/sl.po

commit 6262de6bcc10286d9ec847c34698b7040706477b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-10-17

    Updated Norwegian bokmål translation

M	po/nb.po

commit ab7e0ee3ba2abeaca99ecbb54a96fc7f66cf88b7
Author: Ryo Fujita <rfujita@redhat.com>
Date:	2011-10-17

    Updated Japanese translation.

M	po/ja.po

commit 6fce4bdcfdc3abd854f8774021b7d8e0d8ff655e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-14

    Sort the standard and test profiles lower in the profile viewer

M	src/gcm-viewer.c

commit 25e2bc3219b7d40e7c0a862047b2cd79898c81c5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-14

    Prefix some profile titles with 'Colorspace' or 'Test Profile'

    Use the DATA_source metadata to do this. You'll need a
    shared-color-profiles
    and colord from git master if you're testing this.

M	src/gcm-cell-renderer-profile-text.c

commit 6e3d86215520b18da4a37a5d9c9977f3979c32e5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-14

    Don't use the deprecated pango_cairo_font_map_create_context()

M	src/gcm-cie-widget.c
M	src/gcm-gamma-widget.c
M	src/gcm-trc-widget.c

commit 24719146153fa28bf47e357aaa0c524281e9e7bd
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-13

    Don't use the deprecated g_format_size_for_display()

M	configure.ac
M	src/gcm-viewer.c

commit 350d19d0c82349b9735a89bec5060c089165c27a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-11

    Show an error if we can't open the file passed to gcm-viewer --file

    The new strings are not actually additions, as they are taken from
    gcm-import.c

M	src/gcm-viewer.c

commit b24d6470c58bb4d0b03d1de19bb72031c6ea923b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-11

    trivial: Don't show example content when the viewer is loading

M	data/gcm-viewer.ui

commit 252f91ba980c1ab81d198353b0f08680947acb1a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-11

    Ensure we always set a calibration image if one exists

M	src/gcm-calibrate-argyll.c

commit ee3cccf3b5c9908f25aad6ebeda4d7091a95053c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-10

    Add a calibrate attach image for the 'i1 Display 3' sensor device

M	data/figures/Makefile.am
A	data/figures/i1-display3-attach.svg
M	src/gcm-calibrate-argyll.c

commit 61c3e0b258ae57e178d5fe614ffc6b9a2e7cf8ef
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-10

    trivial: rename the i1-pro attach image

M	data/figures/Makefile.am
R100	data/figures/i1-attach.svg	data/figures/i1-pro-attach.svg
M	src/gcm-calibrate-argyll.c

commit d98647ba4f24a64c389a001559afeaf807e54794
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-10

    Speed up the profile viewer loading when scanning a large number
    of profiles

    We want to connect to the profiles async to not block the UI.

M	src/gcm-viewer.c

commit a8f25b8c2a78f72e64a6345ec19637dcc2d7c25e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-10

    Do not use g_application_release() manually

    We've used gtk_application_add_window() so there is no need to
    handle this.

M	src/gcm-viewer.c

commit 74e285f9df515224650460303b76a850757ab94a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-10

    Force the CIE 1931 diagram to be square

    Put the axis' in a GtkAspectFrame and center the diagram.

M	data/gcm-viewer.ui

commit 59497e14d10507ce14659eae2faa2241660f17d8
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-10-08

    Updated Latvian translation.

M	po/lv.po

commit b487523d73ebddd29b147b14a9761556f8fc2b4a
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-10-08

    Updated Swedish translation

M	po/sv.po

commit fcff39be2e44d90163458af81ea99e96eb5c6a1a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-03

    Do not send 'space' when argyllcms asks the user to press any key

    Resolves https://bugzilla.gnome.org/show_bug.cgi?id=631825

M	src/gcm-calibrate-argyll.c

commit e0c575ea768f2f5bb01cfc02908ddd48e691999d
Author: Michael Hamann <michael@content-space.de>
Date:	2011-10-03

    Initialize error pointer for gdk_pixbuf_new_from_file_at_size properly

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/gcm-calibrate-main.c

commit 778f1e92a8d291bed48f0e8795ccb7c991257920
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-10-03

    Added Latvian translation.

M	po/LINGUAS
A	po/lv.po

commit 0e86a231dd417bb9fcefc9e1bba0405385f156ef
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	2011-10-02

    [l10n] Updated German translation

M	po/de.po

commit 0ca53fb94ff65461d0c87fee92e4f32fe62dc4a6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-10-01

    Updated Spanish translation

M	po/es.po

commit 90135bf204a882c6a0501a5b0d0633958697a5a7
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-09-28

    Updated Spanish translation

M	po/es.po

commit db3cfc5e29a21cd6a8fc643080de1c4734b66374
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-26

    Add an ICC profile metadata blacklist to avoid showing crap in the UI

M	src/gcm-viewer.c

commit a3f15bf343424ceac301a60999752a80539b4b09
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-26

    trivial: Post branch version bump

M	RELEASE
M	configure.ac

commit 05dcfa0670ce7528ecf5e354bac4747d580e20d1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-26

    Release version 3.2.0

M	NEWS

commit 94d8a2b042ceb17616f7270e020570ccd63c3553
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	2011-09-26

    Updated Slovenian translation

M	po/sl.po

commit b9a3818ecd63d21828c329c42676601fe0e3a0e4
Author: Milan Knížek <knizek@volny.cz>
Date:	2011-09-25

    Updated Czech translation

M	po/cs.po

commit 07c103d903224b422e1aa1f1f48d909bca6f6ea2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-09-25

    Updated Spanish translation

M	po/es.po

commit 55b326a113ff9c979e51dc4a0c8a8b13d9920ecd
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-09-25

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 09d3569f3e356c932f1096d3a6b244c56749bcdd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-09-23

    Updated Polish translation

M	po/pl.po

commit d1edf1af20f93e8ea19cc2afd3f04b3651bf91fb
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2011-09-23

    Hopefully final Russian translation for 3.2

M	po/ru.po

commit 7524c57c4c19f684d4c199669fed4cc5e15c7f61
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2011-09-23

    Typo + punctuation fix. Sorry about that!

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c

commit 69f89e413711decd74b7627dfdb5b0daa4e479c8
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2011-09-22

    Preliminary update of Russian translation to match the recent fix

M	po/ru.po

commit 84bb5499de8c3309b75643c145e653360bb5355b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-09-22

    Updated Norwegian bokmål translation

M	po/nb.po

commit 08dd7ccb5c2883d69b4bec8d7e4e2fdbf1558f32
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-09-22

    Updated Polish translation

M	po/pl.po

commit 8a21fd94e8da64bd4b43a98afa0cc4f3c6f6e7a7
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2011-09-21

    FIxed a bunch of very much user visible messages not showing up in
    PO files, with Richard's blessing

M	po/POTFILES.in

commit 59cc0a52ffdabe5a32f826968314652b8d2d5fbc
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2011-09-21

    Updated Russian translation

M	po/ru.po

commit 26541ba460ebac84853a63f61a27b8a056714df8
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-19

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 2553acf09d4d467b66fc80fffc23e7638d5e0c03
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-19

    Release version 3.1.92

M	NEWS

commit 0cd0ea61610c96ee9692df559305baba58def0dd
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-09-19

    Updated Swedish translation

M	po/sv.po

commit 594f5e4b7e8a14362e5c258a8f0b3298b98b8576
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-16

    trivial: Support mash-0.2 as it's the same API as mash-0.1

M	configure.ac

commit 1ae3d38908757bc788d95c473b3c1b41cbbc2962
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-15

    Escape profile titles that have markup in the titles

    This ensures we can show profiles with '<', '>' and '&' in the title.

    Resolves https://bugzilla.gnome.org/show_bug.cgi?id=659127

M	src/gcm-cell-renderer-profile-text.c
M	src/gcm-viewer.c

commit 558ee29fdcb2f8a8df305b31c3eeef221fde92ba
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-14

    Ensure the calibration dialog can be set modal

    The main window has to be realized before gtk_widget_get_window()
    will work.

M	src/gcm-calibrate-main.c
M	src/gcm-viewer.c

commit b987ba2628d6c51c037605369c931f5c846900df
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-13

    Ignore inaccessable profiles from other user accounts

M	src/gcm-picker.c
M	src/gcm-viewer.c

commit 055fa6794924025b037d4e3ad90f2abc6ef995d2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-09-08

    Updated Polish translation

M	po/pl.po

commit 2b24b0150f11e5ce621092dd77e70f176c70cfc9
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-08

    Update the man pages to reflect reality

M	man/Makefile.am
R083	man/gcm-apply.sgml	man/gcm-calibrate.sgml
M	man/gcm-import.sgml
R082	man/gcm-prefs.sgml	man/gcm-inspect.sgml
C085	man/gcm-import.sgml	man/gcm-picker.sgml
C085	man/gcm-import.sgml	man/gcm-viewer.sgml

commit 5852918e2bdc03c3b87e266cdc0d2d06f0279ff5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-06

    Remove the GLSL demo file, it's moved to colord-playground

D	tools/gcm-glsl-demo.c

commit fc5ff226007f1be7f4c3e5410d9610e399c78e94
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-06

    trivial: make the GLSL example work with new versions of cogl

M	tools/gcm-glsl-demo.c

commit 5a6b6c0cec5bc128c58ee1ce1207442d8116a36a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-05

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 1d9b5d655d27e2f288cf81436ea2894d36b584e6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-05

    Release version 3.1.91

M	NEWS

commit 1d0a3c4c6e919a3df3d6cf47bc0dd47e0554f940
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-05

    Ensure the 2nd stage calibration also has the larger calibration
    square

M	src/gcm-calibrate-argyll.c

commit ae6964124671db99c67d227b5fd68a42409fa827
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-30

    Set the calibration wizard to the summary page when the calibration
    has finished

M	src/gcm-calibrate-main.c

commit fc57cde150a1a42c3fd9b177ef30ff33b89c4be2
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-30

    trivial: fix up the Fedora spec file

M	contrib/gnome-color-manager.spec.in

commit 63da87bf43879544611e9e2b2d0119b14682d792
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-30

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 14ff3a31956a0d9bc0032f0a9fb1877c29c6ba68
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-30

    Release version 3.1.90

M	NEWS
M	RELEASE
M	configure.ac

commit b9d75ad6af7ed2dc93546b6da7c722a43756c902
Author: Yinghua Wang <wantinghard@gmail.com>
Date:	2011-08-30

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit a288aece8740d14d5a2e501b6c86a11855b651d6
Author: Yinghua Wang <wantinghard@gmail.com>
Date:	2011-08-30

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit a5839c4faedb93ce7f95359fc209a962f1be363f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-25

    trivial: remove the help button from gcm-picker, it doesn't do
    anything

M	data/gcm-picker.ui
M	src/gcm-picker.c

commit b8e3d9880d195cb095bd3cec000886ebc2c8e235
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-25

    trivial: remove some testing code when no device is specified for
    gcm-calibrate

M	src/gcm-calibrate-main.c

commit bba9900722cdb6461b350005433d45fa24ef32b9
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-25

    Move the help files to gnome-user-docs

    It'll get a lot more love there.

M	Makefile.am
M	configure.ac
D	help/.gitignore
D	help/C/.gitignore
D	help/C/figures/gcm-adjust.png
D	help/C/figures/gcm-basic.png
D	help/C/figures/gcm-calibrate-default.png
D	help/C/figures/gcm-calibrate-drawing.png
D	help/C/figures/gcm-defaults.png
D	help/C/figures/gcm-device-configure.png
D	help/C/figures/gcm-import.png
D	help/C/figures/gcm-print-mode.png
D	help/C/figures/gcm-scanner.png
D	help/C/figures/gcm-screen-type.png
D	help/C/figures/gcm-set-default.png
D	help/C/gnome-color-manager.xml
D	help/C/legal.xml
D	help/Makefile.am
D	help/cs/.gitignore
D	help/cs/cs.po
D	help/de/.gitignore
D	help/de/de.po
D	help/el/el.po
D	help/es/.gitignore
D	help/es/es.po
D	help/fr/figures/gcm-adjust.png
D	help/fr/figures/gcm-basic.png
D	help/fr/figures/gcm-import.png
D	help/fr/figures/gcm-scanner.png
D	help/fr/fr.po
D	help/gnome-color-manager.omf.in
D	help/id/.gitignore
D	help/id/id.po
D	help/ja/ja.po
D	help/ru/.gitignore
D	help/ru/figures/gcm-calibrate-default.png
D	help/ru/ru.po
D	help/sl/sl.po
D	help/zh_CN/zh_CN.po

commit 267e571a0ae3caf7657b213b27b4167acad66cbe
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-24

    Update the help file to reflect reality

M	help/C/gnome-color-manager.xml

commit 85048725c4b332755dfba3b17f1070fd8846674d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-24

    trivial: Add the type of profile to the import title

M	src/gcm-import.c

commit 6e4d1b27a0fb78585a7e7fda983b05f9c98367fd
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-24

    trivial: do not use a modal dialog override when importing profiles

M	src/gcm-import.c

commit 414d2e3c1c5fdc5faff0a44feda54d3bc196fee6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    trivial: remove another Copyright prefix version

M	src/gcm-import.c

commit 212a7a908c11a1c8efe0bf92b6e32f1ac00817d3
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    Make importing color profiles sexy

    With lots of help from the designers in #gnome-design, thanks!

M	src/gcm-import.c

commit 3449eb1f05456e5fbc26ccfade9aa3e573e5645a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    Add a --file argument to gcm-viewer to show files not yet added
    in colord

    To do this, we create a temp scope profile that is automatically
    removed when
    the viewer is closed. This lets us get the details of files that
    are not yet
    imported.

M	src/gcm-viewer.c

commit 49e53783541bb895889a5ebcf057593b965482a7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    trivial: prevent a critical warning when opening a specific profile
    in gcm-viewer

M	src/gcm-viewer.c

commit 2e9043a7a251ca4344f04cae809626e510d55150
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    Fix a crash in gcm-picker when a color sensor is plugged in

M	src/gcm-picker.c

commit 0eaf8441716ba5fb56f1052d6d183692c8d975c3
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    Fix a critical warning in gcm-picker when CUPS printers are installed

M	src/gcm-picker.c

commit a591c0d97657376403deb2567241799a23e26205
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    trivial: remove a few unused methods

M	src/gcm-self-test.c
M	src/gcm-utils.c
M	src/gcm-utils.h

commit 473bdad653d6948eccc2d5cc3425d7c0418f377e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    trivial: remove gcm_utils_is_icc_profile() as it's being done by
    cd_client_import_profile()

M	src/gcm-self-test.c
M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit 73afaa91c53672c899111c4c04e0624558f5cf3b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    trivial: use cd_client_import_profile_sync in gcm-viewer

M	src/gcm-calibrate-argyll.c
M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit 42e68b9741cacc0e930c8ab2f7076629857392d1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    trivial: use cd_client_import_profile_sync in gcm-import

M	src/gcm-import.c

commit 2b960e062e4b2131c9702d9abaabd4387f8ad52f
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2011-08-23

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 0849fc741d45cffd1c8e4f799ed27e5c558292cd
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-22

    Use the new cd_client_import_profile_sync() when generating profiles

M	configure.ac
M	src/gcm-calibrate-main.c

commit e2b038374534e5cab051a606ac3b2791987e3705
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2011-08-15

    Updated Russian translation

M	po/ru.po

commit bea34c9426437d620d370afdaf5f7a192a9f8fdb
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-29

    Do not build with G_DISABLE_DEPRECATED for our future sanity

M	configure.ac

commit d663174379a87aa4d7ff4ad2fa4f50e369854722
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-07-29

    Added Basque language

M	po/LINGUAS
A	po/eu.po

commit fb9526078216a4b09f5f7127f1e9867ee82f5253
Author: Alexandre Rostovtsev <tetromino@gmail.com>
Date:	2011-07-20

    Make the clutter and mash dependency non-automagic (#654954)

    Ensure that there is a way of building gnome-color-manager without
    clutter and 3D support on a system that happens to have clutter-gtk
    and mash installed. (Gnome bug #654954)

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	configure.ac

commit 37b55b5bade0878dc1d2b11b9e278e6c9f222c72
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-20

    trivial: remove an unused file

M	po/POTFILES.in
M	src/Makefile.am
D	src/gcm-cell-renderer-profile-date.c
D	src/gcm-cell-renderer-profile-date.h

commit 77170e884a60fb8335732c729ca2b7e738872430
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-19

    trivial: Remove some unused enums

M	src/gcm-viewer.c

commit 19537aeb848c74ea79115d0ea7435280928bddae
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-12

    trivial: Remove another unused file

M	src/Makefile.am
D	src/org.gnome.ColorManager.xml

commit 8a0c39cb1609bdb7b9eb9e8de414ee062be0b513
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-12

    trivial: remove an unused file

M	data/Makefile.am
D	data/gcm-spawn.ui
M	po/POTFILES.in

commit b8de18bacb18bc24cebc9fd67a15c226fff0a965
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-12

    Remove gcm-session, it's not required anymore

M	data/Makefile.am
D	data/gcm-session.desktop.in
M	po/POTFILES.in
M	src/Makefile.am
D	src/gcm-session.c

commit 85709882a2d04192ba8ca4f45653bf271b881755
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-12

    Remove the GetProfilesForDevice() DBus method call

    The last user (simple-scan) has been ported to colord.

M	src/gcm-session.c
M	src/org.gnome.ColorManager.xml

commit 92b180098e91ff9584a08b9f0936baf3577a1b49
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-08

    Correctly use plural forms in the calibration wizard. Fixes #654247

M	src/gcm-calibrate-main.c

commit 1aa39aab3bed617c0afa4a313ea379e8bbba4473
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-29

    Allow writing dictionary items of longer then 512 bytes

M	src/gcm-calibrate-main.c

commit 2b66c96319d556459c3824d551a04dd8fa5d6b41
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-28

    Allow the profile title to be changed in gcm-calibrate before
    calibration has started

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c
M	src/gcm-calibrate-native.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit 8691c0d74094525bea257d99aead7c2de566c8f5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-28

    trivial: allow the copyright data to be stored in GcmCalibrate

M	src/gcm-calibrate.c

commit f6e3e8d1611aa83a135b4bbf09a460bc96f70c1c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-28

    Wait three seconds after calibration for gnome-settings-daemon to
    pickup and parse the new profile

M	src/gcm-calibrate-main.c

commit a8d5f473c74727b94ff01a5778897874d0a8364f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-28

    trivial: don't duplicate a page type in gcm-calibrate

M	src/gcm-calibrate-main.c

commit 1d92c18193104fde4940078d5e174603e69f9070
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-28

    trivial: remove the ability to spotread using argyllcms

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h

commit d525b0208c19d25d87c8b1055674526adfec2a0d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-28

    Ask the user for the target whitepoint when creating a profile

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c
M	src/gcm-calibrate.c

commit 3a0683d6b4804f9cd4924713dcab8b80f5864354
Author: Dominique Leuenberger <dominique-gnomezilla@leuenberger.net>
Date:	2011-06-16

    Fix linking with -Wl,--as-needed

    Resolves https://bugzilla.gnome.org/show_bug.cgi?id=652722

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	tools/Makefile.am

commit 4f2d00ceec6d708ec9f3b22f1c597a5369cc11c4
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-14

    Fix the profile list sorting when the user has virtual profiles
    from CUPS

M	src/gcm-viewer.c

commit eec4eca7c62e047875bf434476847ee5396b2002
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-14

    trivial: update Fedora spec file

M	contrib/gnome-color-manager.spec.in

commit 34cf034a290b652d3b927483b7fd4b97584e9de5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-13

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 4ed00214bd5fe83e0ecdb195be3c8da5dc7a5a93
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-13

    Release version 3.1.2

M	NEWS

commit 154a8d40eb8b06eb24e8874d61a6217d3cb2840f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-13

    Translate the metadata key names in the profile viewer

M	src/gcm-viewer.c

commit ed385aedc16def452cf11301d33678806bd30214
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-13

    Save extra metadata in the ICC profile after calibration

M	configure.ac
M	src/gcm-calibrate-main.c

commit 88c73df3186fa857517a4251e21fe11210bb8186
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-01

    Remove the device registration functionality, it's been moved to
    gnome-settings-daemon

D	data/tests/LG-L225W-External.bin
D	data/tests/Lenovo-T61-Internal.bin
M	data/tests/Makefile.am
M	src/Makefile.am
M	src/gcm-calibrate-argyll.c
M	src/gcm-clut.c
M	src/gcm-clut.h
D	src/gcm-dmi.c
D	src/gcm-dmi.h
D	src/gcm-edid.c
D	src/gcm-edid.h
M	src/gcm-inspect.c
M	src/gcm-self-test.c
M	src/gcm-session.c
D	src/gcm-tables.c
D	src/gcm-tables.h
D	src/gcm-x11-output.c
D	src/gcm-x11-output.h
D	src/gcm-x11-screen.c
D	src/gcm-x11-screen.h
M	src/org.gnome.ColorManager.xml

commit 94a7f7662f63b21c352722c9bc695269f0fb6060
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-11

    trivial: remove an unused file

M	po/POTFILES.in
D	src/gcm-prefs.c

commit c804f7cff83830435dbc7972422daa54e6901b82
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-11

    trivial: remove gtk_vbox_new() and gtk_hbox_new() as they are now
    deprecated

M	src/gcm-calibrate-main.c

commit cc38f8718ad6efa1e0939eae24d53ad46a77a49e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-06-07

    Updated Norwegian bokmål translation

M	po/nb.po

commit e7dbcfa98220d3949873d8c4fd787845097e1fdf
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-06

    trivial: fix the gcm-calibrate desktop file to reflect reality

M	data/gcm-calibrate.desktop.in

commit 86ea046d81cde8cc88734a5dc15f8857857bc58c
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2011-06-05

    [l10n] Updated German help translation

M	help/de/de.po

commit c2b19f213eb750756f571023873de1e0128e526f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-02

    trivial: Only inhibit the screen when actually calibrating, not at
    the intro screen

M	src/gcm-calibrate-main.c

commit ddc121f2f4929d5588c8542c781884e560f78da6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-01

    trivial: (ab)use the GtkWidget buttons to control the argyllcms
    process

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-main.c

commit dd301d3e1211c3883bf5a18cf714632aa80d28a1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-01

    trivial: Allows the user to cancel the wizard at any time

M	src/gcm-calibrate-main.c

commit fd282c1bc1d6e2f5c607c348dc56e171c8173c96
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-01

    trivial: actually show the optional image in the calibration wizard

M	src/gcm-calibrate-main.c

commit 7c6f595b066c5ae2f68b48894816f5130569f0a7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-01

    trivial: Fix the window size of the calibration wizard

M	src/gcm-calibrate-main.c

commit d4479b231aca3480af1911ee8d557a618316ad0d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-20

    Remove the preferences window and replace it with a calibration wizard

    The UI panel has moved to gnome-control-center, and so we don't
    need to
    duplicate the UI here.

M	contrib/gnome-color-manager.spec.in
M	data/Makefile.am
R100	data/gcm-prefs.desktop.in	data/gcm-calibrate.desktop.in
D	data/gcm-calibrate.ui
D	data/gcm-prefs.ui
M	po/POTFILES.in
M	src/.gitignore
M	src/Makefile.am
M	src/gcm-calibrate-argyll.c
D	src/gcm-calibrate-dialog.c
D	src/gcm-calibrate-dialog.h
A	src/gcm-calibrate-main.c
M	src/gcm-calibrate-native.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h
M	src/gcm-self-test.c

commit d1563391639351e75469450f0536c04dc1645485
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-01

    trivial: adapt gcm-session to the new colord async API

M	src/gcm-session.c

commit 9f7f1e4f62584e645427fe22d4b996b6dd31cbd4
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-27

    Remove support for non-native drivers in the color picker

M	src/gcm-picker.c

commit 2703bf16dcbdc3f6fd2b7bf492c977ddca846d18
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-31

    trivial: update Fedora spec file

M	contrib/gnome-color-manager.spec.in

commit f71e6f7b186d6e7c991c98f0a24a2de4653e8608
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-30

    trivial: adapt gcm-picker to the new colord async API

M	src/gcm-picker.c

commit 082aee07263ced8e4e8bed77307915bb0e7d4226
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-30

    trivial: adapt gcm-viewer to the new colord async API

M	src/gcm-viewer.c

commit d81afd4c9ac21d7239c31487b5d7b9c0b7148f0a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-30

    trivial: adapt to the new libcolord API

M	src/gcm-calibrate-native.c
M	src/gcm-list-store-profiles.c
M	src/gcm-picker.c
M	src/gcm-prefs.c
M	src/gcm-session.c

commit e2de976b97aba1b01892d663a50e692cfd5354bc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-27

    Remove support for non-native drivers in the color picker

M	src/Makefile.am
M	src/gcm-picker.c

commit ee67ae9487081f8a2d0c2febe824b7cf7378ed80
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-23

    Remove the profile store functionality as it's been moved to
    gnome-settings-daemon

M	src/Makefile.am
D	src/gcm-profile-store.c
D	src/gcm-profile-store.h
M	src/gcm-self-test.c
M	src/gcm-session.c

commit f5f085d3a7114927853d7506912dd3f8b0abac37
Author: Petr Kovar <pkovar@redhat.com>
Date:	2011-05-26

    Update Czech translation by Milan Knizek

M	po/cs.po

commit 7b37d63304231f588ecaa4e761dca17596f73fa6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-26

    Only generate .xz tarballs now according to GNOME guidelines

M	configure.ac

commit 8f8d7e6bb7356a1ead6c3f075d8a30779e436b03
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-26

    trivial: fix make dist

M	src/Makefile.am

commit 5c8242e33f21d4c0ceb8a5275d49cc4ea50ba1fe
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-26

    trivial: use two of the new async colord methods when dealing
    with devices

M	src/gcm-session.c

commit 58e41a3d8f12065436dff51f261e44c4de6d7ea4
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-26

    Remove the X11 xrandr-output output property, no applications actually
    use it

M	src/gcm-inspect.c
M	src/gcm-session.c
M	src/gcm-x11-output.c
M	src/gcm-x11-output.h

commit a241ede41322bf5a849290b2b26d37135bc80bcb
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-26

    trivial: remove some more unused gtk-doc

M	src/gcm-x11-output.c
M	src/gcm-x11-screen.c

commit 256db3f945019a8a73cf7ee8fe2a9d9c3d90a319
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-26

    trivial: remove the unused manual calibration capability

M	src/Makefile.am
D	src/gcm-calibrate-manual.c
D	src/gcm-calibrate-manual.h
M	src/gcm-self-test.c

commit 4621a12a986df1bbb94e78b830c46d90a01590dc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-26

    trivial: remove some worthless gtk-doc markup

M	src/gcm-brightness.c
M	src/gcm-dmi.c
M	src/gcm-edid.c
M	src/gcm-tables.c

commit a0fcdfe7bd3cf46e090dc2ec5b040f9ac866a79d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-26

    trivial: don't include GTK-DOC SECTIONs for files not scanned
    by gtk-doc

M	src/gcm-brightness.c
M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-dialog.c
M	src/gcm-calibrate-manual.c
M	src/gcm-calibrate-native.c
M	src/gcm-calibrate.c
M	src/gcm-clut.c
M	src/gcm-dmi.c
M	src/gcm-edid.c
M	src/gcm-exif.c
M	src/gcm-image.c
M	src/gcm-print.c
M	src/gcm-profile-store.c
M	src/gcm-profile.c
M	src/gcm-sample-window.c
M	src/gcm-tables.c
M	src/gcm-x11-output.c
M	src/gcm-x11-screen.c

commit f2782360e49d64a6671aea44bb7249113f19b077
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-25

    trivial: do not duplicate strings in the hash table when creating
    a device

M	src/gcm-session.c

commit ca3b1e5fa5acb8e0d56ea8a4ed4abf6e0c1d36cf
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-25

    Do not reload when colord appears on the bus

    This triggers some kind of race in GDBus. It's probably not a good
    idea anyway.

M	src/gcm-session.c

commit e50e90b63538c8b43d234c5ae09b5d8f50b32c06
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-23

    Remove the sensor plug action and sound as it's all moved to
    gnome-settings-daemon

M	src/Makefile.am
M	src/gcm-session.c

commit 8ddfaaa634c9e6d16ca74e6094da1db5a277dfda
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-21

    trivial: remove the bits of gcm-inspect that don't make sense anymore

M	src/gcm-inspect.c

commit 9ceab72245337b0a0221763d28fa4ee4f29a67ba
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-21

    Remove the vendor and model quirk fixups, they've moved to colord

M	src/gcm-prefs.c

commit 07e79147c7f2c17092cf7a87c4789cba1e8192ae
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-21

    Remove the GSettings schema as it's all moved to gnome-settings-daemon

M	data/.gitignore
M	data/Makefile.am
D	data/org.gnome.color-manager.gschema.migrate
D	data/org.gnome.color-manager.gschema.xml
M	src/gcm-calibrate.c
M	src/gcm-prefs.c
M	src/gcm-session.c
M	src/gcm-utils.h
M	src/gcm-viewer.c
M	src/org.gnome.ColorManager.xml

commit 127e87fdf935b71450e14861f48908278952b493
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-21

    trivial: remove some gsettings keys we no longer use

M	data/org.gnome.color-manager.gschema.migrate
M	data/org.gnome.color-manager.gschema.xml
M	src/gcm-utils.h

commit a558d0e1ef93210e8f8f001a7ebe712d2549eec6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-21

    Remove the obsolete gnome-settings-daemon-schema, we're not actually
    useing it now

M	data/Makefile.am
D	data/org.gnome.settings-daemon.plugins.color.gschema.xml

commit 32761e4289d58034068f52f553f3e0c4f50e4d9d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-21

    Remove the notification of out of date devices

    This functionality has moved to gnome-settings-daemon.

M	configure.ac
M	contrib/gnome-color-manager.spec.in
M	data/org.gnome.color-manager.gschema.migrate
M	data/org.gnome.color-manager.gschema.xml
M	src/Makefile.am
M	src/gcm-session.c
M	src/gcm-utils.h

commit 233f6024d86fbd087bf1031f1c182ba160601a4e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-19

    trivial: fix up the prefix of the column enum in gpk-prefs

M	src/gcm-prefs.c

commit 57e1aa176166c81be902939eab9f233be51e4acf
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-18

    trivial: Do not show a age for profiles that do not have a created
    value

    This happens for the default CUPS meta-profiles.

M	src/gcm-cell-renderer-profile-date.c

commit c68ee2d6cbbdc4959a5b2dff8ea24b6c135ce787
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-18

    trivial: Improve the top blurb in gpk-prefs

M	data/gcm-prefs.ui

commit 1fabd8dcca8ecbcda1ab2288cfd73e5f8ba31769
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-18

    trivial: remove the Management suffix in the UI

M	data/gcm-prefs.desktop.in
M	data/gcm-prefs.ui

commit a7faa7ac35ddc1722d3897b6b46c5ec34bf144de
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-18

    Rework the preferences panel based on feedback from the designers

M	data/gcm-prefs.ui
M	po/POTFILES.in
M	src/Makefile.am
M	src/gcm-calibrate.c
A	src/gcm-cell-renderer-profile-date.c
A	src/gcm-cell-renderer-profile-date.h
D	src/gcm-cell-renderer-profile-icon.c
D	src/gcm-cell-renderer-profile-icon.h
M	src/gcm-list-store-profiles.c
M	src/gcm-list-store-profiles.h
M	src/gcm-prefs.c

commit 8a11ebc4e55d3c2aca10bbfeb22a1fc0f17ff62d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-18

    trivial: Add an ellipsis to the Calibrate button

M	data/gcm-prefs.ui

commit f672649a11f9cd3835be7a29cae7dd80755ae9de
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-17

    trivial: show a better profile title for the default printer
    colorspaces

M	src/gcm-cell-renderer-profile-text.c

commit 20cb8138f5ae588f74d28440113591295db71eed
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-17

    Add labels to the gcm-prefs sections, on advice from the
    gnome-designers

M	data/gcm-prefs.ui

commit 196169369cdd67dc4afb1fc345f6e588c3bba76a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    Remove all the rendering intent and default spaces from the GSettings
    schema

M	data/org.gnome.color-manager.gschema.migrate
M	data/org.gnome.color-manager.gschema.xml
M	src/gcm-utils.h

commit 7ad0257b6d721707cd5aa76a568b872322729e64
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    Remove all the rendering intent and default properties from the
    session DBus interface

M	src/gcm-session.c
M	src/org.gnome.ColorManager.xml

commit 5ff998c863a37929294113bb47a3e1b9b702c376
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    Remove the 'Working Spaces' tab from gcm-prefs

M	data/gcm-prefs.ui
M	src/gcm-prefs.c

commit 7cc4d81b0096e075ad480b4313cd898bed981bfc
Author: Djavan Fagundes <djavan@comum.org>
Date:	2011-05-11

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 68ea15c9005874e905a2b8b8ac63cb485d9b67c2
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    trivial: remove the unused enable-sane GSetting entry

M	src/gcm-utils.h

commit 1e0f4563fa555f5ceb3d018c644503af48d25a9c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    trivial: remove the unused profile-graph-type GSetting entry

M	data/org.gnome.color-manager.gschema.xml
M	src/gcm-utils.h

commit d2cbd3f0212e4867b44a4a3ef1a161ae6bea80c4
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    trivial: remove the unused enable-sane GSetting entry

M	data/org.gnome.color-manager.gschema.xml
M	src/gcm-utils.h

commit 04f73736d6cafde7f6010cf564eaafa800e30b5b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    trivial: remove the unused default-gamma GSetting entry

M	data/org.gnome.color-manager.gschema.xml
M	src/gcm-utils.h

commit b9589a85ae9f21dad9767c4f674348c11ad33358
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    trivial: remove a dead entry in the gconf migration script

M	data/org.gnome.color-manager.gschema.migrate

commit 991b50135f283ef4705c802897460a7df46f1ec0
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    Don't show profiles without filenames in gcm-viewer

M	src/gcm-viewer.c

commit 01fb1f3e325b7bf04dc10ff14fff48ccc060d68a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    Don't crash when we click on a PPD virtual profile

M	src/gcm-profile.c

commit c02a6694b994ad59868c22bf73b6f323bf74f9ab
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-10

    trivial: update RELEASE with new ftpadmin script

M	RELEASE

commit 17a9b64be6102829c5c0cf97a35677414e32b6c7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-06

    trivial: update the Fedora spec file from upstream

M	contrib/gnome-color-manager.spec.in

commit a9cfffffa512c180a400f1b3bd49d0686fdfba5f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-06

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit b15e96ff534615bfe87efe47a24f5ce1f5ed78c8
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-06

    Release version 3.1.1

M	NEWS
M	RELEASE

commit 86c89d45b968bd4aad96c35969c36e09465e840e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-05-03

    Add a metadata tab to gcm-viewer to display all the color geek
    information

M	data/gcm-viewer.ui
M	src/gcm-viewer.c

commit 3d3aa68b6a20114bedda5477dbb57d1bc7c6cec8
Author: Flamarion Jorge <jorge.flamarion@gmail.com>
Date:	2011-05-02

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 51074f7fb510547fda6ecc596e2d78dc40013817
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-28

    Remove the rendering intent page from the preferences, the designers
    hate it

M	data/gcm-prefs.ui
M	src/gcm-prefs.c

commit be0a2c5d69b223566b9200a771dada9cf80467e4
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-28

    trivial: fix a warning reported by clang

M	src/gcm-session.c

commit e4946dbc0c89def140a7bfa9f63318aef0cbdce7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-27

    trivial: Show the white temperature in the verbose logging

M	src/gcm-edid.c

commit b0e73e81631d6e9e7632bba8a5dfecc0dfab589c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-27

    Add any display profiles as known colorspaces in gcm-picker

M	src/gcm-picker.c

commit 678eb6389c080e890a053bb223053de6e89e8f00
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-26

    Use cmsOpenProfileFromFile() and hope for profiles with embedded IDs

    This reduces memory allocation at startup from 4.82Mb to 3.06Mb
    (no IDs)
    or 2.91Mb (all IDs)

M	src/gcm-session.c

commit 8ec6ff484140b10ac41271944a3c0f0ceb40be05
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-26

    trivial: correctly construct the profile id when a session profile
    has an embedded profile

M	src/gcm-session.c

commit 6336eede0d8313b4c04a2ca09bea542472b9251d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-26

    Do not split and duplicate the pnp.ids file using g_strsplit()

    This reduces the memory allocation at startup from 4.82Mb to 4.68Mb

M	src/gcm-tables.c

commit d08d60819a9fcdf3c24c9779834202d8216835b5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-26

    Load the introspection file at startup and free the XML data early

    This saves a few hundred K of unused private memory when running.

M	src/gcm-session.c

commit 8d72a849397f7ec87421276b414795bc0d21a964
Author: Ryo Fujita <rfujita@redhat.com>
Date:	2011-04-26

    Updated Japanese translation

M	po/ja.po

commit fce02c92709df2f97d97a27f428a68831eb9bd5e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-21

    Repair invalid UTF8 / ASCII in named color profile name entries

    This allows us to show items like 'HEXACHROME®' for profiles that
    don't adhere
    to the specification.

M	src/gcm-profile.c

commit 71c03da65c6658cb210c8111a0003e3ba49eed04
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-20

    trivial: only add EDID_ properties to the generated profile if the
    data is valid

M	src/gcm-session.c

commit 9df5389f01ededee85c032fa3418bd67c882876d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-18

    trivial: when generating the auto-edid profile, use the DMI data if
    the EDID data is not provided

M	src/gcm-session.c

commit 0d4e90cf34caf3d08a09b6f45f0573697e8bb9a5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-18

    trivial: mark the color temperatures with thier Dxx identification

M	src/gcm-viewer.c

commit 3a1dc016f1f2b5067423ff50a4fe7cc76e2cf1ca
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-18

    trivial: use cmsSetProfileVersion() rather than the lowlevel
    cmsSetEncodedICCversion()

M	src/gcm-calibrate-native.c

commit b1e425d09d14dfa856ec480641ffd2007174868a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-16

    trivial: don't call cmsSetEncodedICCversion() manually,
    cmsCreateRGBProfile() sets it for us

M	src/gcm-profile.c

commit 3b37f877b9b912af8b88378d44eac7252fbf817f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-16

    trivial: do not parse the profile black point, it's meaningless on
    most profiles

M	src/gcm-profile.c

commit c790666392d3313275e1533df53dce5a6eca86d0
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-16

    Add the profile version number to the information viewer tab

M	data/gcm-viewer.ui
M	src/gcm-profile.c
M	src/gcm-profile.h
M	src/gcm-viewer.c

commit 48b6ab8289d9286271ae5f9bbc1046e9747dc87a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-11

    Add named color profile support to gcm-viewer

M	data/gcm-viewer.ui
M	src/gcm-profile.c
M	src/gcm-profile.h
M	src/gcm-viewer.c

commit 991e24b9b1938bcf68caaf129cc8cc58370e30fc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-11

    Add GcmCellRendererColor to display an XYZ encoded color

M	src/Makefile.am
A	src/gcm-cell-renderer-color.c
A	src/gcm-cell-renderer-color.h

commit 7f76b8a18955d512e83f2be50923e70032f39fe1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-11

    trivial: Provide color-policy-agent in the example spec file

M	contrib/gnome-color-manager.spec.in

commit bca7150b0a38cfc9739774a6472624838ad5f638
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-11

    Add GcmNamedColor as an object to hold a named color value

    Named color values consist of a title and a color XYZ value.

M	src/Makefile.am
A	src/gcm-named-color.c
A	src/gcm-named-color.h
M	src/gcm-self-test.c

commit 2981405c1901a67a6a1318302692e9a7ebb6d784
Author: Xianyou Jin <Jinking.this@gmail.com>
Date:	2011-04-10

    Update Simplified Chinese translaton

M	po/zh_CN.po

commit ec2e4bd171c8d40f02e5e939ff7dbba27a0ad4db
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-09

    trivial: ensure we remove deleted profiles from colord

    We were using the filename as the profile-id, which simply will
    not work.

M	src/gcm-session.c
M	src/gcm-viewer.c

commit ba1f2915d0b038041e8f90cb0c0c5cd42a935ee6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-08

    Add the optional FILE_checksum metadata to speed up session startup
    with colord >= 0.1.6

M	src/gcm-session.c

commit 1d67886cfb619cfbeb8e3af41b882e2a6408a6c7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-08

    Get the pre-cooked profile ID from the ICC profile if it is available

M	src/gcm-session.c

commit 028459104be299a564bc5a2c60d1e99b2f829acc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-08

    Write a profile ID for automatically generated profiles

M	src/gcm-profile.c

commit 8b78a76d67975aba3ad9be8fe56f8849777c7d4e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-07

    trivial: Move gcm-fix-profile to colord

M	tools/.gitignore
M	tools/Makefile.am
D	tools/gcm-fix-profile.c

commit 565e14ff2a924f8e0f2040b5d6667f9cd0e0083e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-07

    Do not try to stuff negative numbers into a guint32 value to avoid
    random spikes on the TRC graph

M	src/gcm-profile.c

commit bcacb93106593082816e50285c0ddeff65d6cf59
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	2011-04-06

    [l10n] Updated German translation

M	po/de.po

commit a736980379276335fb6e89ab38aa71247d4716cd
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-05

    trivial: distros should have packaged mash for the full GCM featureset

M	contrib/gnome-color-manager.spec.in

commit 94ea343a36ba47baf762a8c7e1e01632e718c668
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-05

    Do not try to calculate the error in gcm-picker if the values
    are invalid

M	contrib/gnome-color-manager.spec.in
M	src/gcm-picker.c

commit c4e859fa45bbc496207abfcd3686591acd62e5cb
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-05

    trivial: use the async version of CdClient:Cancel() in gcm-session

M	src/gcm-session.c

commit 79b2a4615978aa6d02fc2b3e8b5036dc09fcf343
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-05

    trivial: remove another dead file that was never compiled and will
    no longer work

D	src/gsd-color-manager.c

commit 227a40adbaf7ea5a07d063b5f3984d005db1dea0
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-05

    trivial: remove a file that was never compiled and will no longer work

D	tools/gcm-sensor-example.c

commit 73ce95646dd59f527149059e302b80e3894437c9
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-05

    trivial: remove a file that's no longer useful

D	contrib/reset.sh

commit 77547036c53e1c3fc284a9f44171eb712de72adc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-05

    trivial: fix up the example spec file a little

M	contrib/gnome-color-manager.spec.in

commit b90212ec6ae3e443e599d3ddfd1212a16bf5ad43
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-05

    trivial: remove libusb BR, nothing requires it now

M	configure.ac
M	src/Makefile.am

commit 1398be9cd5d8587dcf8c42cb9deb9cf0c22feda2
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-05

    Add a desktop icon for gcm-picker to help out gnome-shell

M	data/Makefile.am
A	data/gcm-picker.desktop.in
M	po/POTFILES.in

commit 98e21f221fbadc68f803e1afd2dcdc5364a2e068
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-04-04

    Remove all the sensor code as it's been moved to colord

M	Makefile.am
M	configure.ac
D	docs/.gitignore
D	docs/Makefile.am
D	docs/colormunki/lsusb-vvv
D	docs/gcm-parse-beagle.c
D	docs/huey/.gitignore
D
docs/huey/0001-strace-print-usb-traffic-and-add-hex-output-pretty-p.patch
D	docs/huey/Makefile.am
D	docs/huey/gcm-calculate-fudge.c
D	docs/huey/gcm-dump-to-values.c
D	docs/huey/gcm-parse-huey.c
D	docs/huey/lsusb-vvv
D	docs/huey/register-dump.txt
M	po/POTFILES.in
D	rules/.gitignore
D	rules/95-gcm-colorimeters.rules
D	rules/Makefile.am
M	src/Makefile.am
D	src/gcm-buffer.c
D	src/gcm-buffer.h
M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-manual.c
M	src/gcm-calibrate-native.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h
M	src/gcm-cie-widget.c
D	src/gcm-color.c
D	src/gcm-color.h
D	src/gcm-compat.h
M	src/gcm-edid.c
M	src/gcm-edid.h
M	src/gcm-hull.c
M	src/gcm-hull.h
M	src/gcm-import.c
M	src/gcm-list-store-profiles.c
D	src/gcm-math.c
D	src/gcm-math.h
M	src/gcm-picker.c
M	src/gcm-prefs.c
M	src/gcm-profile.c
M	src/gcm-profile.h
M	src/gcm-sample-window.c
M	src/gcm-sample-window.h
M	src/gcm-self-test.c
D	src/gcm-sensor-client.c
D	src/gcm-sensor-client.h
D	src/gcm-sensor-colormunki-private.c
D	src/gcm-sensor-colormunki-private.h
D	src/gcm-sensor-colormunki.c
D	src/gcm-sensor-colormunki.h
D	src/gcm-sensor-dummy.c
D	src/gcm-sensor-dummy.h
D	src/gcm-sensor-huey-private.c
D	src/gcm-sensor-huey-private.h
D	src/gcm-sensor-huey.c
D	src/gcm-sensor-huey.h
D	src/gcm-sensor.c
D	src/gcm-sensor.h
M	src/gcm-session.c
D	src/gcm-usb.c
D	src/gcm-usb.h
M	src/gcm-viewer.c
M	src/gsd-color-manager.c
M	tools/Makefile.am
M	tools/gcm-dump-profile.c
D	tools/gcm-dump-sensor.c
M	tools/gcm-sensor-example.c

commit aefd926d1e2cec5e10c0cc06528bc3d85546bcbe
Author: sangu <sangu.gnome@gmail.com>
Date:	2011-04-02

    Updated Korean translation

M	po/ko.po

commit 2ab7cb9b568d676da89bfb1f0a1c5f297dc87b1b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-31

    trivial: prepare to move the UDev rules file to colord

M	rules/95-gcm-colorimeters.rules
M	src/gcm-sensor-client.c
M	src/gcm-sensor.c

commit 7878a6ae1342bb84529cede45069678cbf8822cd
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-31

    trivial: remove 95-gcm-devices.rules, nothing uses it

D	rules/95-gcm-devices.rules
M	rules/Makefile.am

commit 20d81757afb1e218f667588429979d62b4f1ebf5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-31

    trivial: fix up the example spec file

M	contrib/gnome-color-manager.spec.in

commit 8aa82e7c03dc49162cca1b823b5259523e6634b9
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-31

    trivial: fix display calibration by using the new metadata feature
    in colord

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate.c

commit 54b2922891311b889b1ba9968c05bff2cf54352a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-31

    Set the XRANDR_name metadata attribute on all X11 devices

M	src/gcm-session.c

commit 10374f36c6240f7e06ae2721de45416d04074f5f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-31

    trivial: do not make the device calibration a toggle-button

M	data/gcm-prefs.ui

commit 8d76864e8184e248fd65ea231dbdabf714dda593
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-31

    trivial: map 'Hewlett-Packard' to 'Hewlett Packard' also

    How can one company have so many names...

M	src/gcm-prefs.c

commit 23552b97f582ec192f806baf223799d268f14205
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: update the calibration text when showing the modal window

M	src/gcm-calibrate.c

commit a7a9e796bccff3552642603c7791bab86a79b039
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: up the minimum size of the gcm-prefs window to avoid
    scrollbars

M	src/gcm-prefs.c

commit 26b9b99f7491f5c7f07f711602558dc838762c11
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-03-30

    Updated British English translation

M	po/en_GB.po

commit f45993ba957f08ec3d60654022ae9b8b6be14f56
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-30

    include <config.h> in .c files and remove it from headers.

M	src/gcm-compat.h
M	src/gcm-debug.h
M	src/gcm-self-test.c

commit 36b148892b5a982a35ff67aef706671768a33017
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: do not use icons for the RHS toolbar icons in gcm-viewer

    Note: there a bug that means the label of the insensitive
    GtkToolButton drops down by 1 pixel,
    but we can fix the CSS later, or revert this patch if we have to.

M	data/gcm-prefs.ui

commit b879f87fafb77def3845a745cef12122cba4349f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: keep the [+] and [-] buttons on the left side of the toolbar,
    but punt the others to the RHS

M	data/gcm-prefs.ui

commit f0084103cd6335a235d7b64a57d581fd25d353a5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: do not allow the user to click profile info with no profile
    selected

M	src/gcm-prefs.c

commit 9be29c387c2b1c4aa5af25182faf75dc0347b4d2
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: add button text for all GtkToolButtons, the user may be
    hiding the icons by default

M	data/gcm-prefs.ui

commit 8e3cc6a4b464f39142f9d5f2c96a7b5254ddf555
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: when resizing the 3d hull widget stage, also resize all
    the hulls already on the stage

M	src/gcm-hull-widget.c

commit aaa34f677130b8ef3e07bcbe74146f08fa8c701d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: use dialog-warning when the display profile does not have
    a vcgt entry

M	src/gcm-cell-renderer-profile-icon.c

commit c8259f9a372bc09bc4bc5e9bd3bed3b1ec2d9e88
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: when we can guess the camera device is likely a webcam,
    use the camera-web device icon

M	src/gcm-prefs.c

commit e50fd71eeeeb235b40829e4eb659b0bf3d251745
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: an 'Integrated Camera' is really just a webcam....

M	src/gcm-prefs.c

commit 44392eda1aa360f69bab76bb3f4bb3b813abb52a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: make the device icons 16x16 in gcm-prefs

M	src/gcm-prefs.c

commit f5c9d9f010c8c254e184a682d91de5e455e5f93a
Author: Francesco Groccia <francesco.groccia@poste.it>
Date:	2011-03-29

    [l10n] Updated Italian translation

M	po/it.po

commit 8e04ccb20954044b366ff4485df86d7d20280eea
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: actually fix GetProfilesForDevice to work with colord

M	src/gcm-session.c

commit 244c5c4da8c7440d9e74ce6e002ef0f303895552
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    Add a show information button to the profile toolbar in gcm-prefs

    This opens up gcm-viewer, but hides the profile panel on the left.

M	data/gcm-prefs.ui
M	src/gcm-prefs.c
M	src/gcm-viewer.c

commit 7e829ff667d48ca575abb51b08acd49e93bae811
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: don't add [Default] in gcm-prefs, just make the text bold

M	src/gcm-cell-renderer-profile-text.c

commit ff3513da616aa80e6358d8cb2ed0e72643f162f2
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: never expand the profile info icon so it's not on the
    right margin

M	src/gcm-prefs.c

commit 4995c824eeae35292dba5fcde8289d410cb4e213
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: when generating the device title, remove some vendor
    insanities

M	src/gcm-prefs.c

commit cf6a68efe30cb205052e19be0cfaff0441bf6825
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-29

    trivial: use the new 'dim-label' style for the type labels in
    gcm-viewer

M	data/gcm-viewer.ui
M	src/gcm-viewer.c

commit 7cb679d9600eaca65fee1e477e79cf1ed132ea3d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-28

    trivial: fix make distcheck

M	po/POTFILES.in
M	src/Makefile.am

commit bee357a2238a4cb609e6906e430348b985f719e5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-28

    trivial: use the inline-toolbar style in gcm-viewer

M	data/gcm-viewer.ui
M	src/gcm-viewer.c

commit 82183740905f9e47cb122c4c8ba8e50014c30687
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-28

    trivial: use the inline-toolbar style in gcm-prefs

M	data/gcm-prefs.ui
M	src/gcm-prefs.c

commit f06d2a86b3a056cd02d0928bb129182d70fe6329
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-28

    trivial: fix up the description of a TRC curve

M	data/gcm-viewer.ui

commit cf4f2a84813c1a2f8c5ba0779a76fd6f417b80e6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-28

    Correct the spelling of colormetric to colorimetric

    Thanks to Alexandre Prokoudine for spotting the problem...

M	data/org.gnome.color-manager.gschema.xml
M	src/gcm-utils.c
M	src/org.gnome.ColorManager.xml

commit 590cc4af32d3a80f63f89c29ea507cbe8ca06150
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-28

    Add a 3D gamut hull tab to the profile viewer

    Note: this requires clutter-gtk and mash, both of which are now
    *optional* deps.

M	configure.ac
M	data/gcm-viewer.ui
M	src/Makefile.am
A	src/gcm-hull-widget.c
A	src/gcm-hull-widget.h
M	src/gcm-profile.c
M	src/gcm-viewer.c

commit bfd8017c356f4cc75cb19b67e69ff50f54f07afc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-26

    Add gcm_profile_generate_gamut_hull() to generate a 3D gamut hull
    of any 3 color profile

    The original code was taken from icc_examin copyright 2004-2009
    Kai-Uwe Behrmann <ku.b@gmx.de>,
    although quite modified from how it was found. icc_examin is also
    GPLv2+ licenced.

M	src/gcm-profile.c
M	src/gcm-profile.h
M	src/gcm-self-test.c

commit d2bb55d4cd8c530d9bce7d9c977b48e9288afd85
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-26

    trivial: fix up a gcc warning in gcm_test_sample_window_move_window()

M	src/gcm-self-test.c

commit 99ab2c3e0644540bc87a2bff839a16d9c077def0
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-26

    trivial: don't use the global 'gamma' in gcm-profile.c

    Man, math.h sucks.

M	src/gcm-profile.c

commit 73a3cb42ee072628450052c46063ffdea0587076
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-26

    trivial: don't try to access Exif.Olympus.SerialNumber, libexiv
    explodes in a deadly ball of flames

M	src/gcm-helper-exiv.cpp

commit 9f4a5415369f9e65f5539778c4510aa75447de76
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-26

    trivial: truncate values less than 0.0 and greater than 1.0 when
    using gcm_color_convert_RGB_to_RGBint()

M	src/gcm-color.c

commit b165e76180462aa3ec5519f5dc3a00ceabc0a75d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-26

    trivial: Add GcmHull for future use as a datastore for a 3D gamut hull

M	src/Makefile.am
A	src/gcm-hull.c
A	src/gcm-hull.h
M	src/gcm-self-test.c

commit 1fa3e5fd2b1f2b3436e3f06fb51e06c35fbe7209
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    prefs: make the 'Set for all users' button device specific

M	data/gcm-prefs.ui
M	src/gcm-prefs.c

commit 9065307cc706a15f95f9d2fe022810e759bf5b87
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    trivial: make both the previous and next buttons work

M	src/gcm-viewer.c

commit 836edeb44d1091c7c5e3ab6796d8c8c6f7156676
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    viewer: vertically align the information header text for labels that
    might overfill

M	data/gcm-viewer.ui

commit b524e68b76bd51143f2ae5628daba427bec65adc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    viewer: wrap the text to the character, not the word

M	data/gcm-viewer.ui

commit ad424a7dbfbd0c8f523e009f2f814c591f733f53
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    viewer: get rid of the single close button

M	data/gcm-viewer.ui
M	src/gcm-viewer.c

commit 57fcc4a79722d19df09e3eb0933a43b8661dc434
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    Use /org/gnome as starting path for schemas

M	data/org.gnome.color-manager.gschema.xml

commit febe5bc10cbb44cef6ca681c2183b810378ce982
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    trivial: Fix up some errors pointed out by clang

M	docs/huey/gcm-dump-to-values.c
M	src/gcm-calibrate-native.c
M	src/gcm-session.c

commit 9722f1d491050a6160e58a50d1209b093a88548c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    trivial: don't try to hide widgets that no longer exist

M	src/gcm-viewer.c

commit 51bf3e5e5cc9ec5c4fd4f965b33d72857c616a9d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    Do not install a control panel pane

    Instead ship a gcm-prefs binary (again...) as apparently the control
    center maintainers
    want to remove the shared library in 3.2.

    What a complete waste of time.

M	configure.ac
M	contrib/gnome-color-manager.spec.in
M	data/gcm-prefs.desktop.in
M	data/gcm-prefs.ui
M	src/.gitignore
M	src/Makefile.am
D	src/cc-color-panel.h
R066	src/cc-color-panel.c	src/gcm-prefs.c

commit e6901da8a9ad2e8c190c184373016b0359682ba6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    trivial: remove the check for GObjectIntrospection

M	configure.ac

commit 301b96df2217443963785f9d11f5b77723ab528d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    viewer: rework gcm-viewer into tabs to make the UI more streamlined

    This also means we can expand the graphs again, for much more detail.

M	data/gcm-viewer.ui
M	src/gcm-viewer.c

commit c5803bcee30a6c24220181be36b830ef2cbc094a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-25

    viewer: remove the the preferences and help buttons

M	data/gcm-viewer.ui
M	src/gcm-viewer.c

commit 38b03c147b0d5313a8948cdba7bab1db889f6fef
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-24

    Make the argyllcms calibration square 20% larger. Fixes rh#689787

M	src/gcm-calibrate-argyll.c

commit a993f5dc351909d74efbf326cac6caecee9f09b0
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-24

    Conform to the latest version of the device and profile ID
    specification

M	src/gcm-session.c

commit f48fce088544d5df048614a012396a64f4acab09
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-23

    Do not use the xrandr connection as the key for the display devices

    Instead use the EDID vendor, product and serial numbers.

M	src/gcm-session.c

commit 73ecc75d26a3ed3137b03d4f0cd773f96a8981da
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-22

    trivial: Use a helper object in gcm-session in case this ever becomes
    a GSD plugin

M	src/gcm-session.c

commit da6463082b7a756d6713730147ad5fdf812a7008
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-22

    trivial: drop some unused includes

M	src/cc-color-panel.c

commit aa34e1746c61b69c26c24134d789ecc66f79592a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-22

    trivial: re-enable GetProfileForWindow()

M	src/gcm-session.c

commit 970966e43254bb0af1050af4727b04c2f917ac78
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-22

    trivial: fix compile error with existing commit

M	src/cc-color-panel.c

commit eb4cc736c1e8db6048d940ede67e6ced9013bfd9
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-03-20

    Updated Hungarian translation

M	po/hu.po

commit 9316e1b1c274e7c092105d67b4e903d3a7f46d68
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:	2011-03-18

    l10n: Updated Greek translation for gnome-color-manager docs

M	help/el/el.po

commit 8ad5c3474fd9191b08b3fbe7e38078ddf9666a23
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-03-14

    Updated Portuguese translation

M	po/pt.po

commit 4e85f89ea20b52544743cbb64357ee57be145315
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-13

    Set the right translation domain

M	src/cc-color-panel.c

commit 9d23fadebd9510b9e8315ccf74f893af0fb02b4c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-13

    Fix translation domain for the prefs panel

M	data/gcm-prefs.ui

commit d66dc846e823f93af07dc1dd0e0b5602b7dc5e9f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-10

    Remove non-existing files

M	po/POTFILES.in

commit d5630881e29c11cd166738f8e8e01c6d6feba12e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-10

    Updated Norwegian bokmål translation

M	po/nb.po

commit afc2d3676d966730aca33c85f9fcf5fbce85b4d9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-02

    Add #include <config.h> to make translations work.

M	src/gcm-debug.c

commit 53fcf83ac7e35c6c6a83c0e8d6dd15b321b87ccc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-10

    Updated Polish translation

M	po/pl.po

commit a9a2d9a461690acd020c40fd6cd9c6cdb7f3cee2
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-09

    Remove the help button from the color control center panel

M	data/gcm-prefs.ui
M	src/cc-color-panel.c

commit 83578360ef3d3f6cd3b59d6f6e570db2b8bf89ce
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-09

    Move the profile viewer button in the control center to some
    hyperlink text

M	data/gcm-prefs.ui
M	src/cc-color-panel.c

commit 70140fe4ca964bbe19132731ec7e0c79afa8c517
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-09

    Move the control center panel buttons underneath the treeviews to
    prevent random scrolling

M	data/gcm-prefs.ui

commit 118f731a6ee93d292981a0f677c065815cd4743c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-09

    Do not allow the user to remove automatically-added profiles from
    devices

M	src/cc-color-panel.c
M	src/gcm-list-store-profiles.c
M	src/gcm-list-store-profiles.h

commit 0504406d2f25c4df0a0ac145f399c891a5eb9620
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-09

    trivial: ensure we strip the 'xrandr_' prefix from the new device
    ID's before looking up

M	src/gcm-session.c

commit ca07f63d50e94f2daa77044e5503d201b6d110d2
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-09

    trivial: only watch GcmX11Screen ::added and ::removed when colord
    is started

M	src/gcm-session.c

commit b0fc3366dee4d2278bcbabe42cfb0b4446f4139e
Merge: 7fce311 58f5edb
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-08

    Merge branch 'colord'

commit 7fce311421095ba84f24710710eabbf177b33c2e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-08

    trivial: post-branch version bump

M	configure.ac

commit 58f5edb6ce6f6a10b4609daf8b464e9ed8b1ccc3
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-04

    trivial: add a xrandr_ prefix to the X11 devices

M	src/gcm-session.c

commit e0e94e2468fe9798b461ae97887a4691829dcc03
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-04

    Watch org.freedesktop.ColorManager so we can reapply policy if it
    ever gets reloaded

M	src/gcm-session.c

commit 0abedaf204f1a3fc7c947d5c691597bb1bab9d67
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-04

    trivial: Adjust to the enum renaming in colord trunk

M	src/gcm-session.c

commit f1dd9a4771bdf7257e09c67961903d542ff4fbd2
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-03-01

    Remove the window title from the modal calibration dialogs

M	data/gcm-calibrate.ui

commit 5e06cb76795a20f30f79929693415199c0588188
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-25

    Use the new colord Device.AddProfile API by adding a relation type
    when creating profiles

M	src/cc-color-panel.c
M	src/gcm-session.c

commit d2db1a0b044e80bb7062dc17e12a008787f2641c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-24

    Display the profile ID in the UI if the profile title or profile
    filename is not available

M	src/gcm-cell-renderer-profile-text.c

commit ad613ded6b735a5f25f12206565cb105bf8c5b8f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-24

    Set the 'Serial' property for xrandr devices

M	src/gcm-session.c

commit 385bb3f8b55585de332aa64a159d18cc95974e18
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-23

    Actually show a device title when showing the user the 'recalibration
    required' bubble

M	src/gcm-session.c

commit 7362882c5417e096fa65b241c25f7733270fa6b9
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-23

    Adjust to colord API change

M	src/gcm-session.c

commit d4c3bfb79fbc871a489baec87f079f4ec18a9b6b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-22

    Auto-EDID profiles should have an RGB colorspace

M	src/gcm-session.c

commit 7990795f4bbb37ec58b3afabefe879f8efbcb082
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-14

    Add media whitepoint and color temperature data to gcm-picker

M	data/gcm-picker.ui
M	src/gcm-picker.c

commit ee0256bbaba7a1020b26db79865e4b5d3764e56d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-14

    When creating ICC profiles for a display, use relative-colormetric
    and a PCS of XYZ

M	src/gcm-profile.c

commit 543cd99f1ea80729adf036a5af9f765468de37dd
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-14

    Fix gcm-dump-profile by calling g_type_init()

M	tools/gcm-dump-profile.c

commit da8e5e063571397e89a9cfc4797fc76a141f169d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-11

    Do not call GetDevices in gcm-inspect, it does not exist anymore

M	src/gcm-inspect.c

commit 1d9c55cb638779acbacfb2cec58d2b9fd2b30f57
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-11

    Prevent crash when deleting profiles in gcm-viewer

M	src/gcm-profile-store.c
M	src/gcm-viewer.c

commit 05a5871da61cdda649ce0e5b4a28150b38297261
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-11

    Use ProfilingInhibit when calibrating devices rather than futz around
    with the VCGT tables

M	src/cc-color-panel.c

commit 5823866db8c396a07dd1b5434568879194d7a790
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-11

    If there are no profiles for the XRandr output, then reset the gamma
    ramps to linear

    We need to do this for profiling...

M	src/gcm-session.c

commit 76c76abd47de76fc2cc092c764a88ea0d5b11733
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-11

    Use GetProfileForQualifier(*) to get the default profile, rather
    than using the cached profile array

M	src/gcm-session.c

commit 721c9d16162c196a258edb275568206b132e1c1f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-11

    When finished calibrating, assign the new profile to the current
    device

M	src/cc-color-panel.c

commit af8f9953232dfa194b1343c49d78fc43f9468d0d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-10

    trivial: fix compile with new versions of GCC

M	tools/Makefile.am
M	tools/gcm-dump-profile.c

commit caea46746c88627c92e5892201dc6803c7822000
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-08

    Assign profiles with EDID_md5 metadata to thier correct devices
    automatically

M	src/gcm-session.c
M	src/gcm-x11-screen.c
M	src/gcm-x11-screen.h

commit 8ae0b4c16daed8b61aef7c7ad7ce1c0c710b03bc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-03

    trivial: Remove the problems box in the control center pane, nothing
    uses it

M	data/gcm-prefs.ui
M	src/cc-color-panel.c

commit 963c0a3588fe8a93a4d6bfe9db3d6a0e6bc35823
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-02

    trivial: fix make check

M	src/Makefile.am
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h
M	src/gcm-picker.c
M	src/gcm-profile-store.c
M	src/gcm-profile-store.h
M	src/gcm-self-test.c
M	src/gcm-sensor-client.c
M	src/gcm-usb.c

commit 07e840be2f30b5c5689836b160d8ca419d077aa1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-02

    trivial: set the colorspace for virtual devices to RGB

M	src/cc-color-panel.c

commit d80b34009e2db4a902fbc060e71e646015c24c44
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-02

    trivial: adjust to API changes in colord

M	src/cc-color-panel.c
M	src/gcm-session.c

commit f95204e1ebaf9a34a7dd5fa8926598a8bf23e7cb
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-02

    trivial: make 'Set Default' not crash and burn

M	src/cc-color-panel.c

commit d9aed50970ccc454dfc9eb14117d0bd788458eaa
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-02

    trivial: fix removing a profile from a device

M	src/cc-color-panel.c

commit a489b3237bf51d2e908a26b65d6de98309a5fea8
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-02

    trivial: get the list of devices asyncronously

M	configure.ac
M	src/cc-color-panel.c

commit a580e1f11ae44daeafc75d82e1dc1596884418d1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-02

    trivial: make deleting virtual devices work again

M	src/cc-color-panel.c

commit 3f2db642f02943fdb07efcb076fa5333508ed1cc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-02

    Reset the X11 gamma tables if the profile has no VCGT

M	src/gcm-session.c

commit 42960907e7ac25f091e365436dd6c1a759672edf
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-01

    When creating display devices, use the EDID and DMI data for a better
    display name

M	src/gcm-session.c

commit 1d194624efbb86b3f80782d65bd8aa06d97d037f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-01

    Reset the device if the display device changes in colord

M	src/gcm-session.c

commit 7f2be05558a70c1eb7d2916ec325711df97ff084
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-31

    trivial: make more of the color control panel work with colord

M	src/cc-color-panel.c

commit 9a0e4ed861faee8db33e41734217f9e48d95222d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-31

    Set the colorspace on new XRandr CdDevice objects

M	src/gcm-session.c

commit 8322da4b79ae3084bfc4f3819cc85334a72fe1ae
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-31

    Remove gcm-dump-edid, there are other tools available to do this

M	tools/.gitignore
M	tools/Makefile.am
D	tools/gcm-dump-edid.c
M	tools/gcm-dump-profile.c

commit 71df122725a41830d5f31818542d7739739c838c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-31

    trivial: remove gcm-version.h, it's not exported anymore

M	src/Makefile.am
D	src/gcm-version.h

commit c1f27a4c8efa56966f4ffab0600ae04b91f76cf9
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-01

    trivial: remove the unused file gcm-device-xrandr.c

D	src/gcm-device-xrandr.c
M	src/gcm-self-test.c

commit cb4456cb7ae8f0b1d59a55f49d9cff27ae59e849
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-31

    Set the _ICC_PROFILE protocol version in the new colord code

M	src/gcm-session.c

commit a46124cec092ae32d66d036f4e071add828c007a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-31

    Port gcm-picker to colord

M	src/gcm-picker.c
M	src/gcm-utils.c

commit 8621223f89e8b3b653c2940ba1e7cc8e16aec391
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-30

    Begin to port the control center to colord

M	src/cc-color-panel.c
M	src/gcm-profile.c
M	src/gcm-profile.h
M	src/gcm-session.c
M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit c96419f08ef5bee1e0f1fbe35ebb794e9378b13f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-29

    Port gcm-import to colord

M	src/gcm-import.c

commit ce3ddcb3bd696b624bef6c7073bd88f936cf9931
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-29

    Port gcm-viewer to colord

M	src/gcm-cell-renderer-profile-icon.c
M	src/gcm-cell-renderer-profile-icon.h
M	src/gcm-cell-renderer-profile-text.c
M	src/gcm-cell-renderer-profile-text.h
M	src/gcm-list-store-profiles.c
M	src/gcm-profile.c
M	src/gcm-profile.h
M	src/gcm-self-test.c
M	src/gcm-viewer.c

commit c2e880a9e4720ecfc9121f8d826f37c0c19e6a92
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-29

    Assign devices as they appear from colord

M	src/gcm-device-xrandr.c
M	src/gcm-session.c
M	src/gcm-x11-output.c
M	src/gcm-x11-output.h

commit 6f2de62da3b439e7236a8cc2ad96f537902ece59
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-29

    Use the new Commit methods so we can assign properties before
    emitting DeviceAdded

M	src/gcm-session.c

commit 4d4c1fa67c7c8dd1a624c837bc061b4337a69c8d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-18

    Re-enable the re-profiling notifications now colord supports modified

M	autogen.sh
M	configure.ac
M	src/Makefile.am
M	src/gcm-session.c

commit 2785bfe2acf52f46288704b59f4df4f90997f95a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-17

    Remove GcmDevice as this is no longer needed with colord

M	rules/95-gcm-devices.rules
M	src/Makefile.am
M	src/cc-color-panel.c
M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-dialog.c
M	src/gcm-calibrate-dialog.h
M	src/gcm-calibrate-manual.c
M	src/gcm-calibrate-native.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h
M	src/gcm-device-xrandr.c
D	src/gcm-device.c
D	src/gcm-device.h
D	src/gcm-enum.c
D	src/gcm-enum.h
M	src/gcm-exif.h
M	src/gcm-image.c
M	src/gcm-import.c
M	src/gcm-list-store-profiles.c
M	src/gcm-list-store-profiles.h
M	src/gcm-picker.c
M	src/gcm-profile.c
M	src/gcm-profile.h
M	src/gcm-self-test.c
M	src/gcm-session.c
M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c
M	tools/gcm-dump-profile.c

commit 693d315112c07f38c7f5b97e99b499f6e5c467d3
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-17

    Neuter a lot of GcmDeviceXrandr, pending its future removal

M	src/Makefile.am
M	src/cc-color-panel.c
M	src/gcm-calibrate.c
M	src/gcm-device-xrandr.c
D	src/gcm-device-xrandr.h
M	src/gcm-session.c
M	src/gcm-x11-output.c
M	src/gcm-x11-output.h

commit ccd195821984803e6316dbc631483237062d5b35
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-17

    Remove GcmClient, it's not required anymore

M	src/Makefile.am
M	src/cc-color-panel.c
D	src/gcm-client.c
D	src/gcm-client.h
M	src/gcm-self-test.c
M	src/gcm-session.c
M	src/gcm-x11-screen.c
M	src/gcm-x11-screen.h

commit 59af2b52f2e06cb7fa6856ad39c5d61a270b944e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-17

    Remove all support for device-profiles.conf

M	src/gcm-client.c
M	src/gcm-device-xrandr.c
M	src/gcm-device.c
M	src/gcm-device.h
M	src/gcm-self-test.c
M	src/gcm-utils.c
M	src/gcm-utils.h

commit acb524b2a203500436a4bcbd79cac097f8d3e9b7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-17

    Remove SANE support, it's moved to colord

M	configure.ac
M	contrib/gnome-color-manager.spec.in
M	src/Makefile.am
M	src/gcm-client.c
D	src/gcm-device-sane.c
D	src/gcm-device-sane.h

commit f529366c4cbb4991611e4412ed7adfc1275f25cc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Add and remove session profiles as they appear in the home directory

M	src/cc-color-panel.c
M	src/gcm-import.c
M	src/gcm-picker.c
M	src/gcm-profile-store.c
M	src/gcm-profile-store.h
M	src/gcm-session.c
M	src/gcm-viewer.c

commit 9a069264b1d937c4ef3d33b00efc302abfda7328
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Remove support for saved devices in GcmClient

M	src/cc-color-panel.c
M	src/gcm-client.c
M	src/gcm-client.h

commit 779ac40ba9fb027dcb879419d59c74d5d47e803f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Do not allow GcmClient to thread

M	src/cc-color-panel.c
M	src/gcm-client.c
M	src/gcm-client.h

commit 9300b8cc2b3a3652f2057a58dea853c296358c85
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Add and remove X11 outputs to colord as they are hotplugged

M	src/gcm-client.c
M	src/gcm-client.h
M	src/gcm-profile-store.c
M	src/gcm-session.c
M	src/gcm-x11-output.c
M	src/gcm-x11-screen.c
M	src/gcm-x11-screen.h

commit bc3343b485b9a4d5a05a96e3fd9bca56d6853c2d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Use CdRenderingIntent from colord

M	src/cc-color-panel.c
M	src/gcm-enum.c
M	src/gcm-enum.h
M	src/gcm-utils.c
M	src/gcm-utils.h

commit d3d06e067f3d76c86362c568232cce80dcc8b150
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Do not migrate the old config file, we're not going to be using it
    at all soon

M	data/org.gnome.color-manager.gschema.xml
M	src/gcm-client.c
M	src/gcm-utils.h

commit cf763a12043094b1f72e15a5501019b35200489c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Add added and removed signals to GcmX11Screen

M	src/gcm-x11-output.c
M	src/gcm-x11-output.h
M	src/gcm-x11-screen.c
M	src/gcm-x11-screen.h

commit 71191969662b0a0924f71f6c57263a9dc4639328
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Use some of the enums from libcolord

M	Makefile.am
M	docs/huey/Makefile.am
M	src/Makefile.am
M	src/cc-color-panel.c
M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-native.c
M	src/gcm-calibrate.c
M	src/gcm-cell-renderer-profile-icon.c
M	src/gcm-client.c
M	src/gcm-device-sane.c
M	src/gcm-device-xrandr.c
M	src/gcm-device.c
M	src/gcm-device.h
M	src/gcm-enum.c
M	src/gcm-enum.h
M	src/gcm-exif.c
M	src/gcm-exif.h
M	src/gcm-inspect.c
M	src/gcm-list-store-profiles.c
M	src/gcm-profile.c
M	src/gcm-profile.h
M	src/gcm-self-test.c
M	src/gcm-session.c
M	src/gcm-utils.c
M	src/gcm-utils.h
M	src/gcm-viewer.c
M	tools/Makefile.am
M	tools/gcm-dump-profile.c

commit f7392f35dd7a12e4ab404e6a6489218ba3d4e836
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Remove the last parts of GUDev from GcmClient

M	src/gcm-client.c
M	src/gcm-client.h

commit 8d19898ce37f299629d4407c373d77dfe03ebc5b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Do not write an xsane.rc file, xsane is too broken

M	src/gcm-device-sane.c

commit 3910ee3cc6bf9ec6752edd0c2ce6f12cc0320e34
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Remove libcolor-glib and the gnome-session plugin as we now have a
    dedicated session process

M	Makefile.am
M	configure.ac
M	contrib/gnome-color-manager.spec.in
M	docs/Makefile.am
D	docs/api/.gitignore
D	docs/api/Makefile.am
D	docs/api/clean.sh
D	docs/api/libcolor-glib-docs.sgml
D	docs/api/version.xml.in
M	docs/gcm-parse-beagle.c
M	docs/huey/Makefile.am
M	docs/huey/gcm-calculate-fudge.c
M	docs/huey/gcm-dump-to-values.c
M	docs/huey/gcm-parse-huey.c
D	libcolor-glib/.gitignore
D	libcolor-glib/Makefile.am
D	libcolor-glib/gcm-self-test.c
D	libcolor-glib/libcolor-glib.h
D	libcolor-glib/libcolor-glib.pc.in
M	po/POTFILES.in
M	po/POTFILES.skip
D	session/.gitignore
D	session/Makefile.am
D	session/color.gnome-settings-plugin
D	session/gsd-color-manager.h
D	session/gsd-color-plugin.c
D	session/gsd-color-plugin.h
M	src/Makefile.am
R100	session/egg-console-kit.c	src/egg-console-kit.c
R100	session/egg-console-kit.h	src/egg-console-kit.h
R099	libcolor-glib/gcm-brightness.c	src/gcm-brightness.c
R094	libcolor-glib/gcm-brightness.h	src/gcm-brightness.h
R096	libcolor-glib/gcm-buffer.c	src/gcm-buffer.c
R091	libcolor-glib/gcm-buffer.h	src/gcm-buffer.h
R098	libcolor-glib/gcm-clut.c	src/gcm-clut.c
R094	libcolor-glib/gcm-clut.h	src/gcm-clut.h
R095	libcolor-glib/gcm-color.c	src/gcm-color.c
R095	libcolor-glib/gcm-color.h	src/gcm-color.h
R088	libcolor-glib/gcm-compat.h	src/gcm-compat.h
R100	libcolor-glib/gcm-debug.c	src/gcm-debug.c
R092	libcolor-glib/gcm-debug.h	src/gcm-debug.h
R098	libcolor-glib/gcm-dmi.c src/gcm-dmi.c
R093	libcolor-glib/gcm-dmi.h src/gcm-dmi.h
R098	libcolor-glib/gcm-edid.c	src/gcm-edid.c
R095	libcolor-glib/gcm-edid.h	src/gcm-edid.h
R097	libcolor-glib/gcm-enum.c	src/gcm-enum.c
R094	libcolor-glib/gcm-enum.h	src/gcm-enum.h
R099	libcolor-glib/gcm-image.c	src/gcm-image.c
R094	libcolor-glib/gcm-image.h	src/gcm-image.h
R096	libcolor-glib/gcm-math.c	src/gcm-math.c
R094	libcolor-glib/gcm-math.h	src/gcm-math.h
R098	libcolor-glib/gcm-profile-store.c	src/gcm-profile-store.c
R095	libcolor-glib/gcm-profile-store.h	src/gcm-profile-store.h
R098	libcolor-glib/gcm-profile.c	src/gcm-profile.c
R097	libcolor-glib/gcm-profile.h	src/gcm-profile.h
R099	libcolor-glib/gcm-sample-window.c	src/gcm-sample-window.c
R093	libcolor-glib/gcm-sample-window.h	src/gcm-sample-window.h
M	src/gcm-self-test.c
R098	libcolor-glib/gcm-sensor-client.c	src/gcm-sensor-client.c
R100	libcolor-glib/gcm-sensor-client.h	src/gcm-sensor-client.h
R096	libcolor-glib/gcm-sensor-colormunki-private.c
src/gcm-sensor-colormunki-private.c
R096	libcolor-glib/gcm-sensor-colormunki-private.h
src/gcm-sensor-colormunki-private.h
R099	libcolor-glib/gcm-sensor-colormunki.c
src/gcm-sensor-colormunki.c
R100	libcolor-glib/gcm-sensor-colormunki.h
src/gcm-sensor-colormunki.h
R099	libcolor-glib/gcm-sensor-dummy.c	src/gcm-sensor-dummy.c
R100	libcolor-glib/gcm-sensor-dummy.h	src/gcm-sensor-dummy.h
R098	libcolor-glib/gcm-sensor-huey-private.c
src/gcm-sensor-huey-private.c
R098	libcolor-glib/gcm-sensor-huey-private.h
src/gcm-sensor-huey-private.h
R099	libcolor-glib/gcm-sensor-huey.c src/gcm-sensor-huey.c
R093	libcolor-glib/gcm-sensor-huey.h src/gcm-sensor-huey.h
R097	libcolor-glib/gcm-sensor.c	src/gcm-sensor.c
R097	libcolor-glib/gcm-sensor.h	src/gcm-sensor.h
R099	libcolor-glib/gcm-tables.c	src/gcm-tables.c
R093	libcolor-glib/gcm-tables.h	src/gcm-tables.h
R099	libcolor-glib/gcm-usb.c src/gcm-usb.c
R100	libcolor-glib/gcm-usb.h src/gcm-usb.h
R083	libcolor-glib/gcm-version.h.in	src/gcm-version.h
R097	libcolor-glib/gcm-x11-output.c	src/gcm-x11-output.c
R096	libcolor-glib/gcm-x11-output.h	src/gcm-x11-output.h
R098	libcolor-glib/gcm-x11-screen.c	src/gcm-x11-screen.c
R095	libcolor-glib/gcm-x11-screen.h	src/gcm-x11-screen.h
R099	session/gsd-color-manager.c	src/gsd-color-manager.c
M	tools/Makefile.am
M	tools/gcm-dump-edid.c
M	tools/gcm-dump-profile.c
M	tools/gcm-dump-sensor.c
M	tools/gcm-sensor-example.c

commit 8d81d70bd20789ac33e504eaca961c37ca7ff81c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-16

    Depend on colord

M	configure.ac
M	src/Makefile.am

commit 3d46bb9f23aacf515d6cd8faee895d1043f11fa1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Remove gcm-apply and merge the functionality into gcm-session

M	data/Makefile.am
R088	data/gcm-apply.desktop.in	data/gcm-session.desktop.in
M	po/POTFILES.in
M	src/.gitignore
M	src/Makefile.am
D	src/gcm-apply.c
M	src/gcm-session.c

commit 99152a9f6bdf786498c09154233aaecf3adf1f71
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Do not let gcm-session exit, instead stay around for the duration
    of the session

M	src/gcm-session.c

commit c09a55717dfd12a49d93ee9639cb94b3618dd95e
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Remove the GetProfilesForType DBus method, clients are expected to
    use colord instead

M	src/gcm-session.c
M	src/org.gnome.ColorManager.xml

commit bc8a8731eeefc4b47925e076284d63528819daea
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Remove the GetDevices DBus method, clients are expected to use
    colord instead

M	src/gcm-session.c
M	src/org.gnome.ColorManager.xml

commit abf9c396dc8a929c12987d010f47525c8f375ebd
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Only search for per-user ICC profiles, colord does the system ones now

M	data/org.gnome.color-manager.gschema.xml
M	libcolor-glib/gcm-profile-store.c
M	libcolor-glib/gcm-profile-store.h
M	src/cc-color-panel.c
M	src/gcm-import.c
M	src/gcm-picker.c
M	src/gcm-session.c
M	src/gcm-utils.h
M	src/gcm-viewer.c

commit 0125f4b5a45674361d551576fde918dd49ed140f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Remove virtual profile devices, they are now saved in colord

M	src/Makefile.am
M	src/cc-color-panel.c
M	src/gcm-client.c
D	src/gcm-device-virtual.c
D	src/gcm-device-virtual.h

commit 2fad1d1cbfa743e8db73f8be98d5a46194c35b15
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Remove the ability to set a profile systemwide, we can do this
    in colord

M	Makefile.am
M	configure.ac
M	po/POTFILES.in
D	policy/.gitignore
D	policy/Makefile.am
D	policy/org.gnome.color.policy.in
M	src/.gitignore
M	src/Makefile.am
M	src/cc-color-panel.c
D	src/gcm-install-system-wide.c

commit 80834f21099c348117427d12c6c383501558aa9f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Remove the DDC support from gnome-color-manager, it belongs in a
    lower library

M	libcolor-glib/Makefile.am
D	libcolor-glib/gcm-ddc-client.c
D	libcolor-glib/gcm-ddc-client.h
D	libcolor-glib/gcm-ddc-common.c
D	libcolor-glib/gcm-ddc-common.h
D	libcolor-glib/gcm-ddc-control.c
D	libcolor-glib/gcm-ddc-control.h
D	libcolor-glib/gcm-ddc-device.c
D	libcolor-glib/gcm-ddc-device.h
M	libcolor-glib/gcm-self-test.c
M	libcolor-glib/libcolor-glib.h
M	rules/.gitignore
D	rules/55-gcm-i2c.rules
M	rules/Makefile.am
D	rules/gcm-udev-ddc.c
M	tools/Makefile.am
D	tools/gcm-ddc-util.c

commit 61420074085224d51eb8a267e96aaa4754f72277
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Remove UDev support, it's being done in colord now

M	src/Makefile.am
M	src/gcm-client.c
D	src/gcm-device-udev.c
D	src/gcm-device-udev.h

commit 6beb4cd51e8a6606a4476be678e6c3f449668a27
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-15

    Remove CUPS support, it's using colord now

M	configure.ac
M	contrib/gnome-color-manager.spec.in
M	data/org.gnome.color-manager.gschema.xml
M	src/Makefile.am
M	src/gcm-client.c
D	src/gcm-device-cups.c
D	src/gcm-device-cups.h
M	src/gcm-utils.h

commit 47780ad32204c54a75fbba179806fd546532cb3b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-03-02

    Updated Norwegian bokmål translation

M	po/nb.po

commit b2ae1d5a1d4a00e9df9b76a2d228ae3e94805dc8
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-22

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 6522a35ee7d9208f9e5f0900189cd3b4c86ef0b3
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-22

    Release version 2.91.90

M	NEWS
M	RELEASE
M	configure.ac

commit 910e91223112f60dfe2b1b016eea7e5a1134e01c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-22

    trivial: emit sensor-kind in GcmCalibrate to prevent a critical
    warning

M	src/gcm-calibrate.c

commit 13fd6062ce26200879edfafd9bdec07a541799be
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-13

    Use gcm-calculate-fudge to calculate a more accurate value of
    HUEY_XYZ_POST_MULTIPLY_SCALE_FACTOR

M	libcolor-glib/gcm-sensor-huey.c

commit ce93b61ca8f0e37fd29f58b1c7bbb9c921bd179d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-13

    huey: remove the dark current values before scaling for the
    calibration matrix

    This is the only way that makes sense, otherwise the dark current
    values would
    depend on the calibration matrix values, which seems redundant.

M	libcolor-glib/gcm-sensor-huey.c

commit 9c6eeebdef3e201865efc9824096f23c934e8ee6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-13

    huey: the CY7C63001 is paired with a 6.00Mhz crystal and it takes
    6 clock cycles to process a 16bit inc with carry check

M	libcolor-glib/gcm-sensor-huey.c

commit 4e89a7752c759987e1f08af91cbd858c692772d3
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-13

    huey: when reading SENSOR_MEASURE_RGB, READ_GREEN and READ_BLUE,
    the data value is 32 bits in size

    This ruins all our measurements, but explains why we're getting
    different values to argyllcms.

M	libcolor-glib/gcm-sensor-huey.c

commit 47f09a46f1c166043742d3f288db490670bec515
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-13

    huey: do some trivial formatting and spelling corrections

M	libcolor-glib/gcm-sensor-huey.c

commit e79278244732bb69d51c947d4a770adbe43019fc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-13

    huey: trivially rename CALIB_VALUE to AMBIENT_CALIB_VALUE as it's
    only used for ambient correction

M	libcolor-glib/gcm-sensor-huey-private.h
M	libcolor-glib/gcm-sensor-huey.c

commit 7056040ed40f5599d7a0a096897d0dd472a81f0f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-13

    huey: trivial change to correct the layout of the register map

M	libcolor-glib/gcm-sensor-huey-private.h

commit 5713df6894b56959959dd0b5f9ee77b4d814e1f4
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-11

    Do not ask the user whether to strip the alpha channel during
    calibration, JFDI

M	src/gcm-calibrate-argyll.c

commit cc50e5c0b5189e5cecc4c5ef02cda1a38e494f80
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-11

    Fix a critial warning when installing the shared-color-targets data

M	src/gcm-utils.c

commit fbd9d4cffacd700e401a3dddbaf40057b2ff4866
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-10

    trivial: Update the gcm-viewer ui file to reflect the different
    defaults in gtk+-3

M	data/gcm-viewer.ui

commit 7da817620116060f75e2cb5fbe121696ce38e863
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-02-03

    trivial: fix the calibrate profile chooser combo box

M	src/gcm-calibrate-dialog.c

commit 6000c4acf674a8c9681fe6f952be234924f80b94
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-02-20

    Updated Spanish translation

M	help/es/es.po

commit 8e6786edea44a44344e342ba058d0bd9c74ba348
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-28

    trivial: fix compile with GCC 4.6

M	docs/gcm-parse-beagle.c
M	libcolor-glib/gcm-usb.c
M	src/gcm-calibrate-native.c

commit dbbf931cca78dc7a09c67e258f4bdaf0bffd206e
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-01-22

    Updated French Translation

    Laurent Coudeur
    Bruno Brouard

M	po/fr.po

commit aee2c73009f14e319f74480f8e20ecb90ed3622a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-01-15

    Updated Slovenian translation

M	po/sl.po

commit f8e012c4b543f50c79097a21e2860f6f9062d6be
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-01-15

    Updated Norwegian bokmål translation

M	po/nb.po

commit 9807f512028fdb1c9bcd69f4b4e6d01df3194bdb
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:	2011-01-13

    Updated Greek translation

M	po/el.po

commit a457dfb789994ad6cb5dfb16cf066f17d165c83d
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:	2011-01-13

    Updated Greek translation

M	po/el.po

commit 0894b8bc741e2f36499413c77cd3883914ce4106
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-11

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 588e6e83f51e8586089951ce6844fda341f29399
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-11

    Release version 2.91.5

M	NEWS
M	RELEASE
M	configure.ac

commit 49a77165dae09acd7a5970ae67526faeaa7358ed
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-11

    Fix GTK3 API break; gdk_window_foreign_new_for_display() no longer
    exists

M	src/gcm-picker.c
M	src/gcm-session.c
M	src/gcm-viewer.c

commit 24d0f03090998373e016ff4d899e2865191aeaad
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-11

    GUdev now requires us to set G_UDEV_API_IS_SUBJECT_TO_CHANGE to be
    able to build

M	docs/Makefile.am
M	docs/huey/Makefile.am
M	libcolor-glib/Makefile.am
M	rules/Makefile.am
M	session/Makefile.am

commit 23b8881216be5ee44fde3f831decdd979ba6aa62
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-01-11

    Fix GTK3 API break; gdk_cursor_unref() no longer exists

M	libcolor-glib/gcm-sample-window.c

commit 3c355e9a12bb5155d897523a571f762ac288b15d
Author: A S Alam <aalam@users.sf.net>
Date:	2011-01-08

    Translation: update Punjabi

M	po/pa.po

commit b526603896572f462846b319d2d8146606a8c7b2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-01-01

    Updated Norwegian bokmål translation from Torstein Adolf Winterseth

M	po/nb.po

commit e44dade9a5060a58f16815821068cc361e00af65
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-12-30

    Updated Swedish translation

M	po/sv.po

commit 2bccb6feecc8253ca7dde02fe6c376958df16908
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-12-30

    Updated Swedish translation

M	po/sv.po

commit 0eabac2185adfa643d12811a08d760ce9944f56b
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-12-30

    Updated Swedish translation

M	po/sv.po

commit de4de1e6745de8738d3e1772afe08e433303698b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2010-12-29

    Added Vietnamese translation

M	po/LINGUAS
M	po/vi.po

commit 74aa354e02908f172135982b998f6b6e14bf3f3a
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2010-12-29

    po/vi.po: import from Damned Lies

A	po/vi.po

commit c3b6c09e2350b99a9188dce1f13b8e70dfe04ba4
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-12-28

    Updated Slovenian translation

M	po/sl.po

commit bdfd5f6b5d8d11f853a8ace69e4569a53e61ae13
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-12-23

    Added UG translation

M	po/ug.po

commit 2553baae2b55af34b15bc2edaee19736f6b9f301
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-12-20

    [l10n] Updated Estonian translation

M	po/et.po

commit 17a6551288c7f8f24d50aaf290798b998384f738
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-12-14

    trivial: fix up all compile warnings by removing dead code

M	src/cc-color-panel.c

commit 1a6952a35984a4ea19664819a0fa4b8cf7b6bf15
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-12-14

    gtk3: gdk_x11_drawable_get_xid renamed to gdk_x11_window_get_xid

M	libcolor-glib/gcm-x11-screen.c
M	src/cc-color-panel.c
M	src/gcm-utils.c

commit 632e0611cc7afdf7878d73ee832b7f00bee14a74
Author: Francesco Groccia <francesco.groccia@poste.it>
Date:	2010-12-13

    [l10n] Updated Italian translation

M	po/it.po

commit 77de8e1bab718b836ac7c04819021e60e1ef69f1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2010-12-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 21a370be988cfe57f09242d7a236c494a6f8ab7a
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-12-10

    [l10n] Updated Estonian translation

M	po/et.po

commit e9db1133eda025354d84870e42cd1fa2e549c546
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-12-01

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 06d106063a8947cd6e71b8110de235fd3a2aae40
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-12-01

    Release version 2.91.3

M	NEWS

commit e18c7812a42a10ffbc0cf28d1c7f43e1bfd0981a
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-12-01

    Set 'ICC meta Tag for Monitor Profiles' data for future use

M	src/gcm-device-xrandr.c

commit 5d1266f92b1e6181bfe5551cb777fab05e6b780e
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-11-30

    Never show the 'Fine tuning' section in the control center, it
    invalidates the profiles

M	data/gcm-prefs.ui
M	data/org.gnome.color-manager.gschema.migrate
M	data/org.gnome.color-manager.gschema.xml
M	src/cc-color-panel.c

commit a301b2ed3c46a80860e1fe6e476f9f7f5a26aa69
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-11-30

    Remove the display tab in the color panel

    The user should not be able to turn specific bits of the color
    management
    support off, as this invalidates the profile.

M	data/gcm-prefs.ui
M	src/cc-color-panel.c

commit e09664593e335352fc3e93dba1b65ce201f6d545
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-11-21

    Update Czech translation by Milan Knizek

M	help/cs/cs.po
M	po/cs.po

commit 62758fc4ad61b58b698871a16f2985e5c89cd15c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-11-20

    Updated Norwegian bokmål translation

M	po/nb.po

commit 253ba494ba90db907a14d75a69b5869b444bc5ae
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-20

    Added UG translation

M	po/ug.po

commit 20cfe311d7e745f10efda55382c38bfb86c82b5c
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2010-11-16

    Updated Romanian translation

M	po/ro.po

commit 16ec15dd69f9c7521f29ca0889b4c745446a0c4f
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2010-11-16

    Updated Romanian translation

M	po/ro.po

commit 2e0f26668d156388c9994830ccc9f8d6c7ac0aa0
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:	2010-11-16

    Updated Romanian translation

M	po/ro.po

commit 45e9ed64837914878ce96dc7d31d332874f6e698
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-11-15

    Do not create auto-profiles for XRandR devices without EDID data

M	src/gcm-apply.c

commit d170c511b4ca53d09e6b2fb6bed57286fb2269cf
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-11-15

    trivial: Make the Fedora example spec file reflect reality

M	contrib/gnome-color-manager.spec.in

commit 579a88f91ba5d72fdb7d6a97174b863a7200cd38
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-11-15

    Don't segfault if cmsCreateRGBProfile fails. Fixes rh#653419

M	libcolor-glib/gcm-profile.c

commit f0cf97462e1fbb4f444445dd0bee09704c4db672
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-14

    Added UG translation

M	po/LINGUAS

commit a511878663e86c7e19059e943db26ed0b06a7bb1
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-13

    Added UG translation

A	po/ug.po

commit 70c1522177da666a3d5d6eb0b10ab110e5acb59f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-11-13

    Updated Galician translations

M	po/gl.po

commit 5abe7d7f208910e2daa3a8de51b72b12f911df77
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-11-08

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 075c510b5dcd016f153b0b5a435fef457e91a94d
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-11-08

    Release version 2.91.2

M	NEWS
M	data/Makefile.am

commit 5a700776fb060b89d2157b55474332978419d5d7
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-11-03

    Updated Japanese translation

M	po/ja.po

commit d8a988df72603a63de095e20735188e119d1de5e
Author: Vladimir <lomov.vl@gmail.com>
Date:	2010-11-02

    Fix typo in data/org.gnome.settings-daemon.plugins.color.gschema.xml

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	data/org.gnome.settings-daemon.plugins.color.gschema.xml

commit d86581f1391589e96eb1c1b669564e0764a74683
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-11-01

    trivial: Fix compile with GTK-2.91.3

M	libcolor-glib/gcm-sample-window.c

commit 632c5dc0e3f85807ec259a0d44901e248787f502
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-31

    Add gcm_profile_get_data() and gcm_profile_set_data() which can be
    used with the DICT tag when available

M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-profile.h

commit 2f56eec6ab87e11ca1ea6594935a02bc6830c826
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-10-30

    Use gtk_box_new() instead gtk_[v|h]box_new()

M	libcolor-glib/gcm-sample-window.c

commit 75e39fc28d84f38545af1e8199178d6caad703ef
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-10-29

    Updated Spanish translation

M	po/es.po

commit cc2fb370d0f7dfcef37e1d0b3666ead575baea91
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2010-10-29

    Added Catalan (Valencian) translation

M	po/LINGUAS
A	po/ca@valencia.po

commit 34cbd50a211ed8857e41f0d650c7b90545d396a2
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-10-28

    Updated Hebrew translation.

M	po/he.po

commit 9bd865ec287e430cab749ca5a515fc34e5727fb6
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-28

    Split out the profiles GtkListStore to make tracking the profiles
    automatic in the GUI code

M	po/POTFILES.in
M	src/Makefile.am
M	src/cc-color-panel.c
M	src/gcm-apply.c
M	src/gcm-device.c
M	src/gcm-device.h
A	src/gcm-list-store-profiles.c
A	src/gcm-list-store-profiles.h
M	src/gcm-self-test.c

commit a3d10ac01fe18d03107d277aef48985e58e093fa
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2010-10-27

    Updated Bulgarian translation

M	po/LINGUAS
A	po/bg.po

commit f46c244a34a3e272913ae63aecedb4bb664c1338
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-27

    Install a schema file to launch gcm-apply by default in new versions
    of gnome-settings-daemon

M	data/Makefile.am
A	data/org.gnome.settings-daemon.plugins.color.gschema.xml
M	src/gcm-apply.c

commit 97d3544996e088b27e6851066d4bc76cd95586cb
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-26

    trivial: fix up the rendering intents expand setting

M	data/gcm-prefs.ui

commit dfbbad6b80eccb7eb9882b55d468f13407750f88
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-26

    Port to the new GtkApplication API

M	data/gcm-viewer.ui
M	src/gcm-picker.c
M	src/gcm-viewer.c

commit 31ddaf41699daad971b20eca1e19bc1b4bb14346
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-26

    Port to GtkComboBoxText

M	data/gcm-calibrate.ui
M	data/gcm-prefs.ui
M	data/gcm-viewer.ui
M	src/cc-color-panel.c
M	src/gcm-calibrate-dialog.c
M	src/gcm-picker.c
M	src/gcm-viewer.c

commit 00103d6e57307633ea895369fc4c0f29b5623627
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-26

    Fix compile with gnome-settings-daemon from git master

M	session/gsd-color-plugin.c

commit a24230560683a019ceaf5fd6aeffd27e41541101
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-10-22

    Updated Swedish translation

M	po/sv.po

commit f6e3f29bf3b10347369b3d6c93cea4056e398683
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-10-22

    Updated Swedish translation

M	po/sv.po

commit a144c183a755139308ecd9503cc4b0e981fc6bbc
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-10-21

    Updated Hebrew translation.

M	po/he.po

commit 25a959a6b9ae42cb62844cfe1209b7056c585981
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-20

    trivial: Only parse the profiles list once at gcm-viewer startup

M	src/gcm-viewer.c

commit d16ff8e282536c5215a496b2eab4a62c10064d0c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-10-20

    Updated Spanish translation

M	help/es/es.po

commit 664855d9005368836c03b5a921b152429296de6d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-10-19

    Updated Spanish translation

M	po/es.po

commit 746605db63399f9c03d2bfce2cd4ed916d5291c4
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-18

    Port to libnotify 0.7.0

M	configure.ac
M	contrib/gnome-color-manager.spec.in
M	src/gcm-session.c
M	src/gcm-utils.h

commit 1465eaa35b6e1b7c71017654189cdadafca6c847
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-18

    Use the correct icon in the profile viewer when using GNOME Shell

M	contrib/gnome-color-manager.spec.in
M	data/Makefile.am
A	data/gcm-viewer.desktop.in
M	data/gcm-viewer.ui
M	po/POTFILES.in

commit 3fc509b6ca42d71712a0b8b48cfc3f7cdc4ff76e
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-17

    If a profile is deleted, ensure it is removed from the control center
    panel listbox

M	src/cc-color-panel.c

commit 1ff773d01291e7ac67569d38083aebcddf74d20d
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-17

    Show the color XYZ values in gcm-dump-profile

M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-profile.h
M	tools/gcm-dump-profile.c

commit c60e650dc8b2f9533582d9b710aca3fb75adeb04
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-16

    Migrate away from EggDebug and use the builtin GLib logging framework

M	libcolor-glib/Makefile.am
D	libcolor-glib/egg-debug.c
D	libcolor-glib/egg-debug.h
M	libcolor-glib/gcm-brightness.c
M	libcolor-glib/gcm-clut.c
M	libcolor-glib/gcm-ddc-client.c
M	libcolor-glib/gcm-ddc-control.c
M	libcolor-glib/gcm-ddc-device.c
A	libcolor-glib/gcm-debug.c
C052	libcolor-glib/libcolor-glib.h	libcolor-glib/gcm-debug.h
M	libcolor-glib/gcm-dmi.c
M	libcolor-glib/gcm-edid.c
M	libcolor-glib/gcm-image.c
M	libcolor-glib/gcm-profile-store.c
M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-sample-window.c
M	libcolor-glib/gcm-self-test.c
M	libcolor-glib/gcm-sensor-client.c
M	libcolor-glib/gcm-sensor-colormunki.c
M	libcolor-glib/gcm-sensor-dummy.c
M	libcolor-glib/gcm-sensor-huey.c
M	libcolor-glib/gcm-sensor.c
M	libcolor-glib/gcm-tables.c
M	libcolor-glib/gcm-usb.c
M	libcolor-glib/gcm-x11-output.c
M	libcolor-glib/gcm-x11-screen.c
M	libcolor-glib/libcolor-glib.h
M	po/POTFILES.in
M	src/Makefile.am
M	src/cc-color-panel.c
D	src/egg-debug.c
D	src/egg-debug.h
M	src/gcm-apply.c
M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate-dialog.c
M	src/gcm-calibrate-manual.c
M	src/gcm-calibrate-native.c
M	src/gcm-calibrate.c
M	src/gcm-cell-renderer-profile-icon.c
M	src/gcm-cell-renderer-profile-text.c
M	src/gcm-cie-widget.c
M	src/gcm-client.c
M	src/gcm-device-cups.c
M	src/gcm-device-sane.c
M	src/gcm-device-udev.c
M	src/gcm-device-virtual.c
M	src/gcm-device-xrandr.c
M	src/gcm-device.c
M	src/gcm-exif.c
M	src/gcm-gamma-widget.c
M	src/gcm-import.c
M	src/gcm-inspect.c
M	src/gcm-picker.c
M	src/gcm-print.c
M	src/gcm-self-test.c
M	src/gcm-session.c
M	src/gcm-trc-widget.c
M	src/gcm-utils.c
M	src/gcm-viewer.c
M	tools/Makefile.am
D	tools/egg-debug.c
D	tools/egg-debug.h
M	tools/gcm-ddc-util.c
M	tools/gcm-dump-edid.c
M	tools/gcm-dump-profile.c
M	tools/gcm-dump-sensor.c
M	tools/gcm-sensor-example.c

commit c2e41b5dfc7411ca3315ea0f1edbd883eaf26a8b
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-16

    Set all the 'Since: ' version numbers to the correct versions

M	libcolor-glib/gcm-brightness.c
M	libcolor-glib/gcm-buffer.c
M	libcolor-glib/gcm-clut.c
M	libcolor-glib/gcm-color.c
M	libcolor-glib/gcm-ddc-client.c
M	libcolor-glib/gcm-ddc-common.c
M	libcolor-glib/gcm-ddc-control.c
M	libcolor-glib/gcm-ddc-device.c
M	libcolor-glib/gcm-dmi.c
M	libcolor-glib/gcm-edid.c
M	libcolor-glib/gcm-enum.c
M	libcolor-glib/gcm-image.c
M	libcolor-glib/gcm-math.c
M	libcolor-glib/gcm-profile-store.c
M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-sample-window.c
M	libcolor-glib/gcm-sensor-client.c
M	libcolor-glib/gcm-sensor-colormunki-private.c
M	libcolor-glib/gcm-sensor-colormunki.c
M	libcolor-glib/gcm-sensor-dummy.c
M	libcolor-glib/gcm-sensor-huey-private.c
M	libcolor-glib/gcm-sensor-huey.c
M	libcolor-glib/gcm-sensor.c
M	libcolor-glib/gcm-tables.c
M	libcolor-glib/gcm-usb.c
M	libcolor-glib/gcm-x11-output.c
M	libcolor-glib/gcm-x11-screen.c

commit 41549474363681faa5c4bcfd175514d4925934ec
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2010-10-17

    [l10n] Updated Estonian translation

M	po/et.po

commit af418911d06b6064b3c06d481e90a48b42d0d421
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-10-16

    Updated Norwegian bokmål translation

M	po/nb.po

commit 59fb92ee44ea4bdc2e15b192ecc4ccb019c27582
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-16

    If the profile viewer was set modal over the preferences dialog,
    then don't show a link back to the control center

M	src/gcm-viewer.c

commit 1ba0c19494a2897aadfbd0976c6ba4a4ed2bce07
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-15

    trivial: remove three overzealous asserts in
    gcm_color_convert_XYZ_to_Yxy()

M	libcolor-glib/gcm-color.c

commit f9b7077e04c89b65dd4de28fe5ac8ac6a6eface0
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-15

    trivial: only show the VCGT warning for display profiles

M	src/gcm-cell-renderer-profile-icon.c

commit 1abd4e609d03581a6e6c1c02774468d0c0aff52a
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-15

    trivial: Fix a 32bit compile warning

M	docs/api/clean.sh
M	src/gcm-calibrate-native.c

commit 5cef4512c128c3595662078f2f51d0802fb6bfcd
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2010-10-15

    [l10n] Updated German translation

M	po/de.po

commit 804422914f1a719cc708d17034265e18adfbbf68
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-14

    Added sl for Slovenian translation

M	help/Makefile.am

commit 03667c17042b16af8887dc7bd0ae42aef8ac9a71
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-14

    Added Slovenian translation

A	help/sl/sl.po

commit e1cca411b6b1d2b186ec6a8f2a03b49a583daa25
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    Add defines and an attach image for the DTP94 colorimeter. Fixes
    #632052

M	data/figures/Makefile.am
A	data/figures/dtp94-attach.svg
M	libcolor-glib/gcm-sensor.c
M	libcolor-glib/gcm-sensor.h
M	rules/95-gcm-colorimeters.rules
M	src/gcm-calibrate-argyll.c

commit be75bf0218845b4e2c5e3502a6119015ead9c08a
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    Set COLOR_MEASUREMENT_DEVICE to get the correct ACL when argyllcms
    is not installed

M	rules/95-gcm-colorimeters.rules

commit 5c64b50a76ab97e78a08f6c1dec95612b3b60c5d
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    Add and remove profiles from gcm-viewer as they are added and removed
    from the store

M	libcolor-glib/gcm-profile-store.c
M	libcolor-glib/gcm-profile.c
M	src/gcm-viewer.c

commit be2207a739ab4eaef2aa071a52a0e54f267af666
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    Add whitepoint, rXYZ, and VCGT functionality to GcmCalibrateNative

M	src/gcm-calibrate-native.c
M	src/gcm-self-test.c

commit 425d1905b7f70bbac84fcaf3a9e4b7cd56e88c6d
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    trivial: Move the generation of profile names from GcmCalibrateArgyll
    to GcmCalibrate

M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate.c
M	src/gcm-calibrate.h
M	src/gcm-self-test.c

commit cc0463d76a8f1f04acba7d9c81319191fce21509
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    Manually reset the VCGT tables before we attempt calibration

M	src/cc-color-panel.c
M	src/gcm-device-xrandr.c
M	src/gcm-device-xrandr.h

commit 837be72605a6ebe85b4cf79f0edbe3d9339ba784
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    trivial: do not attempt to save the VGCT curves if they are not
    monotonic

M	libcolor-glib/gcm-profile.c

commit 4636834f2a0320e9e9790ddaae4a0bb82dc4f7c9
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    trivial: add gcm_profile_set_whitepoint() and
    gcm_profile_set_primaries() for future code

M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-profile.h

commit dcb07a50beb13df44d9cce38f0520026215744df
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    trivial: warn when we cannot convert the profile whitepoint to
    a temperature

M	libcolor-glib/gcm-profile.c

commit a3e0a5677f939cf83940da3894bcb366b4c88b75
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    Read the rXYZ, gXYZ and bXYZ tags to get the profile primaries before
    using a transform fallback

M	libcolor-glib/gcm-profile.c

commit 9b10334a8051cf1e38b700dde1110c57b5870863
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-14

    Apply some smoothing to the generated VCGT curves

M	libcolor-glib/gcm-profile.c

commit 8ec52641c3856b4ebf862af91409a339122fd496
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-10-14

    Updated Spanish translation

M	po/es.po

commit 796eb360877c67ecb327afa1946d9ad11463ee4a
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-10-14

    Updated Hebrew translation.

M	po/he.po

commit 3b8fbb7f34b7312605f9fed1d90299c62e184f28
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-13

    trivial: we write the grayscale patches in the IT8 file backwards

M	src/gcm-calibrate-native.c

commit 94dc51a880611151943116d39d1674e0d0fdb4fd
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-13

    trivial: add some simple debugging to chase down a bug

M	libcolor-glib/gcm-sensor-huey.c

commit 86863ba304953f2620471209f10cb3670c9ece97
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-13

    Add gcm_profile_set_vcgt_from_data() to be able to set VCGT from
    IT8 files in the future

M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-profile.h

commit 05f4c8a0b98411cf4cc30977c81f454de7b9d75e
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-13

    Add gcm_profile_guess_and_add_vcgt() to emulate a VCGT from an
    ICC profile

M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-profile.h
M	libcolor-glib/gcm-self-test.c

commit 67d6294efdc192643765b65e651e968ab4079661
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-13

    Ensure we write the colorspace back into the raw profile if we
    generated it

M	libcolor-glib/gcm-profile.c

commit ddc3e0cfe755ec0472ca00a28d06cb712e75b4c9
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-13

    trivial: add gcm_color_set_Yxy()

M	libcolor-glib/gcm-color.c
M	libcolor-glib/gcm-color.h

commit b6560f3cf3c9abdcacd0cd72e2c204f2e9273a95
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-13

    trivial: fix make distcheck

M	po/POTFILES.in

commit 73e51797a3be4ff0564300d22fa33f807f163601
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-13

    [i18n] Updated German doc translation, bug #631978

M	help/de/de.po

commit 9cc7bd68c1f51620e965e397114783a453b14ab8
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-13

    trivial: don't leak the cancellable

M	src/cc-color-panel.c

commit 0c4475f64764693e5a3fa4e5e1a88c8e3491189a
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-12

    Fix GcmSensorHuey when using verbose mode on 64 bit machines

    On 64bit we can't just cast a gsize pointer to a gint pointer,
    we have to copy.

M	libcolor-glib/gcm-sensor-huey.c

commit 0e2f77d62fa441ae57e4409934b3b27b9e9a9e3a
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-10-12

    Updated Slovenian translation

M	po/sl.po

commit 3934225d51c61fbb48a2d78078e24cf72ed8de8d
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-12

    Ensure we cancel the PackageKit DBus query if the panel is unloaded

M	src/cc-color-panel.c

commit c6cfdc508f0c5bcb2b1fb72872f1e8cffdbb122a
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-10

    trivial: do not track the cie widget visible state in two places

M	src/gcm-viewer.c

commit b8eebdd4b58e5e6464a3a0c371b8b05b72fe1c14
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-10

    Revert "Encode the gamma of the generated profile in the VCGT tag"

    This reverts commit 9a69257f7200d0a81255bd833d3dcfd3a96b7c4b.

M	libcolor-glib/gcm-profile.c

commit 79c12c672f8534ad7ff0403d0eeec00dc1895343
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-10

    Add the color temperature into the profie viewer details

M	data/gcm-viewer.ui
M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-profile.h
M	libcolor-glib/gcm-self-test.c
M	src/gcm-viewer.c

commit 32d180475ca5fc49126c12557b3fcb7826d3367c
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-10

    trivial: remove unused data fields in GcmProfile

M	libcolor-glib/gcm-profile.c

commit 9a69257f7200d0a81255bd833d3dcfd3a96b7c4b
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-10

    Encode the gamma of the generated profile in the VCGT tag

M	libcolor-glib/gcm-profile.c

commit 1c5194fbf0830677c06d7d3191cb62429ebf7ad9
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-09

    Remove the loading GtkInfoBox as it just makes the UI resize at
    startup

M	src/cc-color-panel.c

commit 7b4a619f64ac946b6a7cd8fc22f3900d0489fbea
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-09

    Do the request to PackageKit async, to avoid a 200ms lag in the GUI
    at startup

M	src/cc-color-panel.c
M	src/gcm-utils.c
M	src/gcm-utils.h

commit 293e97311aa0156fde08acf0c167a6105d1b0b7d
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-09

    Do not use a GtkInfoBox for the VCGT warning

M	src/Makefile.am
M	src/cc-color-panel.c
A	src/gcm-cell-renderer-profile-icon.c
A	src/gcm-cell-renderer-profile-icon.h

commit e5a5c32449a137b90a5473cb56450839c29ce1e4
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-09

    trivial: rename GcmCellRendererProfile to GcmCellRendererProfileText

M	src/Makefile.am
M	src/cc-color-panel.c
R076	src/gcm-cell-renderer-profile.c
src/gcm-cell-renderer-profile-text.c
A	src/gcm-cell-renderer-profile-text.h
D	src/gcm-cell-renderer-profile.h
M	src/gcm-viewer.c

commit 9e07ea14c3ab91bb03660c51f77a31004d503965
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-09

    Reorganize the first pane to stack the devices above the profiles

M	data/gcm-prefs.ui
M	src/cc-color-panel.c

commit 84ab078667a2db40c628d329dfce1db1f55cb38e
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    Remove the device-specific labels on the first panel page

M	data/gcm-prefs.ui
M	src/cc-color-panel.c

commit 61ae38473ea81a8fd4732857189dc557f3b7222b
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    Split the control panel out into 4 tabs to reduce the vertical height

M	data/gcm-prefs.ui
M	src/cc-color-panel.c

commit ecdb69eeb04b2ea72eed4347059849b434c482f5
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: make the horizontal width of the panel less huge

M	src/cc-color-panel.c

commit 0be704b5a0fdb2f12c6ae8cf12dd3771ccb1f646
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2010-10-09

    Updated French doc translation

D	help/fr/figures/gcm-defaults.png
M	help/fr/fr.po

commit 3df8a0f7f708cf1be4cfe61aefa72026abd74f30
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2010-10-09

    New French doc translation

    Contributed by Laurent Coudeur <laurentc@iol.ie> and
    Bruno Brouard <annoa.b@gmail.com>

M	help/Makefile.am
A	help/fr/figures/gcm-adjust.png
A	help/fr/figures/gcm-basic.png
A	help/fr/figures/gcm-defaults.png
A	help/fr/figures/gcm-import.png
A	help/fr/figures/gcm-scanner.png
A	help/fr/fr.po

commit f8389608719a2926e6f74fad82f3401fea038a90
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-10-09

    Updated Spanish translation

M	po/es.po

commit ad409ee8c40b4bb1d411b3bd09977c9df97348e1
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2010-10-09

    Updated Korean translation

M	po/ko.po

commit b1cb754303643113dc075aac70548f0694bd41a9
Author: Homin Lee <ff4500@gmail.com>
Date:	2010-09-10

    Added Korean translation

M	po/LINGUAS
A	po/ko.po

commit cddd01bce8d88e1d0fdd37bcd714082564adf2ea
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    Do not keep adding the auto-EDID profile if the user explicitly
    removes it from the GUI

M	src/cc-color-panel.c

commit a4210fa41b06bec742ba6b5d80311396d71813c1
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    At login automatically generate an ICC profile from the EDID and
    add it to each display device

    Note, we've taken great pains to deal with configs where people
    have already assigned profiles, and just provide the auto-edid
    profiles as additional options in the chooser.

    You can set use-edid-profile=false in your device-profiles.conf
    file if this behaviour is not-desired.

M	src/gcm-apply.c

commit 1ade684c7472f865f7d58150bcaffdb4de53ab48
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: add a property 'use-edid-property' to GcmDevice so we can
    know if to auto-add the device EDID profile

M	src/gcm-device.c
M	src/gcm-device.h

commit 1cac07a72eb60e70ef17935cceece0527baa8c89
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: Use a descriptive title for the auto-edid generated profile

M	src/gcm-device-xrandr.c

commit afe4d4ec394ac790174f45d9c4c62079c0d38760
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: avoid segfault if the profile does not have a backing file
    and we try to apply it

M	src/gcm-device-xrandr.c

commit 65cceefa43d417cb1ca38c48167b44ed6c12a460
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: hide the vcgt warning if the last profile has been deleted

M	src/cc-color-panel.c

commit f0a4cdb409a6bcc92d062de914888ca291dfb78d
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    When saving an edited profile, re-parse the data when complete

M	libcolor-glib/gcm-profile.c

commit 58bf62a03d210099b6b3a7a2e0f52f0fd0f8ea24
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: don't emit a critical warning when calling
    gcm_profile_get_filename() on a profile not backed by a file

M	libcolor-glib/gcm-profile.c

commit 09cb01c92592595a6597f3d7d02cc72a0d910bec
Merge: d3ab7ba 80599ce
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: merge in an experimental branch

commit 80599ce2ace0c17445cf0f1c9f5b9021ea1722fd
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: Save text data back to the profile when saving it, as we
    may have created a virtual profile

M	libcolor-glib/gcm-profile.c

commit 2978d3321d094635892c7d9b869df7c4dabfcb6c
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    Do not open gcm-prefs after importing a profile, it does not exist
    anymore

M	src/gcm-import.c

commit 7bb7c0a008952c6ba226643923d76a8bc72e4aaf
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: add a convenience function to set the CIE diagram from a
    profile instance

M	src/gcm-cie-widget.c
M	src/gcm-cie-widget.h
M	src/gcm-import.c
M	src/gcm-viewer.c

commit f271724d8dbe3126fbf43c1a6498b758d899c3c8
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    Add functionality for a virtual profile to be generated from the
    EDID data

M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-profile.h
M	src/gcm-device-xrandr.c
M	src/gcm-self-test.c

commit 4631abe3efc77d6ab32336f2736fad06b5359cde
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    Add functionality for a device to generate it's own internal profile

M	src/gcm-device-xrandr.c
M	src/gcm-device.c
M	src/gcm-device.h

commit 0e6f3b980b925848a38ac773d53527d31345ad95
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: unexport two unused functions from GcmProfile

M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-profile.h

commit 76b28e7785af3cca64c9e4d5e2a38ebd3297e43a
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    Remove two runtime warnings for a widget than no longer exists

M	src/cc-color-panel.c

commit 8b9fd4858bd1302cba65cac85e3d8492b22dc532
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-08

    trivial: Actually show some text in the CellRendererProfile if the
    profile is NULL

M	src/gcm-cell-renderer-profile.c

commit 7234bf6b3255d90b751b10fced70eb0e4994023b
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-07

    Remove GcmXYZ and use proper boxed GTypes for the color structures

M	docs/api/libcolor-glib-docs.sgml
M	docs/huey/gcm-calculate-fudge.c
M	libcolor-glib/Makefile.am
M	libcolor-glib/gcm-color.c
M	libcolor-glib/gcm-color.h
M	libcolor-glib/gcm-edid.c
M	libcolor-glib/gcm-edid.h
M	libcolor-glib/gcm-profile.c
M	libcolor-glib/gcm-self-test.c
D	libcolor-glib/gcm-xyz.c
D	libcolor-glib/gcm-xyz.h
M	src/cc-color-panel.c
M	src/gcm-calibrate-argyll.c
M	src/gcm-calibrate.c
M	src/gcm-cie-widget.c
M	src/gcm-import.c
M	src/gcm-picker.c
M	src/gcm-self-test.c
M	src/gcm-viewer.c

commit d3ab7bad33abf4d8a7ecfa866d842e7e59649de3
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-10-07

    Updated Spanish translation

M	po/es.po

commit 9383405fb26a2730013929499dce61ae93189f9c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-10-07

    Updated Galician translations

M	po/gl.po

commit 83c0ae3266fc10175b3e2bd46a538f25b8b07fc6
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-10-07

    Remove deprecated Encoding key from .desktop file

M	data/gcm-apply.desktop.in
M	data/gcm-import.desktop.in
M	data/gcm-prefs.desktop.in

commit d10b15b97f5000bb09c905fcb71471953b684cee
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-06

    Add the X-GNOME-Settings-Panel category so the control center panel
    is not in 'Other'

M	data/gcm-prefs.desktop.in

commit c353c51fc5c19cc273981bee5d503696720f556c
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-06

    trivial: remove a duplicate prototype

M	libcolor-glib/gcm-profile.h

commit 66f9ba23aabb04b9416356f2f52e6bcfc6a14c64
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-10-06

    Updated Slovenian translation

M	po/sl.po

commit 1e8980adebc1ecde4cbd7ae0082c3dd5b87c5a18
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-10-06

    Updated Hebrew translation.

M	po/he.po

commit f88e93036ee0cbacaef4db272a24eb3f4d87065e
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-05

    trivial: Post release version bump

M	RELEASE
M	configure.ac

commit 52f4c84caf8e924a93af824483009d9d4131ccab
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-05

    Release version 2.91.1

M	NEWS
M	RELEASE

commit bdb4380ee270b82f0c33535006e8533c1a00ec04
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-04

    Fix compile with GTK3 with the expose to draw conversion

M	src/gcm-cie-widget.c
M	src/gcm-gamma-widget.c
M	src/gcm-trc-widget.c

commit 6e51d6ba52b07229f35f3e60b83a25348c19c2f3
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-04

    Raise the GTK build dep to 2.91.0

M	configure.ac

commit 883636177321abee7e22d50dd1e57a609c15bc0d
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-04

    Fix GTK3 compile by not using gdk_drawable_get_size()

M	src/gcm-client.c

commit 82d2e82a06b5c393873c9cdbaf4d8cb5072952e1
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-04

    Fix GTK3 compile by using gdk_error_trap_pop_ignored()

M	libcolor-glib/gcm-x11-output.c
M	libcolor-glib/gcm-x11-screen.c

commit ca040265cb1b9b603cbc39ef33e525118ab093c4
Author: Francesco Groccia <fgr@anche.no>
Date:	2010-10-02

    [l10n] Updated Italian translation

M	po/it.po

commit e4f659679f2d791a09def26382d99cf04c98a1c5
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-01

    Get rid of the 'Color Profiles' section header to reduce panel clutter

M	data/gcm-prefs.ui

commit 491b84aac7d7f486d6e6a71876bc6645702771ed
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-01

    Revert "Completely hide the fine tuning section for non-display
    devices"

    This reverts commit 7458e62268e8e2920da40a7076a67bbc15b597aa.

M	src/cc-color-panel.c

commit 6c71185e02991701be65d67d85ef5b77ef80f05c
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-10-01

    trivial: change a couple of strings in the profile viewer to make
    it clear the preview images are sRGB

M	src/gcm-viewer.c

commit fe150f1383f71f1e00b03973906990f6371b5323
Author: Richard Hughes <richard@hughsie.com>
